<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'A group of fields can be of type:<br />
	<ul class="normallist">
		<li>Fields loose: Its fields are added to a post to provide extra information. In seeking data into fields loose of a post is gets a list of posts.</li>
		<li>Record: It is a set of fields that represents an independent entity of the post. In seeking data into fields of a record is gets a list of records. The post body can not be left empty but a post with record does not need body. If the user will add a record and the post body is empty, the system writes a period (".") on it and the user does not need to write anything.</li>
		<li>Fields with several values per member: It is set of fields where several members can insert different values. This can be used for members to make comments or valuations about the post. If these fields are located in just the first post of a topic can be displayed as belonging to the topic.</li>
		<li>Filters: This is a special type of group without fields. Used to enable a set of predefined filters that can be used on topics and posts.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'Type of filter button depends on the type of field:<br />
	<ul class="normallist">
		<li>The filter for text or large text fields is a text button in which enter the search string, or a select box to get data with that field empty or non-empty.</li>
		<li>Fields of type select box, combo box, radio buttons or checkboxes have by filter a text button, a select box or a combo box in which enter or select the search string, or a select box to get data with that field empty or non-empty.</li>
		<li>For fields of type boolean the filter is a select box with values "Yes" and "No".</li>
	</ul>
	If the user can modify a field, that field may be empty and its filter is a select box or combo box, he will see an option in the list to get data with that field empty.<br />
	The filter with text button allows to search loose words (separated by spaces) and to use these modifiers:<br />
	<ul class="normallist">
		<li><tt>"</tt> (double quotes) - Searchs for an exact phrase inside quotes. For example, <tt>"tallest building"</tt></li>
		<li><tt>-</tt> (minus sign) - Put this in front of a word or exact phrase you want to leave out. For example, <tt>jaguar speed -car</tt></li>
		<li><tt>OR</tt> - Between words and/or exact phrases, searchs one or the other. For example, <tt>marathon OR race</tt></li>
	</ul>
	If the filter is of type text or combo box, by default it is sought that the text is contained in the field value, whereas if the filter is of type select box list is sought that the text matches the value of the field.';
$helptxt['cffp_stats'] = 'If a group of type "fields with several values per member" has a only one field and is of type select box, radio buttons or checkboxes (that is, there is a finite number of values), can be generate statistical data from the values entered in the field.<br />
	The statistical data to be displayed include:<br />
	<ul class="normallist">
		<li>Chart with average: It consists of a horizontal bar where the average value, the lowest allowed value and the highest allowed value are located.</li>
		<li>Chart with horizontal bars: Represents the use of each allowed value through horizontal bars.</li>
		<li>Chart with vertical bars: Represents the use of each allowed value through vertical bar.</li>
		<li>Summary: A set of data obtained from the input values (average, sum, highest and lowest allowed value, highest and lowest used value, most and least frequent value, number of values).</li>
	</ul>
	The user sees these data only if it has permission. The message index can be sort by the summary data, if it has permission to sort by the field.<br />
	Using templates can be inserted the statistical data of any group of fields elsewhere.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Under the option "Search" from the menu forum the search pages are located' : 'The option "Search posts and records" from the menu forum provides access to the search pages') . ', showing the groups and their fields on which user have search permission.<br />
	Groups of type "loose fields", "fields with several values per member" and "filters" can be in several search pages, and each page contain several groups, with the only condition that the groups on a page must be permitted on a common set of posts. As a search result a list of posts is obtained.<br />
	For each group of type "register" with search permission have one page. As a result a list of records is obtained with the columns indicated at defining the fields.';
$helptxt['cffp_counter'] = 'The number of each type of record created by the member can be displayed in the information about that member.<br />
	This can be seen in several areas, such as the member\'s profile and the member\'s information about the poster of each message.<br />
	"Administration Center > Forum Maintenance > ' . (!$smf_version_1 ? 'Routine' : 'General Maintenance') . ' > Recount all forum totals and statistics" also recounts the number of each type of record created by members.<br />
	Also, the total number of each type of record created can be show on the statistics.<br />
	Membergroups based on the number of each type of record can be created in "Administration Center > Membergroups > Based on number of records".';
$helptxt['cffp_top_poster'] = 'The top 10 posters of each type of records can be shown in the Statistics Center.';
$helptxt['cffp_profile_list'] = 'In the member\'s profile, under the section "Profile Info > Show Posts", can be show a list for each group of type "record", with posted messages by the member containing this type of group.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'In the Moderation Center is possible to control the content posted by users in the groups of type "fields with several values per member".<br />
	For each group which has chosen to show this list will be displayed an access to the list under the section "Posts > Groups of fields on posts" and, optionally, a link under the option "Moderate" from the menu forum.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Global moderators can to control the content posted by users in the groups of type "fields with several values per member".<br />
	The option "Moderate the groups of fields on posts" from the menu forum provides access to list with posted data, one for each group which has chosen to show this list.';
}
$helptxt['cffp_reattribute'] = 'Allows reattribute to registered member groups of fields published by a guest or another registered member.';
$helptxt['cffp'] = '<b>Custom fields and filters of post</b><br />
	Allows to add different groups of custom fields to forum posts and filters for fields of posts.<br />
	' . $helptxt['cffp_grouptype'] . '
	The available predefined filters are:<br />
	<ul class="normallist">
		<li>Boards.</li>
		<li>Types of record.</li>
		<li>Subject.</li>
		<li>Start of the subject.</li>
		<li>First character of the subject.</li>
		<li>Date of topic / Date posted.</li>
		<li>Date of last reply / Date posted.</li>
		<li>Posted by.</li>
		<li>Topic with new posts / New.</li>
		<li>Sticky.</li>
		<li>Locked.</li>
		<li>Replies.</li>
		<li>Poll.</li>
	</ul>
	The actions to be performed on a group of custom fields are: view, add, modify, delete and move.<br />
	Furthermore other actions are possible using custom fields:<br />
	<ul class="normallist">
		<li>Filter the message index.</li>
		<li>Sort the message index.</li>
		<li>Show statistics.</li>
		<li>Search in fields of posts, getting a list of posts.</li>
		<li>Search in fields of records, getting a list of records.</li>
	</ul>
	<br />
	<b>Administration panel</b><br />
	The administration panel has the list of groups of custom fields, which allows to add new groups, modify or delete existing groups, add, modify or delete fields in a group and define templates to display those fields in a post and in message index.<br />
	<br />
	<b>Viewing posts with custom fields</b><br />
	When viewing a complete post (on a topic, in recent posts or profile) are displayed its groups (which are enabled when post is create or modify). Groups of type "loose fields" and "record" are shown above the post body, whereas groups of type "fields with several values per member" are shown below, unless was selected "Show as group of fields of the topic" and then is displayed at the beginning and/or end of the topic. If a group has template for posts the fields are displayed according to the template, if has not are displayed with its name and content.<br />
	In lists of posts (message index, unread post and replies) are displayed groups with fields visible in message index (according to permissions). If a group has template for message index the fields are displayed according to the template, if has not are displayed with its name and content.<br />
	<br />
	<b>Modifying values on custom fields</b><br />
	In a topic, posts with groups of type "fields with several values per member" have buttons for the user to post new values, and modify or remove existing ones.<br />
	For all other groups ("fields loose" and "record"), at create or modify the post are displayed allowed groups. The groups of type "loose fields" always have their fields visible, whereas the groups of type "record" have a checkbox to show or hide their fields. If has been created template for quick input in a record, <strong>Quick input field</strong> is displayed after the record fields.<br />
	<br />
	<b>Moving a group of custom fields to another post</b><br />
	A group of fields may have to be allocated to another post, for example before removing the post where is the group.<br />
	If user has allowed to move a group, when viewing a topic that group will have buttons to move to the first post from the topic or another post (or another topic if the group is of type "fields with several values per member" and have selected "Show as group of fields of the topic").<br />
	<br />
	<b>Filter the message index</b><br />
	If the user has permission to filter by a field, a button is displayed in the message index to filter topics by that field.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Also, with a group of type "filters" can be added predefined filters.<br />
	The filters can be of the same group or different groups of fields.<br />
	Next to filters there is a button to activate the filters that have been given some value. As a result is obtained the messages index with topics whose first post matches all active filters.<br />
	<br />
	<b>Sort the message index</b><br />
	If the user has permission to sort by one or more fields, a select box is displayed in the message index to sort topics by one of those fields.<br />
	<br />
	<b>Show statistics</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>Search in fields</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	In both cases the buttons used in each search field follow the same rule as in the filters.<br />
	<br />
	<b>Counter on the information about the member</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Top posters on statistics</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>List on member\'s profile</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'List on Moderation Center' : 'List of moderation') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Reattribute User Groups</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	This is located in "Administration Center > Forum Maintenance > Members > Reattribute User Groups".' : '');
$helptxt['cffp_enclose'] = 'Encloses the user input between some text (created with HTML, BBC or PHP). This will allow you to add more instant message providers, images or an embed etc. For example:<br />
	<br />
	&lt;a href="http://website.com/{INPUT}"&gt;&lt;img src="{DEFAULT_IMAGES_URL}/icon.gif" alt="{INPUT}" /&gt;&lt;/a&gt;<br />
	<br />
	Note that you can use the following variables:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - The input specified by the user.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML to put prior to the output text.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML to put following the output text.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Field name in database of the field ID <i>n</i>. Field can be from any group.</li>
		<li><tt>{ID_MSG}</tt> - ID of the current message.</li>
		<li><tt>{BOARDURL}</tt> - URL to forum folder.</li>
		<li><tt>{SCRIPTURL}</tt> - Web address of forum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL to images folder in the users current theme.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL to the images folder in the default theme.</li>
	</ul>
	In PHP you can also use the following functions:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>message_ID</i><tt>, </tt><i>group_ID</i><tt>)</tt> - Displays the group of a message like in a message.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>message_ID</i><tt>, </tt><i>group_ID</i><tt>)</tt> - Displays the group of a message like on the message index.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>message_ID</i><tt>, </tt><i>group_ID</i><tt>, \'</tt><i>type</i><tt>\', \'</tt><i>params</i><tt>\')</tt> - Displays the statistics for the group of a message (if are activated). The parameter <i>type</i> can be:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Displays the chart with average. The parameter <i>params</i> indicates chart characteristics. Permitted values: <tt>average</tt> (shown average value), <tt>minmax</tt> (shown lowest and highest allowed value), <tt>options_text</tt> (shown the text of options).</li>
				<li><tt>chart_hbars</tt> - Displays the chart with horizontal bars. The parameter <i>params</i> is not used.</li>
				<li><tt>chart_vbars</tt> - Displays the chart with vertical bars. The parameter <i>params</i> indicates chart characteristics. Permitted values: <tt>options_text</tt> (shown the text of options).</li>
				<li><tt>summary</tt> - Displays the summary. The parameter <i>params</i> indicates values to display, comma separated. Permitted values: <tt>average</tt> (average value), <tt>sum</tt> (sum), <tt>max</tt> (highest allowed value), <tt>min</tt> (lowest allowed value), <tt>highest</tt> (highest used value), <tt>lowest</tt> (lowest used value), <tt>most_frequent</tt> (most frequent value), <tt>least_frequent</tt> (least frequent value), <tt>total</tt> (number of values).</li>
				<li><tt>value</tt> - Displays a value of the summary. The parameter <i>params</i> indicates value to display. Permitted values: <tt>average</tt> (average value), <tt>sum</tt> (sum), <tt>max</tt> (highest allowed value), <tt>min</tt> (lowest allowed value), <tt>highest</tt> (highest used value), <tt>lowest</tt> (lowest used value), <tt>most_frequent</tt> (most frequent value), <tt>least_frequent</tt> (least frequent value), <tt>total</tt> (number of values).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'The input mask is important for your forum\'s security. Validating the input from a user can help ensure that data is not used in a way you do not expect. We have provided some simple regular expressions as hints.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		"[A-Za-z]+" - Match all upper and lower case alphabet characters.<br />
		"[0-9]+" - Match all numeric characters.<br />
		"[A-Za-z0-9]{7}" - Match all upper and lower case alphabet and numeric characters seven times.<br />
		"[^0-9]?" - Forbid any number from being matched.<br />
		"^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$" - Only allow 3 or 6 character hexcodes.<br />
	</div><br /><br />
	Additionally, special metacharacters ?+*^$ and {xx} can be defined.
	<div class="smalltext" style="margin: 0 2em">
		? - None or one match of previous expression.<br />
		+ - One or more of previous expression.<br />
		* - None or more of previous expression.<br />
		{xx} - An exact number from previous expression.<br />
		{xx,} - An exact number or more from previous expression.<br />
		{,xx} - An exact number or less from previous expression.<br />
		{xx,yy} - An exact match between the two numbers from previous expression.<br />
		^ - Start of string.<br />
		$ - End of string.<br />
		\\ - Escapes the next character.<br />
	</div><br /><br />
	More information and advanced techniques may be found on the internet.';
$helptxt['cffp_fieldtype'] = 'Types of fields that can be create are:<br />
	<ul class="normallist">
		<li>Text: Field in which can type text of one line.</li>
		<li>Large text: Field that allows multi-line type text.</li>
		<li>Select box: Field that displays a menu of options to select. The field can be single selection (allows to select only one option) or multiple (allows to select several options at once).</li>
		<li>Combo box: Combination of select box (single or multiple selection) and text box, allowing type a value (or comma separated values) or choose from a list of options.</li>
		<li>Radio buttons: Set of options from which can only choose one.</li>
		<li>Checkboxes: Set of options from which you can choose several at once.</li>
		<li>Boolean: Only one checkbox that can be selected (value "true") or not (value "false").</li>
	</ul>';
$helptxt['cffp_options'] = 'This section defines the options that a user may choose from a select box, combo box, radio buttons or checkboxes. There are a few key points to note in this section:<br />
	<ul class="normallist">
		<li>Default options: Whichever options box has the "radio button" (can be only one) or "checkbox" (can be several) next to it selected will be the default selections for the user when they enter data.</li>
		<li>Removing options: To remove an option simply empty the text box for that option - all posts with that selected will have their option cleared.</li>
		<li>Reordering options: You can reorder the options by moving text around between the boxes. However - an important note - you must make sure you do <strong>not</strong> change the text when reordering options as otherwise post data will be lost.</li>
		<li>Text (available if the button is not a combo box): An option may be displayed with real value or with a text more meaningful to the user.</li>
		<li>Add multiple options: Allows to add multiple options at one time, writing each option on a line of the large text field. Each option has value and, if the button is not a combo box, text, comma separated. Text is optional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'JavaScript code executed when a group of fields is created or modified.<br />
	Allows to execute code when an event occurs over a form button or other HTML element.<br />
	This can be written as:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>html_element_name</i><tt>)[0].</tt><i>event_name</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>html_element_id</i><tt>).</tt><i>event_name</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	For example, this code shows a message when the user clicks on the button <tt>id1</tt> and copy the value of the button <tt>id2</tt> on the subject when the user change this value:<br />
	<br />
	<tt>document.getElementById(\'id1\').onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(\'A message\');<br />
	}<br />
	document.getElementById(\'id2\').onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(\'subject\')[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Text used to view the content of fields in group.<br />
	You can use the following variables:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Name of field ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Value of field ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Field name in database of the field ID <i>n</i>. Field can be from any group.</li>
		<li><tt>{ID_MSG}</tt> - ID of the current message.</li>
		<li><tt>{BOARDURL}</tt> - URL to forum folder.</li>
		<li><tt>{SCRIPTURL}</tt> - Web address of forum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL to images folder in the users current theme.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL to the images folder in the default theme.</li>
	</ul>
	In PHP you can also use the following functions:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>message_ID</i><tt>, </tt><i>group_ID</i><tt>)</tt> - Displays the group of a message like in a message.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>message_ID</i><tt>, </tt><i>group_ID</i><tt>)</tt> - Displays the group of a message like on the message index.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>message_ID</i><tt>, </tt><i>group_ID</i><tt>, \'</tt><i>type</i><tt>\', \'</tt><i>params</i><tt>\')</tt> - Displays the statistics for the group of a message (if are activated). The parameter <i>type</i> can be:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Displays the chart with average. The parameter <i>params</i> indicates chart characteristics. Permitted values: <tt>average</tt> (shown average value), <tt>minmax</tt> (shown lowest and highest allowed value), <tt>options_text</tt> (shown the text of options).</li>
				<li><tt>chart_hbars</tt> - Displays the chart with horizontal bars. The parameter <i>params</i> is not used.</li>
				<li><tt>chart_vbars</tt> - Displays the chart with vertical bars. The parameter <i>params</i> indicates chart characteristics. Permitted values: <tt>options_text</tt> (shown the text of options).</li>
				<li><tt>summary</tt> - Displays the summary. The parameter <i>params</i> indicates values to display, comma separated. Permitted values: <tt>average</tt> (average value), <tt>sum</tt> (sum), <tt>max</tt> (highest allowed value), <tt>min</tt> (lowest allowed value), <tt>highest</tt> (highest used value), <tt>lowest</tt> (lowest used value), <tt>most_frequent</tt> (most frequent value), <tt>least_frequent</tt> (least frequent value), <tt>total</tt> (number of values).</li>
				<li><tt>value</tt> - Displays a value of the summary. The parameter <i>params</i> indicates value to display. Permitted values: <tt>average</tt> (average value), <tt>sum</tt> (sum), <tt>max</tt> (highest allowed value), <tt>min</tt> (lowest allowed value), <tt>highest</tt> (highest used value), <tt>lowest</tt> (lowest used value), <tt>most_frequent</tt> (most frequent value), <tt>least_frequent</tt> (least frequent value), <tt>total</tt> (number of values).</li>
			</ul></li>
	</ul>
	Empty the text field to delete the template. If template is not defined fields are displayed with their name and content.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Text used to create a record.<br />
	Allows fill in all fields at one time, writing all values into a single field, called <strong>Quick input field</strong>, in accordance with a template or regular expression.<br />
	The regular expression must be compatible with JavaScript. Used in <tt>String.match(regex)</tt> method and must be obtained an array of field values starting with the key 1.<br />
	The template parameters consist of lines of text:<br />
	<ul class="normallist">
		<li>For each element of the array obtained from the regular expression adds a line with the field ID.</li>
		<li>Lines follow the order of the array.</li>
		<li>If an array element does not correspond to any field, contains text not used and in the line is written 0.</li>
		<li>If is necessary to format a value before copying it in their field, under the line that contains the field ID another line is added with the JavaScript code that transforms the value. <tt>value</tt> variable contains the original value and should contain the transformed value. With <tt>field_obj</tt> array, indexed by field ID, there is access to all the form fields in the record.</li>
	</ul>
	For example, if the record has these fields<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Name</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Author first name</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Author surname</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	is defined<br />
	<br />
	Regular expression: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Parameters:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");</tt><br />
	<br />
	and user writes<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	fields will be filled thus:<br />
	<br />
	ID DocBook: 24<br />
	Author first name: Lewis<br />
	Author surname: Carroll';

?>