<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'Eine Gruppe von Feldern kann von jenen Arten sein:<br />
	<ul class="normallist">
		<li>Loses Feld: Dessen Felder werden Beiträgen zugefügt, um extra Information zu geben. Für die Datensuche im Losen-Feld, wird diesem eine Liste an Beiträgen angehängt.</li>
		<li>Aufzeichnung: Es ist ein Set von Felder, daß einen unabhängigen Eintrag des Beitrages repräsentiert. Mit der Suche nach Daten in Aufzeichnungsfelder, bekommt es eine Liste an Aufzeichnungen. Das Textfeld eines Beitrages kann nicht leer gelassen werden, doch ein Beitrag mit einer Aufzeichnung benötigt einen Eintrag im Textfeld. Wenn der Nutzer eine Aufzeichnung hinzufügt, schreibt das System einen Punkt (".") in das Feld und man braucht nichts in das Textfeld des Beitrages zu schreiben.</li>
		<li>Felder mit verschiedenen Werten nach Mitglied: Es ist ein Set aus Feldern, in das verschiedene Mitglieder, verschiedene Werte einfügen können. Es kann dazu genutzt werden, daß Mitglieder Anmerkungen oder Bewertungen über einen Beitrag machen können. Wenn diese Felder nur im ersten Beitrag eines Themas platziert sind, kann es als zum Thema gehörend angezeigt werden.</li>
		<li>Filter: Dies ist eine spezielle Art von Gruppe, ohne Felder und wird dazu verwendet, um ein Set von Filtern zu ermöglichen, die für Themen und Beiträge genutzt werden können.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'Die Art der Filter-Knöpfe, hängt von der Art des Feldes ab:<br />
	<ul class="normallist">
		<li>Der Filter für Text oder umfangreiche Texte, ist ein Text-Feld, in welches man die Sucheingabe einträgt, oder eine Auswahlkästchen, um Daten mit diesem Feld "leer" oder "nicht leer" zu bekommen.</li>
		<li>Felder der Art Auswahlfenster, Kombi-Box, Runder Knopf oder Auswahl-Knopf, haben beim Filtern ein Textfenster, eine Auswahlfenster oder eine Kombi-Box, in der man auswählen, oder einen Suchtext eingeben kann, oder ein Auswahlfenster, um die Daten mit dem Feld "leer" oder "nicht leer" zu bekommen.</li>
		<li>Für Felder der Art Boolean, ist der Filter eine Auswahlbox mit den Werten "Ja" oder "Nein".</li>
	</ul>
	Wenn der Nutzer dein Feld ändern kann, das Feld leer sein mag und dessen Filter eine Auswahlfenster, oder eine Kombi-Box ist, sieht er eine Option in der Liste, um Daten mit leeren Feldern zu bekommen.<br />
	Der Filter mit Text-Knopf, erlaubt es nach losen Wörtern, getrennt mit Leerzeichen and to use these modifiers:<br />
	<ul class="normallist">
		<li><tt>"</tt> (double quotes) - Searchs for an exact phrase inside quotes. For example, <tt>"tallest building"</tt></li>
		<li><tt>-</tt> (minus sign) - Put this in front of a word or exact phrase you want to leave out. For example, <tt>jaguar speed -car</tt></li>
		<li><tt>OR</tt> - Between words and/or exact phrases, searchs one or the other. For example, <tt>marathon OR race</tt></li>
	</ul>
	Wenn der Filter der Art Text- oder Kombi_Box ist, ist die Grundeinstellung so, daß der Text im Feldwert enthalten ist, wo sonst, wenn der Filter der Art eines Auswahlfensters ist, der Text auf den Wert des Feldes zutrifft.';
$helptxt['cffp_stats'] = 'Wenn eine Gruppe der Art "Feld mit verschiedenen Werten je Mitglied" nur ein Feld hat und von der Art eines Auswahlfensters, Rund-Knopf oder Auswahl-Knopf (das heißt, da ist eine endliche Anzahl von Werten), können statistische Daten dieser Werte, die in das Feld eingetragen wurden, generiert werden.<br />
	Die statistischen Daten die angezeigt werden können, beinhalten:<br />
	<ul class="normallist">
		<li>Diagramm mit Mittelwert: Es besteht aus einem horizontalen Balken wo der Mittelwert, der niedrigste und der höchste erlaubte Wert angeführt ist.</li>
		<li>Diagramm mit horizontalen Balken: Gibt die Verwendung jedes Wertes durch horizontale Balken an.</li>
		<li>Diagramm mit vertikalen Werten: Gibt die Verwendung jedes Wertes durch vertikale Balken an.</li>
		<li>Zusammenfassung: Ein Set von Daten, das sich aus den Eingabedaten (mittlerer, sum, höchste und niedrigster erlaubter Wert, höchster und niedrigster genutzter Wert, meist und am wenigsten frequentierter Wert, anzahl von Werten) zusammensetzt.</li>
	</ul>
	Der Nutzer sieht die Daten nur, wenn er die Berechtigung hat. Der Beitrags-Index kann nach der Zusammenfassung der Daten sortiert werden, wenn die Berechtigung, das Feld zu sortieren, gegeben ist.<br />
	Vorlagen zu benutzen, kann statistische Daten jeglicher Gruppe oder Feld überall hinzugefügt werden.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Unter der Option "Suche", aus dem Menüforum, in dem die Suchseite platziert ist' : 'Die Option "In Beiträgen und Aufzeichnungen suchen", aus dem Menüforum, versorgt mit dem Zugang zur den Suchseiten') . ', indem sie die Gruppen und deren Felder, zu denen ein Nutzer Berechtigung hat zu suchen, anzeigt.<br />
	Gruppen der Art "Lose-Felder", "Feld mit verschiedenen Werten je Mitglied" und "Filter", können auf verschiedenen Suchseiten sein und jede Seite beinhaltet verschiedene Gruppen, mit der einzigen Bedingung, das die Gruppen auf einer Seite Berechtigung für ein übliches Set an Beiträgen haben. Als Suchergebnis, wird eine Liste von Beiträgen ausgegeben.<br />
	Jeder Gruppe der Art "Register" mit Berechtigung, hat eine Seite. Als Ergebnis wird eine Liste von Aufzeichnungen, mit Spalten, die durch die definierten Felder angezeigt werden, erlangt.';
$helptxt['cffp_counter'] = 'Die Anzahl jeder Art von Aufzeichnung, die von einem Mitglied erstellt wurde, kann in der Information zum Mitglied angezeigt werden.<br />
	Es kann an verschiedenen Stellen, wie etwa im Mitgliedsprofil oder ein der Mitgliedsinformation jedes Beitrages in den Beiträgen angezeigt werden.<br />
	"Administrator-Center > Wartung des Forums > ' . (!$smf_version_1 ? 'Routine' : 'Generelle Wartung') . ' > Alle Forumswerte und Statistiken neu zählen", zählt auch die Anzahl jeder Art von Aufzeichnung, die von Mitgliedern erstellt wurden.<br />
	Die Gesamtzahl jeder Art von erzeugter Auszeichnung, kann ebenfalls in der Statistik angezeigt werden.<br />
	Membergroups based on the number of each type of record can be created in "Administrator-Center > Mitgliedergruppen verwalten > Based on number of records".';
$helptxt['cffp_top_poster'] = 'Die top 10 Beitragenden jeder Art von Aufzeichnung, können in der Statistik angezeigt werden.';
$helptxt['cffp_profile_list'] = 'Im Mitgliedsprofil, im Bereich "Profil-Information > Beiträge anzeigen", kann eine Liste jeder Gruppe der Art "Aufzeichnung" mit beigetragenen Nachrichten vom Mitglied, die Art der Gruppe enthaltend, angezeigt werden.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'Im Moderationszentrum ist es möglich, den Inhalt der Gruppe von der Art "Feld mit verschiedenen Werten je Mitglied", von Mitgliedern, zu kontrollieren.<br />
	Für jede Gruppe, für die ausgewählt wurde, deren Liste anzuzeigen, wird ein Zugang unter dem Abschnitt "Beiträge > Gruppen von Feldern in Beiträgen" und, optional, ein Link, mit der Option "moderieren", aus dem Menüforum, angezeigt.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Globale Moderatoren können den Inhalt, der von Nutzern in der Gruppe "Feld mit verschiedenen Werten je Mitglied" eingegeben wurde, kontrollieren.<br />
	Die Option "Moderiere die Gruppen von Feldern in Beiträgen" des Menüforums, versorgt mit dem Zugang beigetragene Daten zu listen, eine je Gruppe, welche ausgewählt wurde in der Liste anzuzeigen.';
}
$helptxt['cffp_reattribute'] = 'Allows reattribute to registered member groups of fields published by a guest or another registered member.';
$helptxt['cffp'] = '<b>Wahlfelder und Filter in Beiträgen</b><br />
	Erlaubt verschiedene Gruppen an Wahlfeldern Forum-Beiträgen anzuhängen und nach den Feldern in den Beiträgen zu filtern.<br />
	' . $helptxt['cffp_grouptype'] . '
	Die verfügbaren vordefinierten Filter sind:<br />
	<ul class="normallist">
		<li>Foren.</li>
		<li>Arten von Aufzeichnung.</li>
		<li>Betreff.</li>
		<li>Beginn des Betreffs.</li>
		<li>Erstes Zeichen des Betreffs.</li>
		<li>Datum des Themas / Datum beigetragen.</li>
		<li>Datum der letzten Antwort / Datum beigetragen.</li>
		<li>Beigetragen von.</li>
		<li>Thema mit neuen Beiträgen / Neu.</li>
		<li>Fixiert.</li>
		<li>Geschlossen.</li>
		<li>Antworten.</li>
		<li>Umfrage.</li>
	</ul>
	Die Aktionen, die für eine Gruppe von Wahlfeldern, ausgeführt werden können sind: Ansehen, Hinzufügen, Ändern, Löschen und Verschieben.<br />
	Weiters sind andere Aktionen für Wahlfelder nutzbar:<br />
	<ul class="normallist">
		<li>Filtere den Beitrags-Index.</li>
		<li>Sortiere den Beitrags-Index.</li>
		<li>Zeige Statistiken.</li>
		<li>Suche in Feldern von Beiträgen; eine Liste von Beiträgen bekommen.</li>
		<li>Suche in Wahlfeldern; eine Liste von Aufzeichnungen bekommen.</li>
	</ul>
	<br />
	<b>Administrations Paneel</b><br />
	Das Administrationspaneel enthält eine Liste von Gruppen und Wahlfeldern, welches erlaubt neue Gruppen hinzuzufügen, sie zu ändern oder bestehende Gruppen zu löschen; hinzufügen, ändern und löschen von Feldern und Vorlagen zu definieren, um diese Felder in einem Beitrag oder in einer Beitragsliste anzuzeigen.<br />
	<br />
	<b>Beiträge mit Wahlfeldern einsehen</b><br />
	Wenn man einen vollständigen Beitrag (in einem Thema, in aktuellen Beiträgen oder Profil) ansieht, werden dessen Gruppen angezeigt (die aktiv sind, wenn man einen Beitrag erzeugt oder geändert wird). Gruppen der Art "Lose-Felder" und "Aufzeichnungen", werden oberhalb des Beitrages angezeigt und Gruppen der Art "Felder mit verschiedenen Werten nach Mitglieder", werden unterhalb angezeigt, es sei den, es wurde "Zeige als Gruppe von Feldern im Beitrag an" eingestellt und dann wird diese am Beginn oder/und am Ende des Themas angezeigt. Wenn eine Gruppe eine Vorlage für Beiträge hat, werden die Felder entsprechend der Vorlage angezeigt und wenn nicht, werden Sie mit Name und Inhalt angezeigt.<br />
	In Listen von Beiträgen (Beitragsindex, ungelesene Beiträge und Antworten), werden Gruppen mit Feldern im Beitragsindex (entsprechend der Berechtigungen) angezeigt. Wenn eine Gruppe eine Vorlage für Beitragsindex hat, werden sie entsprechend der Vorlage angezeigt. Wenn nicht, werden sie mit ihrem Namen und dem Inhalt angezeigt.<br />
	<br />
	<b>Bearbeiten der Werte von Wahlfeldern</b><br />
	In einem Thema, Beitrag, haben Gruppen von der Art "Felder mit verschiedenen Werten je Mitglied" Knöpfe für Nutzer, um neue Werte beizutragen, sie zu ändern oder bestehende zu entfernen.<br />
	Alle anderen Gruppen ("Lose-Felder" und "Aufzeichnungen"), werden den Erlaubten Gruppen, mit dem Erzeugen und Ändern, angezeigt. Die Felder der Gruppe der Art "Lose-Felder", sind immer sichtbar und die Gruppe der Art "Aufzeichnung" entsprechend dem Auswahlkästchen zum Anzeigen oder Verbergen deren Felder. Wenn es mit mit einer Vorlage für schnelle Eingaben erzeugt wurde, wird <strong>Schnelleingabefeld</strong> nach dem Aufzeichnungsfeld angezeigt.<br />
	<br />
	<b>Eine Gruppe von Wahlfelder in einen anderen Beitrag verschieden</b><br />
	Man mag wünschen eine Gruppe von Felder in einen anderen Beitrag zu verschieden: z.B. bevor man den Beitrag dort hin verschiebt, wo die Gruppe ist.<br />
	Wenn es einem Nutzer erlaubt ist, eine Gruppe zu verschieben, hat er, wenn er das Thema betrachten, Knöpfe für das Verschieben am ersten Beitrag des Themas oder an anderen Beiträgen (oder anderen Themen, wenn die Gruppe von der Art "Feld mit verschiedenen Werten je Mitglied" und "Zeige als Gruppe von Feldern des Themas" ausgewählt wurde).<br />
	<br />
	<b>Filter den Beitrags-Index</b><br />
	Wenn ein Nutzer die Berechtigung hat, nach Feldern zu filtern, wird ein Knopf im Beitrags-Index angezeigt, um Themen nach dem Feld zu filtern.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Ebenso mit einer Gruppe der Art "Filter", kann auch hier ein vordefinierter Filter eingegeben werden.<br />
	Der Filter kann von der selben Gruppe oder von verschiedenen Gruppen von Feldern sein.<br />
	Neben den Filtern ist ein Knopf, um Filter zu aktivieren, denen ein Wert gegeben wurde. Als Ergebnis, wird ein Beitrags-Index von Themen erlangt, dessen erster Beitrag allen aktivierten Filtern entspricht.<br />
	<br />
	<b>Den Beitrags-Index sortieren</b><br />
	Wenn ein Nutzer die Berechtigung hat, nach einem oder mehreren Feldern zu sortieren, wird eine Auswahlbox im Beitrags-Index angezeigt, um die Themen nach einem dieser Felder zu sortieren.<br />
	<br />
	<b>Statistiken zeigen</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>In Feldern suchen</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	In beiden Fällen, folgen die Knöpfe jedes Suchfeldes, den selben Regeln wie in den Filtern.<br />
	<br />
	<b>Zähler für Informationen über Mitglieder</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Top Beitragenden auf Statistiken</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>Liste im Mitgliedsprofil</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'Liste im Moderationszentrum' : 'Liste der Moderationen') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Reattribute User Groups</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	This is located in "Administration Center > Forum Maintenance > Members > Reattribute User Groups".' : '');
$helptxt['cffp_enclose'] = 'Schließt den Nutzertext innerhalb von Texten (erzeugt mit HTML, BBC oder PHP) ein. Dies erlaubt Ihnen, mehrere Instant-Messenger Anbieter, Bilder oder Einbettungen usw. anzufügen. Zum Beispiel:<br />
	<br />
	&lt;a href="http://website.com/{INPUT}"&gt;&lt;img src="{DEFAULT_IMAGES_URL}/icon.gif" alt="{INPUT}" /&gt;&lt;/a&gt;<br />
	<br />
	Bemerke, daß sie folgende Variablen benutzen können:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - Die Eingabe, die von Nutzer definiert ist.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML, um dem Ausgabetext Vorläufer zu setzen.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML, um dem Ausgabetext Nachläufer zu geben.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Feldname in der Datenbank der Feld-ID <i>n</i>. Das Feld kann aus jeder Gruppe sein.</li>
		<li><tt>{ID_MSG}</tt> - ID der gegenständlichen Nachricht.</li>
		<li><tt>{BOARDURL}</tt> - URL des Forumverzeichnis.</li>
		<li><tt>{SCRIPTURL}</tt> - Web-Adresse des forum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL zu einem Bildverzeichnis im gegenständlichen Layout des Nutzers.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL zum Bildverzeichnis im Default-Layout.</li>
	</ul>
	In PHP kommen sie auch folgende Funktionen verwenden:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeigt die Gruppe eines Beitrags, wie in einem Beitrag an.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeigt die Gruppe einer Nachricht, wie im Beitrags-Index an.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>, \'</tt><i>art</i><tt>\', \'</tt><i>param</i><tt>\')</tt> - Zeigt die Statistik für die Gruppe von Nachrichten (wenn aktiv) an. Der Parameter <i>art</i>, kann sein:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Zeigt das Diagramm mit Mittelwert. Der Parameter <i>param</i>, gibt die Art des Diagramms an. Erlaubte Werte: <tt>average</tt> (zeigt Mittelwerte), <tt>minmax</tt> (zeigt niedrigsten und höchsten erlaubten Wert), <tt>options_text</tt> (zeigt den Text einer Option).</li>
				<li><tt>chart_hbars</tt> - Zeigt das Diagramm mit horizontalen Balken an. Der Parameter <i>param</i>, wird nicht benutzt.</li>
				<li><tt>chart_vbars</tt> - Zeigt das Diagramm mit vertikalen Balken an. Der Parameter <i>param</i> gibt die Art des Diagramms an. Erlaubte Werte: <tt>options_text</tt> (zeigt den Text der Wahl).</li>
				<li><tt>summary</tt> - Zeigt eine Zusammenfassung. Der Parameter <i>param</i> gibt den Wert der Anzeige, getrennt mit Bestrichen an. Erlaubte Werte: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (höchster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (höchster verwendeter Wert), <tt>lowest</tt> (niedrigster verwendeter Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
				<li><tt>value</tt> - Zeigt einen Wert der Zusammenfassung an. Der Parameter <i>param</i> gibt den anzuzeigenden Wert an. Erlaubte Parameter: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (höchster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (höchster genutzter Wert), <tt>lowest</tt> (niedrigster genutzer Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'Die Eingabemaske ist für Ihre Forum-Sicherheit wichtig. Bestätigen der Eingabe des Nutzers, kann helfen, das Daten nicht so genutzt werden, wie Sie es nicht annehmen würden. Wir haben ein paar einfache reguläre Ausdrücke, als Tipps mitgegeben.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		"[A-Za-z]+" - Trifft alle Klein- und Großbuchstaben des Alphabets.<br />
		"[0-9]+" - Trifft alle Zahlen.<br />
		"[A-Za-z0-9]{7}" - Trifft alle Klein- und Großbuchstaben, wie Zahlen, sieben mal.<br />
		"[^0-9]?" - Verbietet jegliches zutreffen einer Zahl.<br />
		"^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$" - Erlaubt nur 3 oder 6 Zeichen von Hexcode.<br />
	</div><br /><br />
	Zusätzlich können Meta-Zeichen ?+*^$ und {xx} definiert werden.
	<div class="smalltext" style="margin: 0 2em">
		? - Keine oder ein Treffer, des vorhergehenden Ausdruckes.<br />
		+ - Einer oder mehr, des vorhergehenden Ausdruckes.<br />
		* - Keiner oder mehrere, des vorhergehenden Ausdruckes.<br />
		{xx} - Eine exakte Anzahl, des vorhergehenden Ausdruckes.<br />
		{xx,} - Eine exakte Anzahl oder mehr, des vorhergehenden Ausdruckes.<br />
		{,xx} - Eine exakte Anzahl oder weniger, des vorhergehenden Ausdruckes.<br />
		{xx,yy} - Ein exakter Treffer zwischen den zwei Zahlen, des vorhergehenden Ausdruckes.<br />
		^ - Beginn einer Reihe.<br />
		$ - Ende einer Reihe.<br />
		\\ - Entkommt dem nächsten Zeichen.<br />
	</div><br /><br />
	Mehr Informationen und fortgeschrittene Technik mag im Internet gefunden werden.';
$helptxt['cffp_fieldtype'] = 'Arten von Feldern, die erstellt werden können, sind:<br />
	<ul class="normallist">
		<li>Text: Feld in dem ein Text einer Zeile geschrieben werden kann.</li>
		<li>Großer Text: Feld das Mehrfachzeilen-Text erlaubt.</li>
		<li>Auswahlbox: Feld das es erlaubt aus einem Menü von Optionen zu wählen. Das Feld keine eine Einfachauswahl sein (läßt die Auswahl von nur einer Option zu) oder eine Mehrfachauswahl (läßt die Auswahl von mehreren Optionen zu).</li>
		<li>Kombi-Box: Kombination aus der Auswahlbox (Einfach- oder Mehrfachauswahl) und Text-Box, die Eingabe von Werten (oder beistrichgetrennten Werten) erlaubend oder aus einer Liste von Optionen zu wählen.</li>
		<li>Rund-Knopf: Ein Set von Optionen, aus dem nur eines gewählt werden kann.</li>
		<li>Auswahlbox: Set aus Optionen, von denen man mehrere auf einmal auswählen kann.</li>
		<li>Boolean: Nur eine Auswahlbox, die gewählt werden kann: (Wert "true") oder (Wert "false").</li>
	</ul>';
$helptxt['cffp_options'] = 'Dieser Abschnitt definiert die Optionen, die ein Nutzer für eine Auswahlbox, Kombi-Box, Rund-Knopf oder Auswahlkästchen wählen kann. Das gibt es ein paar Schlüsselpunkte zu diesem Thema zu bemerken:<br />
	<ul class="normallist">
		<li>Optionen Grundeinstellung: Welche Optionsbox auch immer einen "Rund-Knopf" hat (kann nur einer sein), oder ein "Auswahlkästchen" (können mehrere sein) gewählt hat, ist die Grundeinstellung ausgewählt, wenn der Nutzer Daten ein gibt.</li>
		<li>Optionen entfernen: Um eine Option zu entfernen, leeren sie einfach die Box für diese Option. Alle Beiträge, die dies ausgewählt haben, haben deren Option entleert.</li>
		<li>Umordnen der Optionen: Sie können die Optionen, mit dem verschieben des Textes zwischen den Boxen, umordnen. Jedenfalls ein wichtiger Hinweis: Sie müssen sicher gehen, daß sie den Text <strong>nicht</strong> ändern, wenn Sie Optionen umordnen, da sonst die Daten der Beiträge verloren gehen.</li>
		<li>Text (verfügbar, wenn der Knopf von der Art einer Kombi-Box ist): Eine Option mag als realer Wert, oder als bedeutenderer Text für den Nutzer angezeigt werden.</li>
		<li>Mehrfachoptionen hinzufügen: Erlaubt das Hinzufügen von mehreren Optionen gleichzeitig, indem man jede Option in eine Zeile eines großen Textfeldes schreibt. Jede Option hat einen Wert und wenn der Knopf keine Kombi-Box ist, den Text durch Beistriche getrennt. Text ist optional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'JavaScript-Code durchführen, wenn eine Gruppe von Feldern erzeugt oder geändert wird.<br />
	Erlaubt einen Code durchzuführen, wen ein Event über einem Fomularknopf, oder einem anderen HTML-Element vor kommt.<br />
	Dies kann wie folgt geschrieben werden:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>html_elementname</i><tt>)[0].</tt><i>ereignisnamen</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>html_element_id</i><tt>).</tt><i>ereignisnamen</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	Dieser Code, zum Beispiel, zeigt eine Nachricht, wenn der Nutzer auf den Knopf <tt>id1</tt> drückt und kopiert den Wert des Knopfes <tt>id2</tt> zum Betreff, wenn der Nutzer den Wert ändert:<br />
	<br />
	<tt>document.getElementById(\'id1\').onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(\'Eine meldung\');<br />
	}<br />
	document.getElementById(\'id2\').onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(\'subject\')[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Text, der genutzt wird um den Inhalt von Feldern in der Gruppe anzuzeigen:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Name der Feld-ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Wert der Feld-ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Feldname in der Datenbank der Feld-ID <i>n</i>. Feld kann aus jeder Gruppe sein.</li>
		<li><tt>{ID_MSG}</tt> - ID des gegenständlichen Beitrages.</li>
		<li><tt>{BOARDURL}</tt> - URL zum Forumverzeichnis.</li>
		<li><tt>{SCRIPTURL}</tt> - Webadresse des Forums.</li>
		<li><tt>{IMAGES_URL}</tt> - URL zum Bildordner im gegenständlichen Layout des Nutzers.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL zum Bildordner im Layout der Grundeinstellung.</li>
	</ul>
	In PHP, können sie auch folgende Funktionen nutzen:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeig eine Gruppe von Nachrichten wie in einer Nachricht.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeigt eine Gruppe von Nachrichten wie im Beitrags-Index.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>, \'</tt><i>art</i><tt>\', \'</tt><i>param</i><tt>\')</tt> - Zeigt die Statistik für Gruppen eine Nachricht (wenn aktiviert) an. Die Parameter <i>art</i> können sein:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Zeigt Diagramm mit Mittelwert an. Der Parameter <i>param</i> gibt den Charakter des Diagramms an. Erlaubte Werte: <tt>average</tt> (Zeigt Mittelwert), <tt>minmax</tt> (zeigt niedrigsten und höchsten erlaubten Wert), <tt>options_text</tt> (zeigt den Text der Optionen).</li>
				<li><tt>chart_hbars</tt> - Zeigt das Diagramm mit horizontalen Balken. Der Parameter <i>param</i> wird nicht genutzt.</li>
				<li><tt>chart_vbars</tt> - Zeigt das Diagramm mit vertikalen Balken. Der Parameter <i>param</i> gibt die Charakteristik des Diagramms an. Erlaubte Werte: <tt>options_text</tt> (zeigt den Text der Optionen).</li>
				<li><tt>summary</tt> - Anzeige der Zusammenfassung. Der Parameter <i>param</i> gibt die Werte, die anzuzeigen sind, an, getrennt mit Beistrichen. Erlaubte Werte: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (höchster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (höchster genutzter Wert), <tt>lowest</tt> (niedrigster genutzter Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
				<li><tt>value</tt> - Zeigt einen Wert der Zusammenfassung an. Der Parameter <i>param</i> gibt den Wert der anzuzeigen ist an. Erlaubte Werte: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (höchster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (höchster genutzter Wert), <tt>lowest</tt> (niedrigster genutzter Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
			</ul></li>
	</ul>
	Leere Sie das Textfeld, um ein Template zu löschen. Wenn Template nicht definiert ist, werden Felder mit deren Namen und Inhalt angezeigt.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Genutzter Text, um eine Aufzeichnung zu erstellen.<br />
	Erlaubt alle Felder gleichzeitig auszufüllen, schreibt alle Werte in ein einziges Feld, <strong>Schnelleingabefeld</strong> genannt, entsprechend dem Template oder der Regulären Ausdrücke.<br />
	Die regulären Ausdrücke, müssen mit JavaScript kompatibel sein. Üblich in der <tt>String.match(regex)</tt> Methode und muß eine Reihe von Feldwerten, mit dem Schlüssel 1 erhalten<br />
	Die Template-Parameter bestehen aus Zeilen von Text:<br />
	<ul class="normallist">
		<li>Für jedes Element, erhalten aus den regulären Ausdrücken, wird eine Zeile mit Feld-ID hinzugefügt.</li>
		<li>Zeilen folgen der Ordnung der Reihen (array).</li>
		<li>Wenn ein Reihenelement mit keinem Feld zusammen passt, Text enthält, der nicht genutzt wird, wird in die Zeile 0 geschrieben.</li>
		<li>Wenn es notwendig ist, einen Wert vor dem Kopieren in dessen Feld, zu formatieren, wird unter der Zeile, welche die Feld-ID enthält, eine weiter Zeile mit JavaScript-Code hinzugefügt, die den Wert transformiert. <tt>value</tt> Variable enthält den Originalwert und sollte den transformierten Wert enthalten. Mit <tt>field_obj</tt> Reihe, indiziert mit Feld-ID, ist Zugang zu allen Arten von Felder in den Aufzeichnungen.</li>
	</ul>
	Wenn eine Aufzeichnung zum Beispiel diese Felder inne hat:<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Name</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Autor Vorname</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Autor Familienname</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	Ist definiert<br />
	<br />
	Reguläre Ausdrücke: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Parameter:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");</tt><br />
	<br />
	und der Nutzer schreibt<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	wird das Feld in dieser Weise gefüllt:<br />
	<br />
	ID DocBook: 24<br />
	Autor Vorname: Lewis<br />
	Autor Familienname: Carroll';

?>