<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'Eine Gruppe von Feldern kann von jenen Arten sein:<br />
	<ul class="normallist">
		<li>Loses Feld: Dessen Felder werden Beitr&auml;gen zugef&uuml;gt, um extra Information zu geben. F&uuml;r die Datensuche im Losen-Feld, wird diesem eine Liste an Beitr&auml;gen angeh&auml;ngt.</li>
		<li>Aufzeichnung: Es ist ein Set von Felder, da&szlig; einen unabh&auml;ngigen Eintrag des Beitrages repr&auml;sentiert. Mit der Suche nach Daten in Aufzeichnungsfelder, bekommt es eine Liste an Aufzeichnungen. Das Textfeld eines Beitrages kann nicht leer gelassen werden, doch ein Beitrag mit einer Aufzeichnung ben&ouml;tigt einen Eintrag im Textfeld. Wenn der Nutzer eine Aufzeichnung hinzuf&uuml;gt, schreibt das System einen Punkt (&quot;.&quot;) in das Feld und man braucht nichts in das Textfeld des Beitrages zu schreiben.</li>
		<li>Felder mit verschiedenen Werten nach Mitglied: Es ist ein Set aus Feldern, in das verschiedene Mitglieder, verschiedene Werte einf&uuml;gen k&ouml;nnen. Es kann dazu genutzt werden, da&szlig; Mitglieder Anmerkungen oder Bewertungen &uuml;ber einen Beitrag machen k&ouml;nnen. Wenn diese Felder nur im ersten Beitrag eines Themas platziert sind, kann es als zum Thema geh&ouml;rend angezeigt werden.</li>
		<li>Filter: Dies ist eine spezielle Art von Gruppe, ohne Felder und wird dazu verwendet, um ein Set von Filtern zu erm&ouml;glichen, die f&uuml;r Themen und Beitr&auml;ge genutzt werden k&ouml;nnen.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'Die Art der Filter-Kn&ouml;pfe, h&auml;ngt von der Art des Feldes ab:<br />
	<ul class="normallist">
		<li>Der Filter f&uuml;r Text oder umfangreiche Texte, ist ein Text-Feld, in welches man die Sucheingabe eintr&auml;gt, oder eine Auswahlk&auml;stchen, um Daten mit diesem Feld &quot;leer&quot; oder &quot;nicht leer&quot; zu bekommen.</li>
		<li>Felder der Art Auswahlfenster, Kombi-Box, Runder Knopf oder Auswahl-Knopf, haben beim Filtern ein Textfenster, eine Auswahlfenster oder eine Kombi-Box, in der man ausw&auml;hlen, oder einen Suchtext eingeben kann, oder ein Auswahlfenster, um die Daten mit dem Feld &quot;leer&quot; oder &quot;nicht leer&quot; zu bekommen.</li>
		<li>F&uuml;r Felder der Art Boolean, ist der Filter eine Auswahlbox mit den Werten &quot;Ja&quot; oder &quot;Nein&quot;.</li>
	</ul>
	Wenn der Nutzer dein Feld &auml;ndern kann, das Feld leer sein mag und dessen Filter eine Auswahlfenster, oder eine Kombi-Box ist, sieht er eine Option in der Liste, um Daten mit leeren Feldern zu bekommen.<br />
	Der Filter mit Text-Knopf, erlaubt es nach losen W&ouml;rtern, getrennt mit Leerzeichen and to use these modifiers:<br />
	<ul class="normallist">
		<li><tt>&quot;</tt> (double quotes) - Searchs for an exact phrase inside quotes. For example, <tt>&quot;tallest building&quot;</tt></li>
		<li><tt>-</tt> (minus sign) - Put this in front of a word or exact phrase you want to leave out. For example, <tt>jaguar speed -car</tt></li>
		<li><tt>OR</tt> - Between words and/or exact phrases, searchs one or the other. For example, <tt>marathon OR race</tt></li>
	</ul>
	Wenn der Filter der Art Text- oder Kombi_Box ist, ist die Grundeinstellung so, da&szlig; der Text im Feldwert enthalten ist, wo sonst, wenn der Filter der Art eines Auswahlfensters ist, der Text auf den Wert des Feldes zutrifft.';
$helptxt['cffp_stats'] = 'Wenn eine Gruppe der Art &quot;Feld mit verschiedenen Werten je Mitglied&quot; nur ein Feld hat und von der Art eines Auswahlfensters, Rund-Knopf oder Auswahl-Knopf (das hei&szlig;t, da ist eine endliche Anzahl von Werten), k&ouml;nnen statistische Daten dieser Werte, die in das Feld eingetragen wurden, generiert werden.<br />
	Die statistischen Daten die angezeigt werden k&ouml;nnen, beinhalten:<br />
	<ul class="normallist">
		<li>Diagramm mit Mittelwert: Es besteht aus einem horizontalen Balken wo der Mittelwert, der niedrigste und der h&ouml;chste erlaubte Wert angef&uuml;hrt ist.</li>
		<li>Diagramm mit horizontalen Balken: Gibt die Verwendung jedes Wertes durch horizontale Balken an.</li>
		<li>Diagramm mit vertikalen Werten: Gibt die Verwendung jedes Wertes durch vertikale Balken an.</li>
		<li>Zusammenfassung: Ein Set von Daten, das sich aus den Eingabedaten (mittlerer, sum, h&ouml;chste und niedrigster erlaubter Wert, h&ouml;chster und niedrigster genutzter Wert, meist und am wenigsten frequentierter Wert, anzahl von Werten) zusammensetzt.</li>
	</ul>
	Der Nutzer sieht die Daten nur, wenn er die Berechtigung hat. Der Beitrags-Index kann nach der Zusammenfassung der Daten sortiert werden, wenn die Berechtigung, das Feld zu sortieren, gegeben ist.<br />
	Vorlagen zu benutzen, kann statistische Daten jeglicher Gruppe oder Feld &uuml;berall hinzugef&uuml;gt werden.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Unter der Option &quot;Suche&quot;, aus dem Men&uuml;forum, in dem die Suchseite platziert ist' : 'Die Option &quot;In Beitr&auml;gen und Aufzeichnungen suchen&quot;, aus dem Men&uuml;forum, versorgt mit dem Zugang zur den Suchseiten') . ', indem sie die Gruppen und deren Felder, zu denen ein Nutzer Berechtigung hat zu suchen, anzeigt.<br />
	Gruppen der Art &quot;Lose-Felder&quot;, &quot;Feld mit verschiedenen Werten je Mitglied&quot; und &quot;Filter&quot;, k&ouml;nnen auf verschiedenen Suchseiten sein und jede Seite beinhaltet verschiedene Gruppen, mit der einzigen Bedingung, das die Gruppen auf einer Seite Berechtigung f&uuml;r ein &uuml;bliches Set an Beitr&auml;gen haben. Als Suchergebnis, wird eine Liste von Beitr&auml;gen ausgegeben.<br />
	Jeder Gruppe der Art &quot;Register&quot; mit Berechtigung, hat eine Seite. Als Ergebnis wird eine Liste von Aufzeichnungen, mit Spalten, die durch die definierten Felder angezeigt werden, erlangt.';
$helptxt['cffp_counter'] = 'Die Anzahl jeder Art von Aufzeichnung, die von einem Mitglied erstellt wurde, kann in der Information zum Mitglied angezeigt werden.<br />
	Es kann an verschiedenen Stellen, wie etwa im Mitgliedsprofil oder ein der Mitgliedsinformation jedes Beitrages in den Beitr&auml;gen angezeigt werden.<br />
	&quot;Administrator-Center &gt; Wartung des Forums &gt; ' . (!$smf_version_1 ? 'Routine' : 'Generelle Wartung') . ' &gt; Alle Forumswerte und Statistiken neu z&auml;hlen&quot;, z&auml;hlt auch die Anzahl jeder Art von Aufzeichnung, die von Mitgliedern erstellt wurden.<br />
	Die Gesamtzahl jeder Art von erzeugter Auszeichnung, kann ebenfalls in der Statistik angezeigt werden.<br />
	Membergroups based on the number of each type of record can be created in &quot;Administrator-Center &gt; Mitgliedergruppen verwalten &gt; Based on number of records&quot;.';
$helptxt['cffp_top_poster'] = 'Die top 10 Beitragenden jeder Art von Aufzeichnung, k&ouml;nnen in der Statistik angezeigt werden.';
$helptxt['cffp_profile_list'] = 'Im Mitgliedsprofil, im Bereich &quot;Profil-Information &gt; Beitr&auml;ge anzeigen&quot;, kann eine Liste jeder Gruppe der Art &quot;Aufzeichnung&quot; mit beigetragenen Nachrichten vom Mitglied, die Art der Gruppe enthaltend, angezeigt werden.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'Im Moderationszentrum ist es m&ouml;glich, den Inhalt der Gruppe von der Art &quot;Feld mit verschiedenen Werten je Mitglied&quot;, von Mitgliedern, zu kontrollieren.<br />
	F&uuml;r jede Gruppe, f&uuml;r die ausgew&auml;hlt wurde, deren Liste anzuzeigen, wird ein Zugang unter dem Abschnitt &quot;Beitr&auml;ge &gt; Gruppen von Feldern in Beitr&auml;gen&quot; und, optional, ein Link, mit der Option &quot;moderieren&quot;, aus dem Men&uuml;forum, angezeigt.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Globale Moderatoren k&ouml;nnen den Inhalt, der von Nutzern in der Gruppe &quot;Feld mit verschiedenen Werten je Mitglied&quot; eingegeben wurde, kontrollieren.<br />
	Die Option &quot;Moderiere die Gruppen von Feldern in Beitr&auml;gen&quot; des Men&uuml;forums, versorgt mit dem Zugang beigetragene Daten zu listen, eine je Gruppe, welche ausgew&auml;hlt wurde in der Liste anzuzeigen.';
}
$helptxt['cffp_reattribute'] = 'Allows reattribute to registered member groups of fields published by a guest or another registered member.';
$helptxt['cffp'] = '<b>Wahlfelder und Filter in Beitr&auml;gen</b><br />
	Erlaubt verschiedene Gruppen an Wahlfeldern Forum-Beitr&auml;gen anzuh&auml;ngen und nach den Feldern in den Beitr&auml;gen zu filtern.<br />
	' . $helptxt['cffp_grouptype'] . '
	Die verf&uuml;gbaren vordefinierten Filter sind:<br />
	<ul class="normallist">
		<li>Foren.</li>
		<li>Arten von Aufzeichnung.</li>
		<li>Betreff.</li>
		<li>Beginn des Betreffs.</li>
		<li>Erstes Zeichen des Betreffs.</li>
		<li>Datum des Themas / Datum beigetragen.</li>
		<li>Datum der letzten Antwort / Datum beigetragen.</li>
		<li>Beigetragen von.</li>
		<li>Thema mit neuen Beitr&auml;gen / Neu.</li>
		<li>Fixiert.</li>
		<li>Geschlossen.</li>
		<li>Antworten.</li>
		<li>Umfrage.</li>
	</ul>
	Die Aktionen, die f&uuml;r eine Gruppe von Wahlfeldern, ausgef&uuml;hrt werden k&ouml;nnen sind: Ansehen, Hinzuf&uuml;gen, &Auml;ndern, L&ouml;schen und Verschieben.<br />
	Weiters sind andere Aktionen f&uuml;r Wahlfelder nutzbar:<br />
	<ul class="normallist">
		<li>Filtere den Beitrags-Index.</li>
		<li>Sortiere den Beitrags-Index.</li>
		<li>Zeige Statistiken.</li>
		<li>Suche in Feldern von Beitr&auml;gen; eine Liste von Beitr&auml;gen bekommen.</li>
		<li>Suche in Wahlfeldern; eine Liste von Aufzeichnungen bekommen.</li>
	</ul>
	<br />
	<b>Administrations Paneel</b><br />
	Das Administrationspaneel enth&auml;lt eine Liste von Gruppen und Wahlfeldern, welches erlaubt neue Gruppen hinzuzuf&uuml;gen, sie zu &auml;ndern oder bestehende Gruppen zu l&ouml;schen; hinzuf&uuml;gen, &auml;ndern und l&ouml;schen von Feldern und Vorlagen zu definieren, um diese Felder in einem Beitrag oder in einer Beitragsliste anzuzeigen.<br />
	<br />
	<b>Beitr&auml;ge mit Wahlfeldern einsehen</b><br />
	Wenn man einen vollst&auml;ndigen Beitrag (in einem Thema, in aktuellen Beitr&auml;gen oder Profil) ansieht, werden dessen Gruppen angezeigt (die aktiv sind, wenn man einen Beitrag erzeugt oder ge&auml;ndert wird). Gruppen der Art &quot;Lose-Felder&quot; und &quot;Aufzeichnungen&quot;, werden oberhalb des Beitrages angezeigt und Gruppen der Art &quot;Felder mit verschiedenen Werten nach Mitglieder&quot;, werden unterhalb angezeigt, es sei den, es wurde &quot;Zeige als Gruppe von Feldern im Beitrag an&quot; eingestellt und dann wird diese am Beginn oder/und am Ende des Themas angezeigt. Wenn eine Gruppe eine Vorlage f&uuml;r Beitr&auml;ge hat, werden die Felder entsprechend der Vorlage angezeigt und wenn nicht, werden Sie mit Name und Inhalt angezeigt.<br />
	In Listen von Beitr&auml;gen (Beitragsindex, ungelesene Beitr&auml;ge und Antworten), werden Gruppen mit Feldern im Beitragsindex (entsprechend der Berechtigungen) angezeigt. Wenn eine Gruppe eine Vorlage f&uuml;r Beitragsindex hat, werden sie entsprechend der Vorlage angezeigt. Wenn nicht, werden sie mit ihrem Namen und dem Inhalt angezeigt.<br />
	<br />
	<b>Bearbeiten der Werte von Wahlfeldern</b><br />
	In einem Thema, Beitrag, haben Gruppen von der Art &quot;Felder mit verschiedenen Werten je Mitglied&quot; Kn&ouml;pfe f&uuml;r Nutzer, um neue Werte beizutragen, sie zu &auml;ndern oder bestehende zu entfernen.<br />
	Alle anderen Gruppen (&quot;Lose-Felder&quot; und &quot;Aufzeichnungen&quot;), werden den Erlaubten Gruppen, mit dem Erzeugen und &Auml;ndern, angezeigt. Die Felder der Gruppe der Art &quot;Lose-Felder&quot;, sind immer sichtbar und die Gruppe der Art &quot;Aufzeichnung&quot; entsprechend dem Auswahlk&auml;stchen zum Anzeigen oder Verbergen deren Felder. Wenn es mit mit einer Vorlage f&uuml;r schnelle Eingaben erzeugt wurde, wird <strong>Schnelleingabefeld</strong> nach dem Aufzeichnungsfeld angezeigt.<br />
	<br />
	<b>Eine Gruppe von Wahlfelder in einen anderen Beitrag verschieden</b><br />
	Man mag w&uuml;nschen eine Gruppe von Felder in einen anderen Beitrag zu verschieden: z.B. bevor man den Beitrag dort hin verschiebt, wo die Gruppe ist.<br />
	Wenn es einem Nutzer erlaubt ist, eine Gruppe zu verschieben, hat er, wenn er das Thema betrachten, Kn&ouml;pfe f&uuml;r das Verschieben am ersten Beitrag des Themas oder an anderen Beitr&auml;gen (oder anderen Themen, wenn die Gruppe von der Art &quot;Feld mit verschiedenen Werten je Mitglied&quot; und &quot;Zeige als Gruppe von Feldern des Themas&quot; ausgew&auml;hlt wurde).<br />
	<br />
	<b>Filter den Beitrags-Index</b><br />
	Wenn ein Nutzer die Berechtigung hat, nach Feldern zu filtern, wird ein Knopf im Beitrags-Index angezeigt, um Themen nach dem Feld zu filtern.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Ebenso mit einer Gruppe der Art &quot;Filter&quot;, kann auch hier ein vordefinierter Filter eingegeben werden.<br />
	Der Filter kann von der selben Gruppe oder von verschiedenen Gruppen von Feldern sein.<br />
	Neben den Filtern ist ein Knopf, um Filter zu aktivieren, denen ein Wert gegeben wurde. Als Ergebnis, wird ein Beitrags-Index von Themen erlangt, dessen erster Beitrag allen aktivierten Filtern entspricht.<br />
	<br />
	<b>Den Beitrags-Index sortieren</b><br />
	Wenn ein Nutzer die Berechtigung hat, nach einem oder mehreren Feldern zu sortieren, wird eine Auswahlbox im Beitrags-Index angezeigt, um die Themen nach einem dieser Felder zu sortieren.<br />
	<br />
	<b>Statistiken zeigen</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>In Feldern suchen</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	In beiden F&auml;llen, folgen die Kn&ouml;pfe jedes Suchfeldes, den selben Regeln wie in den Filtern.<br />
	<br />
	<b>Z&auml;hler f&uuml;r Informationen &uuml;ber Mitglieder</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Top Beitragenden auf Statistiken</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>Liste im Mitgliedsprofil</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'Liste im Moderationszentrum' : 'Liste der Moderationen') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Reattribute User Groups</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	This is located in &quot;Administration Center &gt; Forum Maintenance &gt; Members &gt; Reattribute User Groups&quot;.' : '');
$helptxt['cffp_enclose'] = 'Schlie&szlig;t den Nutzertext innerhalb von Texten (erzeugt mit HTML, BBC oder PHP) ein. Dies erlaubt Ihnen, mehrere Instant-Messenger Anbieter, Bilder oder Einbettungen usw. anzuf&uuml;gen. Zum Beispiel:<br />
	<br />
	&lt;a href=&quot;http://website.com/{INPUT}&quot;&gt;&lt;img src=&quot;{DEFAULT_IMAGES_URL}/icon.gif&quot; alt=&quot;{INPUT}&quot; /&gt;&lt;/a&gt;<br />
	<br />
	Bemerke, da&szlig; sie folgende Variablen benutzen k&ouml;nnen:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - Die Eingabe, die von Nutzer definiert ist.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML, um dem Ausgabetext Vorl&auml;ufer zu setzen.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML, um dem Ausgabetext Nachl&auml;ufer zu geben.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Feldname in der Datenbank der Feld-ID <i>n</i>. Das Feld kann aus jeder Gruppe sein.</li>
		<li><tt>{ID_MSG}</tt> - ID der gegenst&auml;ndlichen Nachricht.</li>
		<li><tt>{BOARDURL}</tt> - URL des Forumverzeichnis.</li>
		<li><tt>{SCRIPTURL}</tt> - Web-Adresse des forum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL zu einem Bildverzeichnis im gegenst&auml;ndlichen Layout des Nutzers.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL zum Bildverzeichnis im Default-Layout.</li>
	</ul>
	In PHP kommen sie auch folgende Funktionen verwenden:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeigt die Gruppe eines Beitrags, wie in einem Beitrag an.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeigt die Gruppe einer Nachricht, wie im Beitrags-Index an.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>, &apos;</tt><i>art</i><tt>&apos;, &apos;</tt><i>param</i><tt>&apos;)</tt> - Zeigt die Statistik f&uuml;r die Gruppe von Nachrichten (wenn aktiv) an. Der Parameter <i>art</i>, kann sein:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Zeigt das Diagramm mit Mittelwert. Der Parameter <i>param</i>, gibt die Art des Diagramms an. Erlaubte Werte: <tt>average</tt> (zeigt Mittelwerte), <tt>minmax</tt> (zeigt niedrigsten und h&ouml;chsten erlaubten Wert), <tt>options_text</tt> (zeigt den Text einer Option).</li>
				<li><tt>chart_hbars</tt> - Zeigt das Diagramm mit horizontalen Balken an. Der Parameter <i>param</i>, wird nicht benutzt.</li>
				<li><tt>chart_vbars</tt> - Zeigt das Diagramm mit vertikalen Balken an. Der Parameter <i>param</i> gibt die Art des Diagramms an. Erlaubte Werte: <tt>options_text</tt> (zeigt den Text der Wahl).</li>
				<li><tt>summary</tt> - Zeigt eine Zusammenfassung. Der Parameter <i>param</i> gibt den Wert der Anzeige, getrennt mit Bestrichen an. Erlaubte Werte: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (h&ouml;chster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (h&ouml;chster verwendeter Wert), <tt>lowest</tt> (niedrigster verwendeter Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
				<li><tt>value</tt> - Zeigt einen Wert der Zusammenfassung an. Der Parameter <i>param</i> gibt den anzuzeigenden Wert an. Erlaubte Parameter: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (h&ouml;chster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (h&ouml;chster genutzter Wert), <tt>lowest</tt> (niedrigster genutzer Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'Die Eingabemaske ist f&uuml;r Ihre Forum-Sicherheit wichtig. Best&auml;tigen der Eingabe des Nutzers, kann helfen, das Daten nicht so genutzt werden, wie Sie es nicht annehmen w&uuml;rden. Wir haben ein paar einfache regul&auml;re Ausdr&uuml;cke, als Tipps mitgegeben.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		&quot;[A-Za-z]+&quot; - Trifft alle Klein- und Gro&szlig;buchstaben des Alphabets.<br />
		&quot;[0-9]+&quot; - Trifft alle Zahlen.<br />
		&quot;[A-Za-z0-9]{7}&quot; - Trifft alle Klein- und Gro&szlig;buchstaben, wie Zahlen, sieben mal.<br />
		&quot;[^0-9]?&quot; - Verbietet jegliches zutreffen einer Zahl.<br />
		&quot;^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$&quot; - Erlaubt nur 3 oder 6 Zeichen von Hexcode.<br />
	</div><br /><br />
	Zus&auml;tzlich k&ouml;nnen Meta-Zeichen ?+*^$ und {xx} definiert werden.
	<div class="smalltext" style="margin: 0 2em">
		? - Keine oder ein Treffer, des vorhergehenden Ausdruckes.<br />
		+ - Einer oder mehr, des vorhergehenden Ausdruckes.<br />
		* - Keiner oder mehrere, des vorhergehenden Ausdruckes.<br />
		{xx} - Eine exakte Anzahl, des vorhergehenden Ausdruckes.<br />
		{xx,} - Eine exakte Anzahl oder mehr, des vorhergehenden Ausdruckes.<br />
		{,xx} - Eine exakte Anzahl oder weniger, des vorhergehenden Ausdruckes.<br />
		{xx,yy} - Ein exakter Treffer zwischen den zwei Zahlen, des vorhergehenden Ausdruckes.<br />
		^ - Beginn einer Reihe.<br />
		$ - Ende einer Reihe.<br />
		\\ - Entkommt dem n&auml;chsten Zeichen.<br />
	</div><br /><br />
	Mehr Informationen und fortgeschrittene Technik mag im Internet gefunden werden.';
$helptxt['cffp_fieldtype'] = 'Arten von Feldern, die erstellt werden k&ouml;nnen, sind:<br />
	<ul class="normallist">
		<li>Text: Feld in dem ein Text einer Zeile geschrieben werden kann.</li>
		<li>Gro&szlig;er Text: Feld das Mehrfachzeilen-Text erlaubt.</li>
		<li>Auswahlbox: Feld das es erlaubt aus einem Men&uuml; von Optionen zu w&auml;hlen. Das Feld keine eine Einfachauswahl sein (l&auml;&szlig;t die Auswahl von nur einer Option zu) oder eine Mehrfachauswahl (l&auml;&szlig;t die Auswahl von mehreren Optionen zu).</li>
		<li>Kombi-Box: Kombination aus der Auswahlbox (Einfach- oder Mehrfachauswahl) und Text-Box, die Eingabe von Werten (oder beistrichgetrennten Werten) erlaubend oder aus einer Liste von Optionen zu w&auml;hlen.</li>
		<li>Rund-Knopf: Ein Set von Optionen, aus dem nur eines gew&auml;hlt werden kann.</li>
		<li>Auswahlbox: Set aus Optionen, von denen man mehrere auf einmal ausw&auml;hlen kann.</li>
		<li>Boolean: Nur eine Auswahlbox, die gew&auml;hlt werden kann: (Wert &quot;true&quot;) oder (Wert &quot;false&quot;).</li>
	</ul>';
$helptxt['cffp_options'] = 'Dieser Abschnitt definiert die Optionen, die ein Nutzer f&uuml;r eine Auswahlbox, Kombi-Box, Rund-Knopf oder Auswahlk&auml;stchen w&auml;hlen kann. Das gibt es ein paar Schl&uuml;sselpunkte zu diesem Thema zu bemerken:<br />
	<ul class="normallist">
		<li>Optionen Grundeinstellung: Welche Optionsbox auch immer einen &quot;Rund-Knopf&quot; hat (kann nur einer sein), oder ein &quot;Auswahlk&auml;stchen&quot; (k&ouml;nnen mehrere sein) gew&auml;hlt hat, ist die Grundeinstellung ausgew&auml;hlt, wenn der Nutzer Daten ein gibt.</li>
		<li>Optionen entfernen: Um eine Option zu entfernen, leeren sie einfach die Box f&uuml;r diese Option. Alle Beitr&auml;ge, die dies ausgew&auml;hlt haben, haben deren Option entleert.</li>
		<li>Umordnen der Optionen: Sie k&ouml;nnen die Optionen, mit dem verschieben des Textes zwischen den Boxen, umordnen. Jedenfalls ein wichtiger Hinweis: Sie m&uuml;ssen sicher gehen, da&szlig; sie den Text <strong>nicht</strong> &auml;ndern, wenn Sie Optionen umordnen, da sonst die Daten der Beitr&auml;ge verloren gehen.</li>
		<li>Text (verf&uuml;gbar, wenn der Knopf von der Art einer Kombi-Box ist): Eine Option mag als realer Wert, oder als bedeutenderer Text f&uuml;r den Nutzer angezeigt werden.</li>
		<li>Mehrfachoptionen hinzuf&uuml;gen: Erlaubt das Hinzuf&uuml;gen von mehreren Optionen gleichzeitig, indem man jede Option in eine Zeile eines gro&szlig;en Textfeldes schreibt. Jede Option hat einen Wert und wenn der Knopf keine Kombi-Box ist, den Text durch Beistriche getrennt. Text ist optional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'JavaScript-Code durchf&uuml;hren, wenn eine Gruppe von Feldern erzeugt oder ge&auml;ndert wird.<br />
	Erlaubt einen Code durchzuf&uuml;hren, wen ein Event &uuml;ber einem Fomularknopf, oder einem anderen HTML-Element vor kommt.<br />
	Dies kann wie folgt geschrieben werden:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>html_elementname</i><tt>)[0].</tt><i>ereignisnamen</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>html_element_id</i><tt>).</tt><i>ereignisnamen</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	Dieser Code, zum Beispiel, zeigt eine Nachricht, wenn der Nutzer auf den Knopf <tt>id1</tt> dr&uuml;ckt und kopiert den Wert des Knopfes <tt>id2</tt> zum Betreff, wenn der Nutzer den Wert &auml;ndert:<br />
	<br />
	<tt>document.getElementById(&apos;id1&apos;).onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(&apos;Eine meldung&apos;);<br />
	}<br />
	document.getElementById(&apos;id2&apos;).onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(&apos;subject&apos;)[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Text, der genutzt wird um den Inhalt von Feldern in der Gruppe anzuzeigen:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Name der Feld-ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Wert der Feld-ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Feldname in der Datenbank der Feld-ID <i>n</i>. Feld kann aus jeder Gruppe sein.</li>
		<li><tt>{ID_MSG}</tt> - ID des gegenst&auml;ndlichen Beitrages.</li>
		<li><tt>{BOARDURL}</tt> - URL zum Forumverzeichnis.</li>
		<li><tt>{SCRIPTURL}</tt> - Webadresse des Forums.</li>
		<li><tt>{IMAGES_URL}</tt> - URL zum Bildordner im gegenst&auml;ndlichen Layout des Nutzers.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL zum Bildordner im Layout der Grundeinstellung.</li>
	</ul>
	In PHP, k&ouml;nnen sie auch folgende Funktionen nutzen:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeig eine Gruppe von Nachrichten wie in einer Nachricht.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>)</tt> - Zeigt eine Gruppe von Nachrichten wie im Beitrags-Index.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>nachricht_ID</i><tt>, </tt><i>gruppe_ID</i><tt>, &apos;</tt><i>art</i><tt>&apos;, &apos;</tt><i>param</i><tt>&apos;)</tt> - Zeigt die Statistik f&uuml;r Gruppen eine Nachricht (wenn aktiviert) an. Die Parameter <i>art</i> k&ouml;nnen sein:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Zeigt Diagramm mit Mittelwert an. Der Parameter <i>param</i> gibt den Charakter des Diagramms an. Erlaubte Werte: <tt>average</tt> (Zeigt Mittelwert), <tt>minmax</tt> (zeigt niedrigsten und h&ouml;chsten erlaubten Wert), <tt>options_text</tt> (zeigt den Text der Optionen).</li>
				<li><tt>chart_hbars</tt> - Zeigt das Diagramm mit horizontalen Balken. Der Parameter <i>param</i> wird nicht genutzt.</li>
				<li><tt>chart_vbars</tt> - Zeigt das Diagramm mit vertikalen Balken. Der Parameter <i>param</i> gibt die Charakteristik des Diagramms an. Erlaubte Werte: <tt>options_text</tt> (zeigt den Text der Optionen).</li>
				<li><tt>summary</tt> - Anzeige der Zusammenfassung. Der Parameter <i>param</i> gibt die Werte, die anzuzeigen sind, an, getrennt mit Beistrichen. Erlaubte Werte: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (h&ouml;chster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (h&ouml;chster genutzter Wert), <tt>lowest</tt> (niedrigster genutzter Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
				<li><tt>value</tt> - Zeigt einen Wert der Zusammenfassung an. Der Parameter <i>param</i> gibt den Wert der anzuzeigen ist an. Erlaubte Werte: <tt>average</tt> (Mittelwert), <tt>sum</tt> (sum), <tt>max</tt> (h&ouml;chster erlaubter Wert), <tt>min</tt> (niedrigster erlaubter Wert), <tt>highest</tt> (h&ouml;chster genutzter Wert), <tt>lowest</tt> (niedrigster genutzter Wert), <tt>most_frequent</tt> (meist frequentierter Wert), <tt>least_frequent</tt> (am Wenigsten frequentierter Wert), <tt>total</tt> (anzahl von Werten).</li>
			</ul></li>
	</ul>
	Leere Sie das Textfeld, um ein Template zu l&ouml;schen. Wenn Template nicht definiert ist, werden Felder mit deren Namen und Inhalt angezeigt.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Genutzter Text, um eine Aufzeichnung zu erstellen.<br />
	Erlaubt alle Felder gleichzeitig auszuf&uuml;llen, schreibt alle Werte in ein einziges Feld, <strong>Schnelleingabefeld</strong> genannt, entsprechend dem Template oder der Regul&auml;ren Ausdr&uuml;cke.<br />
	Die regul&auml;ren Ausdr&uuml;cke, m&uuml;ssen mit JavaScript kompatibel sein. &Uuml;blich in der <tt>String.match(regex)</tt> Methode und mu&szlig; eine Reihe von Feldwerten, mit dem Schl&uuml;ssel 1 erhalten<br />
	Die Template-Parameter bestehen aus Zeilen von Text:<br />
	<ul class="normallist">
		<li>F&uuml;r jedes Element, erhalten aus den regul&auml;ren Ausdr&uuml;cken, wird eine Zeile mit Feld-ID hinzugef&uuml;gt.</li>
		<li>Zeilen folgen der Ordnung der Reihen (array).</li>
		<li>Wenn ein Reihenelement mit keinem Feld zusammen passt, Text enth&auml;lt, der nicht genutzt wird, wird in die Zeile 0 geschrieben.</li>
		<li>Wenn es notwendig ist, einen Wert vor dem Kopieren in dessen Feld, zu formatieren, wird unter der Zeile, welche die Feld-ID enth&auml;lt, eine weiter Zeile mit JavaScript-Code hinzugef&uuml;gt, die den Wert transformiert. <tt>value</tt> Variable enth&auml;lt den Originalwert und sollte den transformierten Wert enthalten. Mit <tt>field_obj</tt> Reihe, indiziert mit Feld-ID, ist Zugang zu allen Arten von Felder in den Aufzeichnungen.</li>
	</ul>
	Wenn eine Aufzeichnung zum Beispiel diese Felder inne hat:<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Name</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Autor Vorname</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Autor Familienname</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	Ist definiert<br />
	<br />
	Regul&auml;re Ausdr&uuml;cke: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Parameter:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i &lt; x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(&quot; &apos;);<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i &lt; x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(&quot; &quot;);</tt><br />
	<br />
	und der Nutzer schreibt<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	wird das Feld in dieser Weise gef&uuml;llt:<br />
	<br />
	ID DocBook: 24<br />
	Autor Vorname: Lewis<br />
	Autor Familienname: Carroll';

?>