<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'Um grupo de campos podem ser do tipo:<br />
	<ul class="normallist">
		<li>Campos soltos: Seus campos são adicionados a um post para fornecer informações extra. Na busca de dados em campos soltos de um post obtendo uma lista de posts.</li>
		<li>Registro: É um conjunto de campos que representa uma entidade independente do post. Na busca de dados em campos de um registro é obtém uma lista de registros. O corpo do post não pode ser deixado em branco, mas um post com registro não precisa de corpo. Se o usuário irá adicionar um registro e o corpo do post estiver vazio, o sistema grava um período (".") sobre ele e o usuário não precisa escrever nada.</li>
		<li>Os campos com vários valores por membro: Ele é definido de campos onde vários usuários podem inserir valores diferentes. Isso pode ser usado para os membros para fazer comentários ou avaliações sobre o post. Se esses campos estão localizados em apenas na primeira mensagem de um tópico pode ser apresentado como pertencente ao tópico.</li>
		<li>Filtros: Este é um tipo especial de grupo sem campos. Usado para habilitar um conjunto de filtros pré-definidos que podem ser usados em tópicos e mensagens.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'Tipo de botão de filtro depende do tipo de campo:<br />
	<ul class="normallist">
		<li>O filtro para o texto ou campos de texto grandes é um botão de texto em que entrar na cadeia de pesquisa, ou uma caixa de seleção para obter dados com esse campo vazio ou não vazio.</li>
		<li>Campos tipo caixa de seleção, caixa de combinação, botões de rádio ou caixas de ter pelo filtro de um botão de texto, uma caixa de seleção ou uma caixa de combinação em que digitar ou selecionar o texto a procurar, ou uma caixa de seleção para obter dados com esse campo vazio ou não vazio.</li>
		<li>Para campos do tipo booleano o filtro é uma caixa de seleção com os valores "Sim" e "Nenhum".</li>
	</ul>
	Se o usuário pode modificar um campo, que o campo pode estar vazio e seu filtro é uma caixa de seleção ou caixa de combinação, ele verá uma opção na lista para obter dados com esse campo vazio.<br />
	O filtro com o botão texto permite pesquisar palavras soltas (separados por espaços) e usar esses modificadores:<br />
	<ul class="normallist">
		<li><tt>"</tt> (aspas duplas) - Procura por uma frase exata entre aspas. Por exemplo, <tt>"edifício mais alto"</tt></li>
		<li><tt>-</tt> (sinal de menos) - Coloque isso na frente de uma palavra ou frase exata que você quer deixar de fora. Por exemplo, <tt>jaguar rápida -carro</tt></li>
		<li><tt>OR</tt> - Entre palavras e/ou frases exatas, pesquisa uma ou outra. Por exemplo, <tt>maratona OR corrida</tt></li>
	</ul>
	Se o filtro é do tipo de texto ou caixa de combinação, por padrão, ele é procurado que o texto está contido no valor do campo, enquanto que se o filtro é o tipo de lista de seleção de caixa é pedido que o texto corresponde ao valor do campo.';
$helptxt['cffp_stats'] = 'Se um grupo de tipo "campos com vários valores por membro" tem um único campo e é de tipo caixa de seleção, botões de rádio ou caixas (isto é, existe um número finito de valores), pode ser gerar dados estatísticos a partir dos valores inseridos no campo.<br />
	Os dados estatísticos a serem exibidos incluem:<br />
	<ul class="normallist">
		<li>Gráfico com média: É constituída por uma barra horizontal onde o valor médio, o valor mais baixo permitido e o maior valor permitido estão localizados.</li>
		<li>Gráfico com barras horizontais: Representa a utilização de cada valor permitido através de barras horizontais.</li>
		<li>Gráfico com barras verticais: Representa a utilização de cada valor permitido por meio de barra vertical.</li>
		<li>Resumo: Um conjunto de dados obtidos a partir dos valores de entrada (média, soma, o valor mais alto e mais baixo permitido, maior eo menor valor usado, valor mais e menos frequente, número de valores).</li>
	</ul>
	O usuário vê estes dados apenas se tiver permissão. O índice de mensagens pode ser ordenado por os dados de resumo, se ele tem permissão para classificar pelo campo.<br />
	Usando templates podem ser inseridos os dados estatísticos de qualquer grupo de campos em outro lugar.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Sob a opção "Pesquisa" a partir do fórum menu páginas de pesquisa estão localizados' : 'A opção "Mensagens de pesquisa e registros" a partir do menu fórum fornece acesso às páginas de pesquisa') . ', mostrando os grupos e seus campos no qual o usuário tem permissão de busca.<br />
	Grupos de tipo "solto campos", "campos com vários valores por membro" e "filtros" pode estar em várias páginas de busca, e cada página contém vários grupos, com a única condição de que os grupos em uma página deve ser permitida em um conjunto comum de mensagens. Como resultado de pesquisa uma lista de postos é obtido.<br />
	Para cada grupo de tipo "registro" com a permissão de busca tem uma página. Como resultado, uma lista de registos é obtido com as colunas indicadas na definição dos campos.';
$helptxt['cffp_counter'] = 'O número de cada tipo de registro criado pelo membro pode ser exibido nas informações desse membro.<br />
	Isso pode ser visto em várias áreas, como no perfil do membro, na lista de membros e nas informações do membro sobre postagens de cada mensagem.<br />
	"Centro de Administração > Manutenção do Fórum > ' . (!$smf_version_1 ? 'Rotina' : 'Manutenção Geral') . ' > Recontar todos os totais e estatísticas do fórum" também reconta o número de cada tipo de registro criado pelos membros.<br />
	Além disso, o número total de cada tipo de registro criado pode ser exibido nas estatísticas.<br />
	Grupos de membros baseados no número de cada tipo de registro podem ser criados em "Centro de Administração > Editar Grupos de Membros > Baseado no número de registros".';
$helptxt['cffp_top_poster'] = 'Em Centro de Estatísticas pode ser exibido o top 10 dos postadores de cada tipo de registos.';
$helptxt['cffp_profile_list'] = 'No perfil de membro, na seção "Informações do perfil > Exibi Posts", pode ser mostrar uma lista para cada grupo de tipo "registro", com mensagens postadas pelo próprio usuário contendo este tipo de grupo.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'No Centro de moderação é possível controlar o conteúdo postado pelos usuários nos grupos do tipo "campos com vários valores por membro".<br />
	Para cada grupo que escolheu para mostrar esta lista será exibido um acesso à lista na seção "Posts > Grupo de campos no posts" e, opcionalmente, um link abaixo da opção "Moderado" a partir do menu de fórum.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Moderadores globais podem controlar o conteúdo postado pelos usuários nos grupos do tipo "campos com vários valores por membro".<br />
	A opção "Moderar os grupos de campos em mensagens" a partir do menu fórum fornece acesso à lista com dados lançados, um para cada grupo, que escolheu para mostrar esta lista.';
}
$helptxt['cffp_reattribute'] = 'Permite retribuir a membros registrados grupos de campos postados por outro membro registrado.';
$helptxt['cffp'] = '<b>Campos personalizados e filtros de mensagens</b><br />
	Permite adicionar diferentes grupos de campos personalizados para posts no fórum e filtros para os campos de mensagens.<br />
	' . $helptxt['cffp_grouptype'] . '
	Os filtros predefinidos disponíveis são:<br />
	<ul class="normallist">
		<li>Sub-Fórum.</li>
		<li>Tipos de registro.</li>
		<li>Assunto.</li>
		<li>Começo do assunto.</li>
		<li>Primeiro caractere do assunto.</li>
		<li>Dados do tópico / Dado publicado.</li>
		<li>Dados da última resposta / Dado publicado.</li>
		<li>Postado por.</li>
		<li>Tópico com novos posts / Novo.</li>
		<li>Fixos.</li>
		<li>Trancado.</li>
		<li>Respostas.</li>
		<li>Enquete.</li>
	</ul>
	As ações a serem realizadas em um grupo de campos personalizados sâo: visâo, adicionar, modificar, apagar e mover.<br />
	Além disso são possíveis outras ações usando campos personalizados:<br />
	<ul class="normallist">
		<li>Filtrar o índice de mensagens.</li>
		<li>Organizar o índice de mensagens.</li>
		<li>Mostrar estatísticas.</li>
		<li>Pesquisar nas áreas de mensagens, obter uma lista de posts.</li>
		<li>Pesquisar nas áreas de registros, obtendo uma lista de registros.</li>
	</ul>
	<br />
	<b>Painel de administração</b><br />
	O painel de administração tem a lista dos grupos de campos personalizados, o que permite adicionar novos grupos, modificar ou excluir grupos existentes, adicionar, modificar ou excluir campos de um grupo e definir modelos para exibir esses campos em um post e no índice de mensagens.<br />
	<br />
	<b>Visualizando posts com campos personalizados</b><br />
	Ao visualizar um post completo (em um tópico, em posts ou perfil recentes) são apresentados seus grupos (que são ativados quando o post é criado ou modificado). Grupo do tipo "solto campos" e "registros" são mostrados acima do corpo do post, Considerando que os grupos de tipo "campos com vários valores por membro" são apresentados a seguir, a menos o que foi selecionado "Mostrar como grupo de campos do tópico" e, em seguida, é apresentado no início e/ou e do tópico. Se um grupo tem o template por mensagens os campos são exibidos de acordo com o template, se não são exibidos com o seu nome e conteúdo.<br />
	Em listas de posts (índice de mensagens, mensagem não lida e respostas) são grupos exibida com campos visíveis no índice de mensagens (de acordo com as permissões). Se um grupo tem o template para o índice de mensagens os campos são exibidos de acordo com o template, se não são exibidos com o seu nome e conteúdo.<br />
	<br />
	<b>Modificando valores em campos personalizados</b><br />
	Em um tópico, posts com grupos de tipo "campos com vários valores por membro" têm botôes para o usuário postar novos valores, e modificar ou remover os existentes.<br />
	Para todos os outros grupos ("campos solto" e "registro"), a criar ou modificar o post são exibidos grupos permitidos. Os grupos de tipo "solto campos" sempre têm seus campos visíveis, enquanto que os grupos de tipo "registro" tem uma caixa de seleção para mostrar ou ocultar os seus campos. Se tem sido modelo criado para a entrada rápida em um registro, <strong>Campo de entrada rápida</strong> é exibido após os campos de registro.<br />
	<br />
	<b>Movendo um grupo de campos personalizados para outro post</b><br />
	Um grupo de campos pode ter de ser atribuído a um outro post, por exemplo, antes de remover o post onde é o grupo.<br />
	Se o utilizador tem permissão para mover um grupo, ao visualizar um tema que grupo terá botões para ir para o primeiro post do tópico ou outro post (ou outro tópico se o grupo é do tipo "campos com vários valores por membro" e selecionou " Mostrar como grupo de campos do tópico").<br />
	<br />
	<b>Filtrar o índice de mensagens</b><br />
	Se o utilizador tem permissão para filtrar por um campo, um botão é exibido no índice de mensagens para filtrar tópicos por esse campo.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Além disso, com um grupo de tipo "filtros" podem ser adicionados filtros predefinidos.<br />
	Os filtros podem ser do mesmo grupo ou grupos diferentes de campos.<br />
	Ao lado de filtros há um botão para ativar os filtros que foram dadas algum valor. Como resultado obtém-se o índice de mensagens com tópicos cujo cargo primeira corresponde a todos os filtros ativos.<br />
	<br />
	<b>Ordenar o índice de mensagens</b><br />
	Se o usuário tem permissão para classificar por um ou mais campos, uma caixa de seleção é exibido no índice de mensagens para classificar tópicos por um desses campos.<br />
	<br />
	<b>Mostrar estatísticas</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>Pesquisa em campos</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	Em ambos os casos, os botões usados em cada campo de busca seguir a mesma regra que nos filtros.<br />
	<br />
	<b>Contador nas informações do usuário</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Top postagens nas estatísticas</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>Lista no perfil de membro</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'Lista em Centro de Moderar' : 'Lista de moderação') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Reatribuir Grupos ao Utilizador</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	Isto está localizado em "Centro de Administração > Manutenção do Fórum > Membros > Reatribuir Grupos ao Utilizador".' : '');
$helptxt['cffp_enclose'] = 'Envolve a entrada do usuário entre algum texto (criado com HTML, BBC or PHP). Isso permitirá que você adicione mais provedores de mensagens instantâneas, imagens ou uma incorporação etc. Por exemplo:<br />
	<br />
	&lt;a href="http://website.com/{INPUT}"&gt;&lt;img src="{DEFAULT_IMAGES_URL}/icon.gif" alt="{INPUT}" /&gt;&lt;/a&gt;<br />
	<br />
	Pode utilizar as seguintes variáveis:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - A entrada especificada pelo utilizador.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML para colocar antes do texto de saída.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML para colocar a seguir o texto de saída.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - O nome do campo no banco de dados do campo ID <i>n</i>. O campo pode ser de qualquer grupo.</li>
		<li><tt>{ID_MSG}</tt> - ID da mensagem atual.</li>
		<li><tt>{BOARDURL}</tt> - URL a pasta fórum.</li>
		<li><tt>{SCRIPTURL}</tt> - Endereço da Web do fórum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL a pasta de imagens no usuários tema atual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL para a pasta de imagens no tema padrão.</li>
	</ul>
	No PHP, você também pode usar as seguintes funções:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como em uma mensagem.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como no índice de mensagens.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>, \'</tt><i>tipo</i><tt>\', \'</tt><i>params</i><tt>\')</tt> - Exibe as estatísticas para o grupo de uma mensagem (se são ativados). O parâmetro <i>tipo</i> pode ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Exibe o gráfico com a média. O parâmetro <i>params</i> indica as características do gráfico. Os valores permitidos: <tt>average</tt> (valor médio mostrado), <tt>minmax</tt> (valor mais baixo e mais alto permitido mostrado), <tt>options_text</tt> (mostrado o texto de opções).</li>
				<li><tt>chart_hbars</tt> - Apresenta o gráfico com barras horizontais. O parâmetro <i>params</i> não é utilizada.</li>
				<li><tt>chart_vbars</tt> - Exibe o gráfico com barras verticais. O parâmetro <i>params</i> indica as características do gráfico. Os valores permitidos: <tt>options_text</tt> (mostrado o texto de opções).</li>
				<li><tt>summary</tt> - Exibe o resumo. O parâmetro <i>params</i> indica valores para mostrar, separados por vírgulas. Os valores permitidos: <tt>average</tt> (valor médio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (mais valor frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (número de valores).</li>
				<li><tt>value</tt> - Exibe um valor de resumo. O parâmetro <i>params</i> indica o valor a ser exibido. Os valores permitidos: <tt>average</tt> (valor médio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (mais valor frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (número de valores).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'A máscara de introdução é importante para a segurança do seu fórum. Validar a introdução do utilizador ajuda a assegurar que os dados não são utilizados de outra forma que não a esperada. Algumas expressões regulares simples são fornecidas a título de exemplo.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		"[A-Za-z]+" - Corresponder todas as maiúsculas e minúsculas do alfabeto.<br />
		"[0-9]+" - Corresponder todos os caracteres numéricos.<br />
		"[A-Za-z0-9]{7}" - Corresponder todas as maiúsculas e minúsculas do alfabeto e caracteres numéricos sete vezes.<br />
		"[^0-9]?" - Proibir a correspondência de qualquer número.<br />
		"^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$" - Permitir apenas 3 ou 6 caracteres hexadecimais.<br />
	</span><br /><br />
	Adicionalmente, podem ser definidos os meta-caracteres especiais ?+*^$ e {xx} .
	<div class="smalltext" style="margin: 0 2em">
		? - Nenhuma ou uma correspondência da expressão anterior.<br />
		+ - Uma ou mais correspondências da expressão anterior.<br />
		* - Nenhuma ou mais da expressão anterior.<br />
		{xx} - Um número exacto da expressão anterior.<br />
		{xx,} - Um número exacto ou mais da expressão anterior.<br />
		{,xx} - Um número exacto ou menos da expressão anterior.<br />
		{xx,yy} - Um número de correspondências dentro da gama dos argumentos xx e yy, da expressão anterior.<br />
		$ - Início de string.<br />
		^ - Fim de string.<br />
		\\ - Escape do próximo caracter.<br />
	</div><br /><br />
	Mais informações e técnicas avançadas podem ser encontradas na internet.';
$helptxt['cffp_fieldtype'] = 'Tipos de campos que podem ser criados são:<br />
	<ul class="normallist">
		<li>Texto: O campo no qual pode digitar o texto de uma linha.</li>
		<li>Grande texto: O campo que permite que tipo multi-linha de texto.</li>
		<li>Caixa de escolha: O campo que exibe um menu de opções para selecionar. O campo pode ser única seleção (permite selecionar apenas uma opção) ou múltiplo (permite selecionar várias opções de uma só vez).</li>
		<li>Caixa de combinação: Combinação de caixa de seleção (seleção única ou múltipla) e caixa de texto, permitindo digitar um valor (ou valores separados por vírgulas) ou escolher a partir de uma lista de opções.</li>
		<li>Acionamento tipo Radio: Conjunto de opções a partir do qual só pode escolher um.</li>
		<li>Caixas de seleção: Conjunto de opções a partir do qual você pode escolher vários de uma vez.</li>
		<li>Booleano: Apenas uma opção que pode ser seleccionado (valor "verdadeiro") ou não (valor "falso").</li>
	</ul>';
$helptxt['cffp_options'] = 'Esta seção define as opções que o usuário pode escolher a partir de uma caixa de seleção, caixa de combinação, botões de rádio ou caixas de seleção. Existem alguns pontos-chave a serem observados nesta seção:<br />
	<ul class="normallist">
		<li>As opções padrão: Qualquer que seja a caixa de opopçõeses tem a "botão de rádio" (pode haver apenas um) ou "Caixas de seleção" (pode ser várias) ao lado desse selecionado será as seleções padrão para o utilizador quando entram dados.</li>
		<li>Remoção de opcionais: Para remover uma opção simplesmente vazia na caixa de texto para essa opção - todas as mensagens com o seleccionado terá sua opção desmarcada.</li>
		<li>Reordenar opções: Você pode reordenar as opções movendo texto em torno entre as caixas. Contudo - uma nota importante - você deve se certificar do que você faz <strong>não</strong> mudar o texto quando reordenação opções em contrário dados postados serão perdidos.</li>
		<li>Texto (disponível se o botão não é uma caixa de combinação): Uma opção pode ser exibido com valor real ou com um texto mais significativo para o usuário.</li>
		<li>Adicione várias opções: Permite adicionar várias opções de uma só vez, escrevendo cada opção em uma linha do campo de texto grande. Cada opção tem valor e, se o botão não ê uma caixa de combinação, texto, separados por vírgulas. Texto ê opcional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'Código JavaScript executado quando um grupo de campos é criado ou modificado.<br />
	Permite a execução de código quando um evento ocorre ao longo de um botão de formulário ou outro elemento HTML.<br />
	Isto pode ser escrito como:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>html_nome_elemento</i><tt>)[0].</tt><i>nome_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>html_id_elemento</i><tt>).</tt><i>nome_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	Por exemplo, este código mostra uma mensagem quando o usuário clica no botão <tt>id1</tt> e copiar o valor do botão <tt>id2</tt> sobre o assunto quando o usuário alterar esse valor:<br />
	<br />
	<tt>document.getElementById(\'id1\').onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(\'Uma mensagem\');<br />
	}<br />
	document.getElementById(\'id2\').onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(\'subject\')[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Texto usado para exibir o conteúdo de campos em grupo.<br />
	Você pode usar as seguintes variáveis:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Nome de campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Valor de campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - O nome do campo no banco de dados do campo ID <i>n</i>. O campo pode ser de qualquer grupo.</li>
		<li><tt>{ID_MSG}</tt> - ID da mensagem atual.</li>
		<li><tt>{BOARDURL}</tt> - URL para pasta fórum.</li>
		<li><tt>{SCRIPTURL}</tt> - Endereço Web do fórum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL para pasta de imagens no usuários tema atual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL para pasta de imagens no tema padrão.</li>
	</ul>
	No PHP, você também pode usar as seguintes funções:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como em uma mensagem.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como no índice de mensagens.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>, \'</tt><i>tipo</i><tt>\', \'</tt><i>params</i><tt>\')</tt> - Exibe as estatísticas para o grupo de uma mensagem (se são ativados). O parâmetro <i>tipo</i> pode ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Exibe o gráfico com a média. O parâmetro <i>params</i> indica as características do gráfico. Os valores permitidos: <tt>average</tt> (valor médio mostrado), <tt>minmax</tt> (valor mais baixo e mais alto permitido mostrado), <tt>options_text</tt> (mostrado o texto de opções).</li>
				<li><tt>chart_hbars</tt> - Exibe o gráfico com barras horizontais. O parâmetro <i>params</i> não é utilizada.</li>
				<li><tt>chart_vbars</tt> - Exibe o gráfico com barras verticais. O parâmetro <i>params</i> indica as características do gráfico. Os valores permitidos: <tt>options_text</tt> (mostrado o texto de opções).</li>
				<li><tt>summary</tt> - Exibe o resumo. O parâmetro <i>params</i> indica valores para mostrar, separados por vírgulas. Os valores permitidos: <tt>average</tt> (valor médio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (mais valor frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (número de valores).</li>
				<li><tt>value</tt> - Exibe um valor de resumo. O parâmetro <i>params</i> indica o valor a ser exibido. Os valores permitidos: <tt>average</tt> (valor médio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor mais frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (número de valores).</li>
			</ul></li>
	</ul>
	Esvazie o campo de texto para excluir o modelo. Se o modelo não está campos definidos são exibidos com o seu nome e conteúdo.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Texto usado para criar um registro.<br />
	Permite que preencher todos os campos de uma só vez, escrevendo todos os valores em um único campo, chamado <strong>Campo de entrada rápida</strong>, de acordo com um modelo ou uma expressão regular.<br />
	A expressão regular deve ser compatível com JavaScript. usado em <tt>String.match(regex)</tt> método e deve ser obtida uma matriz de valores de campo começando com a chave 1.<br />
	O parâmetros de template consistem em linhas de texto:<br />
	<ul class="normallist">
		<li>Para cada elemento da matriz obtida a partir da expressão regular acrescenta uma linha com o campo ID.</li>
		<li>Linhas que seguem a ordem da matriz.</li>
		<li>Se um elemento de matriz não corresponde a qualquer campo, contém texto não utilizado e em que a linha é escrito 0.</li>
		<li>Se é necessário formatar um valor antes de copiá-lo em seu campo, sob a linha que contém o ID campo outra linha é adicionado com o código JavaScript que transforma o valor. <tt>value</tt> variável contém o valor original e deve conter o valor transformado. com <tt>field_obj</tt> array, indexado pelo campo ID, não há acesso a todos os campos do formulário no registro.</li>
	</ul>
	Por exemplo, se o registro tem esses campos<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Nome</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Autor nome</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Autor sobrenome</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	é definida<br />
	<br />
	Expressão regular: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Parâmetros:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");</tt><br />
	<br />
	e usuário escreve<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	campos serão preenchidos, assim:<br />
	<br />
	ID DocBook: 24<br />
	Autor nome: Lewis<br />
	Autor sobrenome: Carroll';

?>