<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'Um grupo de campos podem ser do tipo:<br />
	<ul class="normallist">
		<li>Campos soltos: Seus campos s&atilde;o adicionados a um post para fornecer informa&ccedil;&otilde;es extra. Na busca de dados em campos soltos de um post obtendo uma lista de posts.</li>
		<li>Registro: &Eacute; um conjunto de campos que representa uma entidade independente do post. Na busca de dados em campos de um registro &eacute; obt&eacute;m uma lista de registros. O corpo do post n&atilde;o pode ser deixado em branco, mas um post com registro n&atilde;o precisa de corpo. Se o usu&aacute;rio ir&aacute; adicionar um registro e o corpo do post estiver vazio, o sistema grava um per&iacute;odo (&quot;.&quot;) sobre ele e o usu&aacute;rio n&atilde;o precisa escrever nada.</li>
		<li>Os campos com v&aacute;rios valores por membro: Ele &eacute; definido de campos onde v&aacute;rios usu&aacute;rios podem inserir valores diferentes. Isso pode ser usado para os membros para fazer coment&aacute;rios ou avalia&ccedil;&otilde;es sobre o post. Se esses campos est&atilde;o localizados em apenas na primeira mensagem de um t&oacute;pico pode ser apresentado como pertencente ao t&oacute;pico.</li>
		<li>Filtros: Este &eacute; um tipo especial de grupo sem campos. Usado para habilitar um conjunto de filtros pr&eacute;-definidos que podem ser usados em t&oacute;picos e mensagens.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'Tipo de bot&atilde;o de filtro depende do tipo de campo:<br />
	<ul class="normallist">
		<li>O filtro para o texto ou campos de texto grandes &eacute; um bot&atilde;o de texto em que entrar na cadeia de pesquisa, ou uma caixa de sele&ccedil;&atilde;o para obter dados com esse campo vazio ou n&atilde;o vazio.</li>
		<li>Campos tipo caixa de sele&ccedil;&atilde;o, caixa de combina&ccedil;&atilde;o, bot&otilde;es de r&aacute;dio ou caixas de ter pelo filtro de um bot&atilde;o de texto, uma caixa de sele&ccedil;&atilde;o ou uma caixa de combina&ccedil;&atilde;o em que digitar ou selecionar o texto a procurar, ou uma caixa de sele&ccedil;&atilde;o para obter dados com esse campo vazio ou n&atilde;o vazio.</li>
		<li>Para campos do tipo booleano o filtro &eacute; uma caixa de sele&ccedil;&atilde;o com os valores &quot;Sim&quot; e &quot;Nenhum&quot;.</li>
	</ul>
	Se o usu&aacute;rio pode modificar um campo, que o campo pode estar vazio e seu filtro &eacute; uma caixa de sele&ccedil;&atilde;o ou caixa de combina&ccedil;&atilde;o, ele ver&aacute; uma op&ccedil;&atilde;o na lista para obter dados com esse campo vazio.<br />
	O filtro com o bot&atilde;o texto permite pesquisar palavras soltas (separados por espa&ccedil;os) e usar esses modificadores:<br />
	<ul class="normallist">
		<li><tt>&quot;</tt> (aspas duplas) - Procura por uma frase exata entre aspas. Por exemplo, <tt>&quot;edifcio mais alto&quot;</tt></li>
		<li><tt>-</tt> (sinal de menos) - Coloque isso na frente de uma palavra ou frase exata que voc&ecirc; quer deixar de fora. Por exemplo, <tt>jaguar r&aacute;pida -carro</tt></li>
		<li><tt>OR</tt> - Entre palavras e/ou frases exatas, pesquisa uma ou outra. Por exemplo, <tt>maratona OR corrida</tt></li>
	</ul>
	Se o filtro &eacute; do tipo de texto ou caixa de combina&ccedil;&atilde;o, por padr&atilde;o, ele &eacute; procurado que o texto est&aacute; contido no valor do campo, enquanto que se o filtro &eacute; o tipo de lista de sele&ccedil;&atilde;o de caixa &eacute; pedido que o texto corresponde ao valor do campo.';
$helptxt['cffp_stats'] = 'Se um grupo de tipo &quot;campos com v&aacute;rios valores por membro&quot; tem um &uacute;nico campo e &eacute; de tipo caixa de sele&ccedil;&atilde;o, bot&otilde;es de r&aacute;dio ou caixas (isto &eacute;, existe um n&uacute;mero finito de valores), pode ser gerar dados estat&iacute;sticos a partir dos valores inseridos no campo.<br />
	Os dados estat&iacute;sticos a serem exibidos incluem:<br />
	<ul class="normallist">
		<li>Gr&aacute;fico com m&eacute;dia: &Eacute; constitu&iacute;da por uma barra horizontal onde o valor m&eacute;dio, o valor mais baixo permitido e o maior valor permitido est&atilde;o localizados.</li>
		<li>Gr&aacute;fico com barras horizontais: Representa a utiliza&ccedil;&atilde;o de cada valor permitido atrav&eacute;s de barras horizontais.</li>
		<li>Gr&aacute;fico com barras verticais: Representa a utiliza&ccedil;&atilde;o de cada valor permitido por meio de barra vertical.</li>
		<li>Resumo: Um conjunto de dados obtidos a partir dos valores de entrada (m&eacute;dia, soma, o valor mais alto e mais baixo permitido, maior eo menor valor usado, valor mais e menos frequente, n&uacute;mero de valores).</li>
	</ul>
	O usu&aacute;rio v&ecirc; estes dados apenas se tiver permiss&atilde;o. O &iacute;ndice de mensagens pode ser ordenado por os dados de resumo, se ele tem permiss&atilde;o para classificar pelo campo.<br />
	Usando templates podem ser inseridos os dados estat&iacute;sticos de qualquer grupo de campos em outro lugar.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Sob a op&ccedil;&atilde;o &quot;Pesquisa&quot; a partir do f&oacute;rum menu p&aacute;ginas de pesquisa est&atilde;o localizados' : 'A op&ccedil;&atilde;o &quot;Mensagens de pesquisa e registros&quot; a partir do menu f&oacute;rum fornece acesso &agrave;s p&aacute;ginas de pesquisa') . ', mostrando os grupos e seus campos no qual o usu&aacute;rio tem permiss&atilde;o de busca.<br />
	Grupos de tipo &quot;solto campos&quot;, &quot;campos com v&aacute;rios valores por membro&quot; e &quot;filtros&quot; pode estar em v&aacute;rias p&aacute;ginas de busca, e cada p&aacute;gina cont&eacute;m v&aacute;rios grupos, com a &uacute;nica condi&ccedil;&atilde;o de que os grupos em uma p&aacute;gina deve ser permitida em um conjunto comum de mensagens. Como resultado de pesquisa uma lista de postos &eacute; obtido.<br />
	Para cada grupo de tipo &quot;registro&quot; com a permiss&atilde;o de busca tem uma p&aacute;gina. Como resultado, uma lista de registos &eacute; obtido com as colunas indicadas na defini&ccedil;&atilde;o dos campos.';
$helptxt['cffp_counter'] = 'O n&uacute;mero de cada tipo de registro criado pelo membro pode ser exibido nas informa&ccedil;&otilde;es desse membro.<br />
	Isso pode ser visto em v&aacute;rias &aacute;reas, como no perfil do membro, na lista de membros e nas informa&ccedil;&otilde;es do membro sobre postagens de cada mensagem.<br />
	&quot;Centro de Administra&ccedil;&atilde;o &gt; Manuten&ccedil;&atilde;o do F&oacute;rum &gt; ' . (!$smf_version_1 ? 'Rotina' : 'Manuten&ccedil;&atilde;o Geral') . ' &gt; Recontar todos os totais e estat&iacute;sticas do f&oacute;rum&quot; tamb&eacute;m reconta o n&uacute;mero de cada tipo de registro criado pelos membros.<br />
	Al&eacute;m disso, o n&uacute;mero total de cada tipo de registro criado pode ser exibido nas estat&iacute;sticas.<br />
	Grupos de membros baseados no n&uacute;mero de cada tipo de registro podem ser criados em &quot;Centro de Administra&ccedil;&atilde;o &gt; Editar Grupos de Membros &gt; Baseado no n&uacute;mero de registros&quot;.';
$helptxt['cffp_top_poster'] = 'Em Centro de Estat&iacute;sticas pode ser exibido o top 10 dos postadores de cada tipo de registos.';
$helptxt['cffp_profile_list'] = 'No perfil de membro, na se&ccedil;&atilde;o &quot;Informa&ccedil;&otilde;es do perfil &gt; Exibi Posts&quot;, pode ser mostrar uma lista para cada grupo de tipo &quot;registro&quot;, com mensagens postadas pelo pr&oacute;prio usu&aacute;rio contendo este tipo de grupo.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'No Centro de modera&ccedil;&atilde;o &eacute; poss&iacute;vel controlar o conte&uacute;do postado pelos usu&aacute;rios nos grupos do tipo &quot;campos com v&aacute;rios valores por membro&quot;.<br />
	Para cada grupo que escolheu para mostrar esta lista ser&aacute; exibido um acesso &agrave; lista na se&ccedil;&atilde;o &quot;Posts &gt; Grupo de campos no posts&quot; e, opcionalmente, um link abaixo da op&ccedil;&atilde;o &quot;Moderado&quot; a partir do menu de f&oacute;rum.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Moderadores globais podem controlar o conte&uacute;do postado pelos usu&aacute;rios nos grupos do tipo &quot;campos com v&aacute;rios valores por membro&quot;.<br />
	A op&ccedil;&atilde;o &quot;Moderar os grupos de campos em mensagens&quot; a partir do menu f&oacute;rum fornece acesso &agrave; lista com dados lan&ccedil;ados, um para cada grupo, que escolheu para mostrar esta lista.';
}
$helptxt['cffp_reattribute'] = 'Permite retribuir a membros registrados grupos de campos postados por outro membro registrado.';
$helptxt['cffp'] = '<b>Campos personalizados e filtros de mensagens</b><br />
	Permite adicionar diferentes grupos de campos personalizados para posts no f&oacute;rum e filtros para os campos de mensagens.<br />
	' . $helptxt['cffp_grouptype'] . '
	Os filtros predefinidos dispon&iacute;veis s&atilde;o:<br />
	<ul class="normallist">
		<li>Sub-F&oacute;rum.</li>
		<li>Tipos de registro.</li>
		<li>Assunto.</li>
		<li>Come&ccedil;o do assunto.</li>
		<li>Primeiro caractere do assunto.</li>
		<li>Dados do t&oacute;pico / Dado publicado.</li>
		<li>Dados da &uacute;ltima resposta / Dado publicado.</li>
		<li>Postado por.</li>
		<li>T&oacute;pico com novos posts / Novo.</li>
		<li>Fixos.</li>
		<li>Trancado.</li>
		<li>Respostas.</li>
		<li>Enquete.</li>
	</ul>
	As a&ccedil;&otilde;es a serem realizadas em um grupo de campos personalizados s&acirc;o: vis&acirc;o, adicionar, modificar, apagar e mover.<br />
	Al&eacute;m disso s&atilde;o poss&iacute;veis outras a&ccedil;&otilde;es usando campos personalizados:<br />
	<ul class="normallist">
		<li>Filtrar o &iacute;ndice de mensagens.</li>
		<li>Organizar o &iacute;ndice de mensagens.</li>
		<li>Mostrar estat&iacute;sticas.</li>
		<li>Pesquisar nas &aacute;reas de mensagens, obter uma lista de posts.</li>
		<li>Pesquisar nas &aacute;reas de registros, obtendo uma lista de registros.</li>
	</ul>
	<br />
	<b>Painel de administra&ccedil;&atilde;o</b><br />
	O painel de administra&ccedil;&atilde;o tem a lista dos grupos de campos personalizados, o que permite adicionar novos grupos, modificar ou excluir grupos existentes, adicionar, modificar ou excluir campos de um grupo e definir modelos para exibir esses campos em um post e no &iacute;ndice de mensagens.<br />
	<br />
	<b>Visualizando posts com campos personalizados</b><br />
	Ao visualizar um post completo (em um t&oacute;pico, em posts ou perfil recentes) s&atilde;o apresentados seus grupos (que s&atilde;o ativados quando o post &eacute; criado ou modificado). Grupo do tipo &quot;solto campos&quot; e &quot;registros&quot; s&atilde;o mostrados acima do corpo do post, Considerando que os grupos de tipo &quot;campos com v&aacute;rios valores por membro&quot; s&atilde;o apresentados a seguir, a menos o que foi selecionado &quot;Mostrar como grupo de campos do t&oacute;pico&quot; e, em seguida, &eacute; apresentado no in&iacute;cio e/ou e do t&oacute;pico. Se um grupo tem o template por mensagens os campos s&atilde;o exibidos de acordo com o template, se n&atilde;o s&atilde;o exibidos com o seu nome e conte&uacute;do.<br />
	Em listas de posts (&iacute;ndice de mensagens, mensagem n&atilde;o lida e respostas) s&atilde;o grupos exibida com campos vis&iacute;veis no &iacute;ndice de mensagens (de acordo com as permiss&otilde;es). Se um grupo tem o template para o &iacute;ndice de mensagens os campos s&atilde;o exibidos de acordo com o template, se n&atilde;o s&atilde;o exibidos com o seu nome e conte&uacute;do.<br />
	<br />
	<b>Modificando valores em campos personalizados</b><br />
	Em um t&oacute;pico, posts com grupos de tipo &quot;campos com v&aacute;rios valores por membro&quot; t&ecirc;m bot&ocirc;es para o usu&aacute;rio postar novos valores, e modificar ou remover os existentes.<br />
	Para todos os outros grupos (&quot;campos solto&quot; e &quot;registro&quot;), a criar ou modificar o post s&atilde;o exibidos grupos permitidos. Os grupos de tipo &quot;solto campos&quot; sempre t&ecirc;m seus campos vis&iacute;veis, enquanto que os grupos de tipo &quot;registro&quot; tem uma caixa de sele&ccedil;&atilde;o para mostrar ou ocultar os seus campos. Se tem sido modelo criado para a entrada r&aacute;pida em um registro, <strong>Campo de entrada r&aacute;pida</strong> &eacute; exibido ap&oacute;s os campos de registro.<br />
	<br />
	<b>Movendo um grupo de campos personalizados para outro post</b><br />
	Um grupo de campos pode ter de ser atribu&iacute;do a um outro post, por exemplo, antes de remover o post onde &eacute; o grupo.<br />
	Se o utilizador tem permiss&atilde;o para mover um grupo, ao visualizar um tema que grupo ter&aacute; bot&otilde;es para ir para o primeiro post do t&oacute;pico ou outro post (ou outro t&oacute;pico se o grupo &eacute; do tipo &quot;campos com v&aacute;rios valores por membro&quot; e selecionou &quot; Mostrar como grupo de campos do t&oacute;pico&quot;).<br />
	<br />
	<b>Filtrar o &iacute;ndice de mensagens</b><br />
	Se o utilizador tem permiss&atilde;o para filtrar por um campo, um bot&atilde;o &eacute; exibido no &iacute;ndice de mensagens para filtrar t&oacute;picos por esse campo.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Al&eacute;m disso, com um grupo de tipo &quot;filtros&quot; podem ser adicionados filtros predefinidos.<br />
	Os filtros podem ser do mesmo grupo ou grupos diferentes de campos.<br />
	Ao lado de filtros h&aacute; um bot&atilde;o para ativar os filtros que foram dadas algum valor. Como resultado obt&eacute;m-se o &iacute;ndice de mensagens com t&oacute;picos cujo cargo primeira corresponde a todos os filtros ativos.<br />
	<br />
	<b>Ordenar o &iacute;ndice de mensagens</b><br />
	Se o usu&aacute;rio tem permiss&atilde;o para classificar por um ou mais campos, uma caixa de sele&ccedil;&atilde;o &eacute; exibido no &iacute;ndice de mensagens para classificar t&oacute;picos por um desses campos.<br />
	<br />
	<b>Mostrar estat&iacute;sticas</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>Pesquisa em campos</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	Em ambos os casos, os bot&otilde;es usados em cada campo de busca seguir a mesma regra que nos filtros.<br />
	<br />
	<b>Contador nas informa&ccedil;&otilde;es do usu&aacute;rio</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Top postagens nas estat&iacute;sticas</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>Lista no perfil de membro</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'Lista em Centro de Moderar' : 'Lista de modera&ccedil;&atilde;o') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Reatribuir Grupos ao Utilizador</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	Isto est&aacute; localizado em &quot;Centro de Administra&ccedil;&atilde;o &gt; Manuten&ccedil;&atilde;o do F&oacute;rum &gt; Membros &gt; Reatribuir Grupos ao Utilizador&quot;.' : '');
$helptxt['cffp_enclose'] = 'Envolve a entrada do usu&aacute;rio entre algum texto (criado com HTML, BBC or PHP). Isso permitir&aacute; que voc&ecirc; adicione mais provedores de mensagens instant&acirc;neas, imagens ou uma incorpora&ccedil;&atilde;o etc. Por exemplo:<br />
	<br />
	&lt;a href=&quot;http://website.com/{INPUT}&quot;&gt;&lt;img src=&quot;{DEFAULT_IMAGES_URL}/icon.gif&quot; alt=&quot;{INPUT}&quot; /&gt;&lt;/a&gt;<br />
	<br />
	Pode utilizar as seguintes vari&aacute;veis:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - A entrada especificada pelo utilizador.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML para colocar antes do texto de sa&iacute;da.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML para colocar a seguir o texto de sa&iacute;da.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - O nome do campo no banco de dados do campo ID <i>n</i>. O campo pode ser de qualquer grupo.</li>
		<li><tt>{ID_MSG}</tt> - ID da mensagem atual.</li>
		<li><tt>{BOARDURL}</tt> - URL a pasta f&oacute;rum.</li>
		<li><tt>{SCRIPTURL}</tt> - Endere&ccedil;o da Web do f&oacute;rum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL a pasta de imagens no usu&aacute;rios tema atual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL para a pasta de imagens no tema padr&atilde;o.</li>
	</ul>
	No PHP, voc&ecirc; tamb&eacute;m pode usar as seguintes fun&ccedil;&otilde;es:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como em uma mensagem.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como no &iacute;ndice de mensagens.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>, &apos;</tt><i>tipo</i><tt>&apos;, &apos;</tt><i>params</i><tt>&apos;)</tt> - Exibe as estat&iacute;sticas para o grupo de uma mensagem (se s&atilde;o ativados). O par&acirc;metro <i>tipo</i> pode ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Exibe o gr&aacute;fico com a m&eacute;dia. O par&acirc;metro <i>params</i> indica as caracter&iacute;sticas do gr&aacute;fico. Os valores permitidos: <tt>average</tt> (valor m&eacute;dio mostrado), <tt>minmax</tt> (valor mais baixo e mais alto permitido mostrado), <tt>options_text</tt> (mostrado o texto de op&ccedil;&otilde;es).</li>
				<li><tt>chart_hbars</tt> - Apresenta o gr&aacute;fico com barras horizontais. O par&acirc;metro <i>params</i> n&atilde;o &eacute; utilizada.</li>
				<li><tt>chart_vbars</tt> - Exibe o gr&aacute;fico com barras verticais. O par&acirc;metro <i>params</i> indica as caracter&iacute;sticas do gr&aacute;fico. Os valores permitidos: <tt>options_text</tt> (mostrado o texto de op&ccedil;&otilde;es).</li>
				<li><tt>summary</tt> - Exibe o resumo. O par&acirc;metro <i>params</i> indica valores para mostrar, separados por v&iacute;rgulas. Os valores permitidos: <tt>average</tt> (valor m&eacute;dio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (mais valor frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (n&uacute;mero de valores).</li>
				<li><tt>value</tt> - Exibe um valor de resumo. O par&acirc;metro <i>params</i> indica o valor a ser exibido. Os valores permitidos: <tt>average</tt> (valor m&eacute;dio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (mais valor frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (n&uacute;mero de valores).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'A m&aacute;scara de introdu&ccedil;&atilde;o &eacute; importante para a seguran&ccedil;a do seu f&oacute;rum. Validar a introdu&ccedil;&atilde;o do utilizador ajuda a assegurar que os dados n&atilde;o s&atilde;o utilizados de outra forma que n&atilde;o a esperada. Algumas express&otilde;es regulares simples s&atilde;o fornecidas a t&iacute;tulo de exemplo.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		&quot;[A-Za-z]+&quot; - Corresponder todas as mai&uacute;sculas e min&uacute;sculas do alfabeto.<br />
		&quot;[0-9]+&quot; - Corresponder todos os caracteres num&eacute;ricos.<br />
		&quot;[A-Za-z0-9]{7}&quot; - Corresponder todas as mai&uacute;sculas e min&uacute;sculas do alfabeto e caracteres num&eacute;ricos sete vezes.<br />
		&quot;[^0-9]?&quot; - Proibir a correspond&ecirc;ncia de qualquer n&uacute;mero.<br />
		&quot;^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$&quot; - Permitir apenas 3 ou 6 caracteres hexadecimais.<br />
	</span><br /><br />
	Adicionalmente, podem ser definidos os meta-caracteres especiais ?+*^$ e {xx} .
	<div class="smalltext" style="margin: 0 2em">
		? - Nenhuma ou uma correspond&ecirc;ncia da express&atilde;o anterior.<br />
		+ - Uma ou mais correspond&ecirc;ncias da express&atilde;o anterior.<br />
		* - Nenhuma ou mais da express&atilde;o anterior.<br />
		{xx} - Um n&uacute;mero exacto da express&atilde;o anterior.<br />
		{xx,} - Um n&uacute;mero exacto ou mais da express&atilde;o anterior.<br />
		{,xx} - Um n&uacute;mero exacto ou menos da express&atilde;o anterior.<br />
		{xx,yy} - Um n&uacute;mero de correspond&ecirc;ncias dentro da gama dos argumentos xx e yy, da express&atilde;o anterior.<br />
		$ - In&iacute;cio de string.<br />
		^ - Fim de string.<br />
		\\ - Escape do pr&oacute;ximo caracter.<br />
	</div><br /><br />
	Mais informa&ccedil;&otilde;es e t&eacute;cnicas avan&ccedil;adas podem ser encontradas na internet.';
$helptxt['cffp_fieldtype'] = 'Tipos de campos que podem ser criados s&atilde;o:<br />
	<ul class="normallist">
		<li>Texto: O campo no qual pode digitar o texto de uma linha.</li>
		<li>Grande texto: O campo que permite que tipo multi-linha de texto.</li>
		<li>Caixa de escolha: O campo que exibe um menu de op&ccedil;&otilde;es para selecionar. O campo pode ser &uacute;nica sele&ccedil;&atilde;o (permite selecionar apenas uma op&ccedil;&atilde;o) ou m&uacute;ltiplo (permite selecionar v&aacute;rias op&ccedil;&otilde;es de uma s&oacute; vez).</li>
		<li>Caixa de combina&ccedil;&atilde;o: Combina&ccedil;&atilde;o de caixa de sele&ccedil;&atilde;o (sele&ccedil;&atilde;o &uacute;nica ou m&uacute;ltipla) e caixa de texto, permitindo digitar um valor (ou valores separados por v&iacute;rgulas) ou escolher a partir de uma lista de op&ccedil;&otilde;es.</li>
		<li>Acionamento tipo Radio: Conjunto de op&ccedil;&otilde;es a partir do qual s&oacute; pode escolher um.</li>
		<li>Caixas de sele&ccedil;&atilde;o: Conjunto de op&ccedil;&otilde;es a partir do qual voc&ecirc; pode escolher v&aacute;rios de uma vez.</li>
		<li>Booleano: Apenas uma op&ccedil;&atilde;o que pode ser seleccionado (valor &quot;verdadeiro&quot;) ou n&atilde;o (valor &quot;falso&quot;).</li>
	</ul>';
$helptxt['cffp_options'] = 'Esta se&ccedil;&atilde;o define as op&ccedil;&otilde;es que o usu&aacute;rio pode escolher a partir de uma caixa de sele&ccedil;&atilde;o, caixa de combina&ccedil;&atilde;o, bot&otilde;es de r&aacute;dio ou caixas de sele&ccedil;&atilde;o. Existem alguns pontos-chave a serem observados nesta se&ccedil;&atilde;o:<br />
	<ul class="normallist">
		<li>As op&ccedil;&otilde;es padr&atilde;o: Qualquer que seja a caixa de opop&ccedil;&otilde;eses tem a &quot;bot&atilde;o de r&aacute;dio&quot; (pode haver apenas um) ou &quot;Caixas de sele&ccedil;&atilde;o&quot; (pode ser v&aacute;rias) ao lado desse selecionado ser&aacute; as sele&ccedil;&otilde;es padr&atilde;o para o utilizador quando entram dados.</li>
		<li>Remo&ccedil;&atilde;o de opcionais: Para remover uma op&ccedil;&atilde;o simplesmente vazia na caixa de texto para essa op&ccedil;&atilde;o - todas as mensagens com o seleccionado ter&aacute; sua op&ccedil;&atilde;o desmarcada.</li>
		<li>Reordenar op&ccedil;&otilde;es: Voc&ecirc; pode reordenar as op&ccedil;&otilde;es movendo texto em torno entre as caixas. Contudo - uma nota importante - voc&ecirc; deve se certificar do que voc&ecirc; faz <strong>n&atilde;o</strong> mudar o texto quando reordena&ccedil;&atilde;o op&ccedil;&otilde;es em contr&aacute;rio dados postados ser&atilde;o perdidos.</li>
		<li>Texto (dispon&iacute;vel se o bot&atilde;o n&atilde;o &eacute; uma caixa de combina&ccedil;&atilde;o): Uma op&ccedil;&atilde;o pode ser exibido com valor real ou com um texto mais significativo para o usu&aacute;rio.</li>
		<li>Adicione v&aacute;rias op&ccedil;&otilde;es: Permite adicionar v&aacute;rias op&ccedil;&otilde;es de uma s&oacute; vez, escrevendo cada op&ccedil;&atilde;o em uma linha do campo de texto grande. Cada op&ccedil;&atilde;o tem valor e, se o bot&atilde;o n&atilde;o &ecirc; uma caixa de combina&ccedil;&atilde;o, texto, separados por v&iacute;rgulas. Texto &ecirc; opcional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'C&oacute;digo JavaScript executado quando um grupo de campos &eacute; criado ou modificado.<br />
	Permite a execu&ccedil;&atilde;o de c&oacute;digo quando um evento ocorre ao longo de um bot&atilde;o de formul&aacute;rio ou outro elemento HTML.<br />
	Isto pode ser escrito como:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>html_nome_elemento</i><tt>)[0].</tt><i>nome_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>html_id_elemento</i><tt>).</tt><i>nome_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	Por exemplo, este c&oacute;digo mostra uma mensagem quando o usu&aacute;rio clica no bot&atilde;o <tt>id1</tt> e copiar o valor do bot&atilde;o <tt>id2</tt> sobre o assunto quando o usu&aacute;rio alterar esse valor:<br />
	<br />
	<tt>document.getElementById(&apos;id1&apos;).onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(&apos;Uma mensagem&apos;);<br />
	}<br />
	document.getElementById(&apos;id2&apos;).onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(&apos;subject&apos;)[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Texto usado para exibir o conte&uacute;do de campos em grupo.<br />
	Voc&ecirc; pode usar as seguintes vari&aacute;veis:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Nome de campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Valor de campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - O nome do campo no banco de dados do campo ID <i>n</i>. O campo pode ser de qualquer grupo.</li>
		<li><tt>{ID_MSG}</tt> - ID da mensagem atual.</li>
		<li><tt>{BOARDURL}</tt> - URL para pasta f&oacute;rum.</li>
		<li><tt>{SCRIPTURL}</tt> - Endere&ccedil;o Web do f&oacute;rum.</li>
		<li><tt>{IMAGES_URL}</tt> - URL para pasta de imagens no usu&aacute;rios tema atual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL para pasta de imagens no tema padr&atilde;o.</li>
	</ul>
	No PHP, voc&ecirc; tamb&eacute;m pode usar as seguintes fun&ccedil;&otilde;es:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como em uma mensagem.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Exibe o grupo de uma mensagem como no &iacute;ndice de mensagens.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensagem</i><tt>, </tt><i>ID_grupo</i><tt>, &apos;</tt><i>tipo</i><tt>&apos;, &apos;</tt><i>params</i><tt>&apos;)</tt> - Exibe as estat&iacute;sticas para o grupo de uma mensagem (se s&atilde;o ativados). O par&acirc;metro <i>tipo</i> pode ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Exibe o gr&aacute;fico com a m&eacute;dia. O par&acirc;metro <i>params</i> indica as caracter&iacute;sticas do gr&aacute;fico. Os valores permitidos: <tt>average</tt> (valor m&eacute;dio mostrado), <tt>minmax</tt> (valor mais baixo e mais alto permitido mostrado), <tt>options_text</tt> (mostrado o texto de op&ccedil;&otilde;es).</li>
				<li><tt>chart_hbars</tt> - Exibe o gr&aacute;fico com barras horizontais. O par&acirc;metro <i>params</i> n&atilde;o &eacute; utilizada.</li>
				<li><tt>chart_vbars</tt> - Exibe o gr&aacute;fico com barras verticais. O par&acirc;metro <i>params</i> indica as caracter&iacute;sticas do gr&aacute;fico. Os valores permitidos: <tt>options_text</tt> (mostrado o texto de op&ccedil;&otilde;es).</li>
				<li><tt>summary</tt> - Exibe o resumo. O par&acirc;metro <i>params</i> indica valores para mostrar, separados por v&iacute;rgulas. Os valores permitidos: <tt>average</tt> (valor m&eacute;dio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (mais valor frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (n&uacute;mero de valores).</li>
				<li><tt>value</tt> - Exibe um valor de resumo. O par&acirc;metro <i>params</i> indica o valor a ser exibido. Os valores permitidos: <tt>average</tt> (valor m&eacute;dio), <tt>sum</tt> (soma), <tt>max</tt> (maior valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (maior valor usado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor mais frequente), <tt>least_frequent</tt> (valor menos frequente), <tt>total</tt> (n&uacute;mero de valores).</li>
			</ul></li>
	</ul>
	Esvazie o campo de texto para excluir o modelo. Se o modelo n&atilde;o est&aacute; campos definidos s&atilde;o exibidos com o seu nome e conte&uacute;do.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Texto usado para criar um registro.<br />
	Permite que preencher todos os campos de uma s&oacute; vez, escrevendo todos os valores em um &uacute;nico campo, chamado <strong>Campo de entrada r&aacute;pida</strong>, de acordo com um modelo ou uma express&atilde;o regular.<br />
	A express&atilde;o regular deve ser compat&iacute;vel com JavaScript. usado em <tt>String.match(regex)</tt> m&eacute;todo e deve ser obtida uma matriz de valores de campo come&ccedil;ando com a chave 1.<br />
	O par&acirc;metros de template consistem em linhas de texto:<br />
	<ul class="normallist">
		<li>Para cada elemento da matriz obtida a partir da express&atilde;o regular acrescenta uma linha com o campo ID.</li>
		<li>Linhas que seguem a ordem da matriz.</li>
		<li>Se um elemento de matriz n&atilde;o corresponde a qualquer campo, cont&eacute;m texto n&atilde;o utilizado e em que a linha &eacute; escrito 0.</li>
		<li>Se &eacute; necess&aacute;rio formatar um valor antes de copi&aacute;-lo em seu campo, sob a linha que cont&eacute;m o ID campo outra linha &eacute; adicionado com o c&oacute;digo JavaScript que transforma o valor. <tt>value</tt> vari&aacute;vel cont&eacute;m o valor original e deve conter o valor transformado. com <tt>field_obj</tt> array, indexado pelo campo ID, n&atilde;o h&aacute; acesso a todos os campos do formul&aacute;rio no registro.</li>
	</ul>
	Por exemplo, se o registro tem esses campos<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Nome</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Autor nome</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Autor sobrenome</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	&eacute; definida<br />
	<br />
	Express&atilde;o regular: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Par&acirc;metros:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i &lt; x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(&quot; &apos;);<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i &lt; x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(&quot; &quot;);</tt><br />
	<br />
	e usu&aacute;rio escreve<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	campos ser&atilde;o preenchidos, assim:<br />
	<br />
	ID DocBook: 24<br />
	Autor nome: Lewis<br />
	Autor sobrenome: Carroll';

?>