<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'Un grupo de campos puede ser de tipo:<br />
	<ul class="normallist">
		<li>Campos sueltos: Sus campos se añaden a un mensaje para suministrar información extra. Al buscar datos en los campos sueltos de un mensaje se obtiene un listado de mensajes.</li>
		<li>Registro: Es un conjunto de campos que representa una entidad independiente del mensaje. Al buscar datos en los campos de un registro el resultado es un listado de registros. El cuerpo del mensaje no puede dejarse vacío pero un mensaje con registro no necesita tener cuerpo. Si el usuario va a añadir un registro y el cuerpo del mensaje está vacío, el sistema escribe un punto (".") en él y el usuario no necesita escribir nada.</li>
		<li>Campos con varios valores por usuario: Es un conjunto de campos en los que varios usuarios pueden introducir valores diferentes. Esto se puede utilizar para que los usuarios hagan comentarios o valoraciones sobre el mensaje. Si estos campos se localizan solo en el primer mensaje de un tema, pueden mostrarse como pertenecientes al tema.</li>
		<li>Filtros: Es un tipo especial de grupo sin campos. Se utiliza para habilitar un conjunto de filtros predefinidos que se pueden utilizar sobre temas y mensajes.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'El tipo de botón del filtro depende del tipo de campo:<br />
	<ul class="normallist">
		<li>El filtro para los campos de tipo texto o texto largo es un campo de texto donde escribir el texto a buscar, o una lista desplegable para obtener datos con ese campo vacío o no vacío.</li>
		<li>Los campos de tipo lista desplegable, cuadro combinado, botones de selección o casillas de verificación tienen por filtro un campo de texto, una lista desplegable o un cuadro combinado donde escribir o seleccionar el texto a buscar, o una lista desplegable para obtener datos con ese campo vacío o no vacío.</li>
		<li>Para los campos de tipo lógico el filtro es una lista desplegable con los valores "Sí" y "No".</li>
	</ul>
	Si el usuario puede modificar un campo, ese campo puede estar vacío y su filtro es una lista desplegable o un cuadro combinado, verá una opción en la lista para obtener datos con ese campo vacío.<br />
	El filtro con campo de texto permite buscar palabras sueltas (separadas por espacios) y utilizar estos modificadores:<br />
	<ul class="normallist">
		<li><tt>"</tt> (comillas dobles) - Busca la frase literal que encierra. Por ejemplo, <tt>"edificio más alto"</tt></li>
		<li><tt>-</tt> (signo menos) - Se pone delante de la palabra o frase literal que no se desea buscar. Por ejemplo, <tt>jaquar velocidad -coche</tt></li>
		<li><tt>OR</tt> - Entre palabras y/o frases literales, busca la ocurrencia de una u otra. Por ejemplo, <tt>maratón OR carrera</tt></li>
	</ul>
	Si el filtro es de tipo texto o cuadro combinado, por defecto se busca que el texto esté contenido en el valor del campo, mientras que si el filtro es de tipo lista desplegable se busca que el texto coincida con el valor del campo.';
$helptxt['cffp_stats'] = 'Si un grupo de tipo "campos con varios valores por usuario" tiene un solo campo y es de tipo lista desplegable, botones de selección o casillas de verificación (es decir, hay un número finito de valores permitidos), se pueden generar datos estadísticos a partir de los valores introducidos en su campo.<br />
	Los datos estadísticos a mostrar pueden ser:<br />
	<ul class="normallist">
		<li>Gráfico con valor medio: Consiste en una barra horizontal donde se localizan el valor medio, el menor valor permitido y el mayor valor permitido.</li>
		<li>Gráfico con barras horizontales: Representa el uso de cada valor permitido a través de barras horizontales.</li>
		<li>Gráfico con barras verticales: Representa el uso de cada valor permitido a través de barras verticales.</li>
		<li>Resumen: Conjunto de datos obtenidos a partir de los valores introducidos (valor medio, suma, mayor y menor valor permitido, mayor y menor valor utilizado, valor más y menos frecuente, número de valores).</li>
	</ul>
	El usuario ve estos datos solo si tiene permiso. El índice de mensajes se puede ordenar por los datos del resumen, si se tiene permiso para ordenar por el campo.<br />
	Con ayuda de las plantillas se pueden insertar los datos estadísticos de cualquier grupo de campos en otro lugar.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Bajo la opción "Buscar" del menú del foro se localizan' : 'La opción "Buscar mensajes y registros" del menú del foro da acceso a') . ' las páginas de búsqueda, que muestran los grupos y sus campos sobre los que se tiene permiso de búsqueda.<br />
	Los grupos de tipo "campos sueltos", "campos con varios valores por usuario" y "filtros" pueden estar en varias páginas de búsqueda, y cada página contener varios grupos, con la única condición de que los grupos de una página estén permitidos en un conjunto común de mensajes. Como resultado de la búsqueda se obtiene un listado de mensajes.<br />
	Para cada grupo de tipo "registro" que tenga permiso de búsqueda hay una sola página. Como resultado se obtiene un listado de registros con las columnas indicadas al definir los campos.';
$helptxt['cffp_counter'] = 'En la información sobre el usuario se puede mostrar el número de cada tipo de registro creado por ese usuario.<br />
	Esto puede verse en varias zonas, como el perfil de usuario y la información del usuario que crea cada mensaje.<br />
	"Centro de Administración SMF > Mantenimiento del Foro > ' . (!$smf_version_1 ? 'Rutina' : 'Mantenimiento General') . ' > Volver a contar los totales y las estadísticas de todos los foros" también vuelve a contar el número de cada tipo de registro creado por los usuarios.<br />
	Además, en las estadísticas puede mostrarse el número total de registros creados de cada tipo.<br />
	Pueden crearse grupos de usuario basados en el número de cada tipo de registro, en "Centro de Administración SMF > Grupos de usuarios > Basados en número de registros".';
$helptxt['cffp_top_poster'] = 'En el Centro de Estadísticas se pueden mostrar los 10 usuarios que más registros de cada tipo publican.';
$helptxt['cffp_profile_list'] = 'En el perfil del usuario, bajo la sección "Información del Perfil > Mostrar Mensajes", se puede mostrar un listado para cada grupo de tipo "registro", con los mensajes publicados por el usuario que contengan ese tipo de grupo.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'En el Centro de Moderación es posible controlar el contenido publicado por los usuarios en los grupos de tipo "campos con varios valores por usuario".<br />
	Para cada grupo en el que se haya elegido mostrar este listado aparecerá un acceso al listado bajo la sección "Mensajes > Grupos de campos en mensajes" y, opcionalmente, un enlace bajo la opción "Moderar" del menú del foro.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Los moderadores globales pueden controlar el contenido publicado por los usuarios en los grupos de tipo "campos con varios valores por usuario".<br />
	La opción "Moderar los grupos de campos en mensajes" del menú del foro da acceso a los listados con los datos publicados, uno por cada grupo en el que se haya elegido mostrar este listado.';
}
$helptxt['cffp_reattribute'] = 'Permite adjudicar a un usuario registrado grupos de campos publicados por un usuario anónimo u otro usuario registrado.';
$helptxt['cffp'] = '<b>Campos y filtros personalizados de mensaje</b><br />
	Permite añadir diferentes grupos de campos personalizados a los mensajes del foro y filtros sobre campos de los mensajes.<br />
	' . $helptxt['cffp_grouptype'] . '
	Los filtros predefinidos disponibles son:<br />
	<ul class="normallist">
		<li>Foros.</li>
		<li>Tipos de registro.</li>
		<li>Asunto.</li>
		<li>Comienzo del asunto.</li>
		<li>Primer carácter del asunto.</li>
		<li>Fecha del tema / Fecha de publicación.</li>
		<li>Fecha de la última respuesta / Fecha de publicación.</li>
		<li>Publicado por.</li>
		<li>Tema con mensajes nuevos / Nuevo.</li>
		<li>Fijado.</li>
		<li>Bloqueado.</li>
		<li>Respuestas.</li>
		<li>Encuesta.</li>
	</ul>
	Las acciones a realizar sobre un grupo de campos personalizados son: ver, añadir, modificar, eliminar y mover.<br />
	Además es posible realizar otras acciones utilizando los campos personalizados:<br />
	<ul class="normallist">
		<li>Filtrar el índice de mensajes.</li>
		<li>Ordenar el índice de mensajes.</li>
		<li>Mostrar estadísticas.</li>
		<li>Buscar en campos de mensajes, obteniendo un listado de mensajes.</li>
		<li>Buscar en campos de registros, obteniendo un listado de registros.</li>
	</ul>
	<br />
	<b>Panel de administración</b><br />
	El panel de administración contiene el listado de grupos de campos personalizados, que permite añadir nuevos grupos, modificar o borrar los grupos existentes, agregar, modificar o borrar los campos de un grupo y definir las plantillas para visualizar esos campos en un mensaje y en el índice de mensajes.<br />
	<br />
	<b>Visualización de mensajes con campos personalizados</b><br />
	Al visualizar un mensaje completo (en un tema, en mensajes recientes o en el perfil del usuario) se muestran sus grupos (los que se han activado al crear o modificar el mensaje). Los grupos de tipo "campos sueltos" y "registro" se muestran encima del cuerpo del mensaje, mientras que los grupos de tipo "campos con varios valores por usuario" se muestran debajo, a no ser que haya seleccionado "Mostrar como grupo de campos del tema" y entonces se muestran al comienzo y/o final del tema. Si un grupo tiene plantilla para mensajes los campos se muestran según la plantilla, si no se muestran con su nombre y contenido.<br />
	En los listados de mensajes (índice de mensajes, mensajes no leídos y nuevas respuestas) se muestran los grupos con campos visibles en el índice de mensajes (según permisos). Si un grupo tiene plantilla para el índice de mensajes los campos se muestran según la plantilla, si no se muestran con su nombre y contenido.<br />
	<br />
	<b>Modificación de valores en campos personalizados</b><br />
	En un tema, los mensajes con grupos de tipo "campos con varios valores por usuario" tienen botones para que el usuario publique nuevos valores, y modifique o elimine los existentes.<br />
	Para el resto de grupos ("campos sueltos" y "registro"), al crear o modificar el mensaje se muestran los grupos permitidos. Los grupos de tipo "campos sueltos" siempre tienen sus campos visibles, mientras que los grupos de tipo "registro" tienen una casilla de verificación para mostrar u ocultar sus campos. Si en un registro se ha creado plantilla para la introducción rápida se muestra el <strong>Campo de introducción rápida</strong> después de los campos del registro.<br />
	<br />
	<b>Mover un grupo de campos personalizados a otro mensaje</b><br />
	Un grupo de campos puede necesitar ser asignado a otro mensaje, por ejemplo antes de eliminar el mensaje donde esté el grupo.<br />
	Si el usuario posee permiso para mover un grupo, al visualizar un tema ese grupo tendrá botones para moverlo al primer mensaje del tema o a otro mensaje (o a otro tema si el grupo es de tipo "campos con varios valores por usuario" y tiene seleccionado "Mostrar como grupo de campos del tema").<br />
	<br />
	<b>Filtrar el índice de mensajes</b><br />
	Si el usuario tiene permiso para filtrar por un campo, se muestra un botón en el índice de mensajes para filtrar los temas por ese campo.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Además, con un grupo de tipo "filtros" se pueden añadir filtros predefinidos.<br />
	Los filtros pueden ser del mismo grupo de campos o de diferentes grupos.<br />
	A continuación de los filtros hay un botón para activar los filtros a los que se les haya dado algún valor. Como resultado se obtiene el índice de mensajes con los temas cuyo primer mensaje concuerda con todos los filtros activos.<br />
	<br />
	<b>Ordenar el índice de mensajes</b><br />
	Si el usuario tiene permiso para ordenar por uno o más campos, se muestra una lista desplegable en el índice de mensajes para ordenar los temas por uno de esos campos.<br />
	<br />
	<b>Mostrar estadísticas</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>Buscar en campos</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	En ambos casos los botones utilizados en cada campo de búsqueda siguen la misma regla que en los filtros.<br />
	<br />
	<b>Contador en la información sobre el usuario</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Usuarios que más publican en las estadísticas</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>Listado en el perfil del usuario</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'Listado en el Centro de Moderación' : 'Listado de moderación') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Volver a adjudicar grupos de usuario</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	Esto se encuentra en "Centro de Administración SMF > Mantenimiento del Foro > Miembros > Volver a adjudicar grupos de usuario".' : '');
$helptxt['cffp_enclose'] = 'Encierra la entrada de usuario dentro de cierto texto (creado con HTML, BBC o PHP). Esto te permitirá añadir más proveedores de mensajería instantánea, imágenes, etc. Por ejemplo:<br />
	<br />
	&lt;a href="http://website.com/{INPUT}"&gt;&lt;img src="{DEFAULT_IMAGES_URL}/icon.gif" alt="{INPUT}" /&gt;&lt;/a&gt;<br />
	<br />
	Ten en cuenta que puedes usar las siguientes variables:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - Entrada especificada por el usuario.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML para poner antes del texto de salida.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML para poner tras el texto de salida.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Nombre que tiene el campo ID <i>n</i> en la base de datos. El campo puede ser de cualquier grupo.</li>
		<li><tt>{ID_MSG}</tt> - Identificador del mensaje actual.</li>
		<li><tt>{BOARDURL}</tt> - URL al directorio del foro.</li>
		<li><tt>{SCRIPTURL}</tt> - Sitio web del foro.</li>
		<li><tt>{IMAGES_URL}</tt> - URL al directorio de imágenes en el tema del usuario actual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL al directorio de imágenes del tema por defecto.</li>
	</ul>
	En PHP puedes además usar las siguientes funciones:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en un mensaje.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en el índice de mensajes.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>, \'</tt><i>tipo</i><tt>\', \'</tt><i>params</i><tt>\')</tt> - Muestra las estadísticas del grupo de un mensaje (si están activadas). El parámetro <i>tipo</i> puede ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Muestra el gráfico con valor medio. El parámetro <i>params</i> indica características del gráfico. Valores permitidos: <tt>average</tt> (muestra el valor medio), <tt>minmax</tt> (muestra el menor y mayor valor permitido), <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>chart_hbars</tt> - Muestra el gráfico con barras horizontales. El parámetro <i>params</i> no se utiliza.</li>
				<li><tt>chart_vbars</tt> - Muestra el gráfico con barras verticales. El parámetro <i>params</i> indica características del gráfico. Valores permitidos: <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>summary</tt> - Muestra el resumen. El parámetro <i>params</i> indica los valores a mostrar, separados por comas. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor más frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (número de valores).</li>
				<li><tt>value</tt> - Muestra un valor del resumen. El parámetro <i>params</i> indica el valor a mostrar. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor más frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (número de valores).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'La máscara de entrada es importante para la seguridad de su foro. Validar la entrada de un usuario puede ayudar a asegurar que los datos no se utilizan de una manera que no esperamos. Hemos proporcionado algunas expresiones regulares simples como sugerencias.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		"[A-Za-z]+" - Emparejar todas las letras mayúsculas y minúsculas.<br />
		"[0-9]+" - Emparejar todos los carácteres numéricos.<br />
		"[A-Za-z0-9]{7}" - Emparejar las letras mayúsculas y minúsculas y carácteres numéricos siete veces.<br />
		"[^0-9]?" - Prohibir cualquier número.<br />
		"^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$" - Solo permitir 3 o 6 carácteres haxadecimales.<br />
	</div><br /><br />
	Además, se pueden utilizar metacarácteres especiales ?+*^$ y {xx}.
	<div class="smalltext" style="margin: 0 2em">
		? - Ninguna o una ocurrencia de la expresión anterior.<br />
		+ - Una o más ocurrencias de la expresión anterior.<br />
		* - Ninguna o más ocurrencias de la expresión anterior.<br />
		{xx} - Un número exacto de ocurrencias de la expresión anterior.<br />
		{xx,} - Un número exacto de ocurrencias o más de la expresión anterior.<br />
		{,xx} - Un número exacto de ocurrencias o menos de la expresión anterior.<br />
		{xx,yy} - Un número de ocurrencias entre los dos números de la expresión anterior.<br />
		^ - Inicio de la cadena.<br />
		$ - Fin de la cadena.<br />
		\\ - Escapa el siguiente carácter.<br />
	</div><br /><br />
	Se pueden encontrar más información y técnicas avanzadas en Internet.';
$helptxt['cffp_fieldtype'] = 'Los tipos de campos que se pueden crear son:<br />
	<ul class="normallist">
		<li>Texto: Campo en el que se puede escribir texto de una línea.</li>
		<li>Texto largo: Campo que permite escribir texto multilínea.</li>
		<li>Lista desplegable: Campo que muestra un menú de opciones a seleccionar. El campo puede ser de selección simple (solo se puede seleccionar una opción) o múltiple (permite seleccionar varias opciones a la vez).</li>
		<li>Cuadro combinado: Combinación de una lista desplegable (de selección simple o múltiple) y un campo de texto, lo que permite escribir un valor (o valores separados por coma) o elegir de una lista de opciones.</li>
		<li>Botones de selección: Conjunto de opciones de entre las que solo se puede elegir una.</li>
		<li>Casillas de verificación: Conjunto de opciones de entre las que se pueden elegir varias a la vez.</li>
		<li>Lógico: Una sola casilla de verificación que puede seleccionarse (valor "cierto") o no (valor "falso").</li>
	</ul>';
$helptxt['cffp_options'] = 'Esta sección define las opciones que un usuario puede elegir de una lista desplegable, cuadro combinado, botones de selección o casillas de verificación. Hay varios puntos claves a tener en cuenta en esta sección:<br />
	<ul class="normallist">
		<li>Opciones por defecto: Aquellas opciones que tengan un "botón de selección" (solo puede ser una) o "casilla de verificación" (pueden ser varias) seleccionada serán las selecciones por defecto para el usuario cuando éste introduzca datos.</li>
		<li>Eliminar opciones: Para eliminar una opción simplemente vacía el cuadro de texto de esa opción -todos los mensajes que la tengan seleccionada tendrán su opción eliminada.</li>
		<li>Reordenar opciones: Puedes reordenar opciones moviendo texto entre los cuadros de texto. Sin embargo -una nota importante- debes asegurarte de <strong>no</strong> cambiar el texto al reordenar las opciones o bien los datos del mensaje se perderán.</li>
		<li>Texto (disponible si el botón no es un cuadro combinado): Una opción puede mostrarse con valor real o con un texto que tenga más significado para el usuario.</li>
		<li>Añadir varias opciones: Permite añadir varias opciones de una sola vez, escribiendo cada opción en una línea del campo de texto largo. Cada opción tiene valor y, si el botón no es un cuadro combinado, texto, separados por coma. El texto es opcional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'Código JavaScript a ejecutar cuando se crea o modifica un grupo de campos.<br />
	Permite ejecutar código cuando se produce un evento sobre un botón de formulario u otro elemento HTML.<br />
	Esto puede ser escrito así:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>nombre_elemento_html</i><tt>)[0].</tt><i>nombre_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>id_elemento_html</i><tt>).</tt><i>nombre_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	Por ejemplo, este código muestra un mensaje cuando el usuario hace clic en el botón <tt>id1</tt> y copia el valor del botón <tt>id2</tt> en el asunto cuando el usuario cambia este valor:<br />
	<br />
	<tt>document.getElementById(\'id1\').onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(\'Un mensaje\');<br />
	}<br />
	document.getElementById(\'id2\').onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(\'subject\')[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Texto utilizado al visualizar el contenido de los campos del grupo.<br />
	Puedes usar las siguientes variables:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Nombre del campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Valor del campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Nombre que tiene el campo ID <i>n</i> en la base de datos. El campo puede ser de cualquier grupo.</li>
		<li><tt>{ID_MSG}</tt> - Identificador del mensaje actual.</li>
		<li><tt>{BOARDURL}</tt> - URL al directorio del foro.</li>
		<li><tt>{SCRIPTURL}</tt> - Sitio web del foro.</li>
		<li><tt>{IMAGES_URL}</tt> - URL al directorio de imágenes en el tema del usuario actual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL al directorio de imágenes del tema por defecto.</li>
	</ul>
	En PHP puedes además usar las siguientes funciones:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en un mensaje.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en el índice de mensajes.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>, \'</tt><i>tipo</i><tt>\', \'</tt><i>params</i><tt>\')</tt> - Muestra las estadísticas del grupo de un mensaje (si están activadas). El parámetro <i>tipo</i> puede ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Muestra el gráfico con valor medio. El parámetro <i>params</i> indica características del gráfico. Valores permitidos: <tt>average</tt> (muestra el valor medio), <tt>minmax</tt> (muestra el menor y mayor valor permitido), <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>chart_hbars</tt> - Muestra el gráfico con barras horizontales. El parámetro <i>params</i> no se utiliza.</li>
				<li><tt>chart_vbars</tt> - Muestra el gráfico con barras verticales. El parámetro <i>params</i> indica características del gráfico. Valores permitidos: <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>summary</tt> - Muestra el resumen. El parámetro <i>params</i> indica los valores a mostrar, separados por comas. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor más frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (número de valores).</li>
				<li><tt>value</tt> - Muestra un valor del resumen. El parámetro <i>params</i> indica el valor a mostrar. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor más frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (número de valores).</li>
			</ul></li>
	</ul>
	Vacía el campo de texto para borrar la plantilla. Si no se define plantilla los campos se visualizarán con su nombre y contenido.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Texto utilizado al crear un registro.<br />
	Permite rellenar todos los campos de una sola vez, escribiendo todos los valores en un solo campo, denominado <strong>Campo de introducción rápida</strong>, siguiendo una plantilla o expresión regular.<br />
	La expresión regular debe ser compatible con JavaScript. Se utiliza en el método <tt>String.match(regex)</tt> y debe obtenerse un array con los valores de los campos a partir del índice 1.<br />
	Los parámetros de la plantilla consisten en líneas de texto:<br />
	<ul class="normallist">
		<li>Para cada elemento del array obtenido con la expresión regular se añade una línea con el ID del campo correspondiente.</li>
		<li>Las líneas siguen el orden del array.</li>
		<li>Si un elemento del array no se corresponde con ningún campo, contiene texto que no se utiliza y en la línea se escribe un 0.</li>
		<li>Si es necesario dar formato a un valor antes de copiarlo en su campo, debajo de la línea que contiene el ID del campo se añade otra línea con el código JavaScript que transforma el valor. La variable <tt>value</tt> contiene el valor original y debe contener el valor transformado. Con el array <tt>field_obj</tt>, indexado por ID de campo, se tiene acceso a todos los campos de formulario del registro.</li>
	</ul>
	Por ejemplo, si el registro tiene estos campos<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Nombre</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Nombre del autor</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Apellido del autor</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	se define<br />
	<br />
	Expresión regular: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Parámetros:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i < x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(" ");</tt><br />
	<br />
	y el usuario escribe<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	los campos se rellenarán así:<br />
	<br />
	ID DocBook: 24<br />
	Nombre del autor: Lewis<br />
	Apellido del autor: Carroll';

?>