<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $helptxt;
global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$helptxt['cffp_grouptype'] = 'Un grupo de campos puede ser de tipo:<br />
	<ul class="normallist">
		<li>Campos sueltos: Sus campos se a&ntilde;aden a un mensaje para suministrar informaci&oacute;n extra. Al buscar datos en los campos sueltos de un mensaje se obtiene un listado de mensajes.</li>
		<li>Registro: Es un conjunto de campos que representa una entidad independiente del mensaje. Al buscar datos en los campos de un registro el resultado es un listado de registros. El cuerpo del mensaje no puede dejarse vac&iacute;o pero un mensaje con registro no necesita tener cuerpo. Si el usuario va a a&ntilde;adir un registro y el cuerpo del mensaje est&aacute; vac&iacute;o, el sistema escribe un punto (&quot;.&quot;) en &eacute;l y el usuario no necesita escribir nada.</li>
		<li>Campos con varios valores por usuario: Es un conjunto de campos en los que varios usuarios pueden introducir valores diferentes. Esto se puede utilizar para que los usuarios hagan comentarios o valoraciones sobre el mensaje. Si estos campos se localizan solo en el primer mensaje de un tema, pueden mostrarse como pertenecientes al tema.</li>
		<li>Filtros: Es un tipo especial de grupo sin campos. Se utiliza para habilitar un conjunto de filtros predefinidos que se pueden utilizar sobre temas y mensajes.</li>
	</ul>';
$helptxt['cffp_type_filter'] = 'El tipo de bot&oacute;n del filtro depende del tipo de campo:<br />
	<ul class="normallist">
		<li>El filtro para los campos de tipo texto o texto largo es un campo de texto donde escribir el texto a buscar, o una lista desplegable para obtener datos con ese campo vac&iacute;o o no vac&iacute;o.</li>
		<li>Los campos de tipo lista desplegable, cuadro combinado, botones de selecci&oacute;n o casillas de verificaci&oacute;n tienen por filtro un campo de texto, una lista desplegable o un cuadro combinado donde escribir o seleccionar el texto a buscar, o una lista desplegable para obtener datos con ese campo vac&iacute;o o no vac&iacute;o.</li>
		<li>Para los campos de tipo l&oacute;gico el filtro es una lista desplegable con los valores &quot;S&iacute;&quot; y &quot;No&quot;.</li>
	</ul>
	Si el usuario puede modificar un campo, ese campo puede estar vac&iacute;o y su filtro es una lista desplegable o un cuadro combinado, ver&aacute; una opci&oacute;n en la lista para obtener datos con ese campo vac&iacute;o.<br />
	El filtro con campo de texto permite buscar palabras sueltas (separadas por espacios) y utilizar estos modificadores:<br />
	<ul class="normallist">
		<li><tt>&quot;</tt> (comillas dobles) - Busca la frase literal que encierra. Por ejemplo, <tt>&quot;edificio m&aacute;s alto&quot;</tt></li>
		<li><tt>-</tt> (signo menos) - Se pone delante de la palabra o frase literal que no se desea buscar. Por ejemplo, <tt>jaquar velocidad -coche</tt></li>
		<li><tt>OR</tt> - Entre palabras y/o frases literales, busca la ocurrencia de una u otra. Por ejemplo, <tt>marat&oacute;n OR carrera</tt></li>
	</ul>
	Si el filtro es de tipo texto o cuadro combinado, por defecto se busca que el texto est&eacute; contenido en el valor del campo, mientras que si el filtro es de tipo lista desplegable se busca que el texto coincida con el valor del campo.';
$helptxt['cffp_stats'] = 'Si un grupo de tipo &quot;campos con varios valores por usuario&quot; tiene un solo campo y es de tipo lista desplegable, botones de selecci&oacute;n o casillas de verificaci&oacute;n (es decir, hay un n&uacute;mero finito de valores permitidos), se pueden generar datos estad&iacute;sticos a partir de los valores introducidos en su campo.<br />
	Los datos estad&iacute;sticos a mostrar pueden ser:<br />
	<ul class="normallist">
		<li>Gr&aacute;fico con valor medio: Consiste en una barra horizontal donde se localizan el valor medio, el menor valor permitido y el mayor valor permitido.</li>
		<li>Gr&aacute;fico con barras horizontales: Representa el uso de cada valor permitido a trav&eacute;s de barras horizontales.</li>
		<li>Gr&aacute;fico con barras verticales: Representa el uso de cada valor permitido a trav&eacute;s de barras verticales.</li>
		<li>Resumen: Conjunto de datos obtenidos a partir de los valores introducidos (valor medio, suma, mayor y menor valor permitido, mayor y menor valor utilizado, valor m&aacute;s y menos frecuente, n&uacute;mero de valores).</li>
	</ul>
	El usuario ve estos datos solo si tiene permiso. El &iacute;ndice de mensajes se puede ordenar por los datos del resumen, si se tiene permiso para ordenar por el campo.<br />
	Con ayuda de las plantillas se pueden insertar los datos estad&iacute;sticos de cualquier grupo de campos en otro lugar.';
$helptxt['cffp_search_page'] = (!$smf_version_1 ? 'Bajo la opci&oacute;n &quot;Buscar&quot; del men&uacute; del foro se localizan' : 'La opci&oacute;n &quot;Buscar mensajes y registros&quot; del men&uacute; del foro da acceso a') . ' las p&aacute;ginas de b&uacute;squeda, que muestran los grupos y sus campos sobre los que se tiene permiso de b&uacute;squeda.<br />
	Los grupos de tipo &quot;campos sueltos&quot;, &quot;campos con varios valores por usuario&quot; y &quot;filtros&quot; pueden estar en varias p&aacute;ginas de b&uacute;squeda, y cada p&aacute;gina contener varios grupos, con la &uacute;nica condici&oacute;n de que los grupos de una p&aacute;gina est&eacute;n permitidos en un conjunto com&uacute;n de mensajes. Como resultado de la b&uacute;squeda se obtiene un listado de mensajes.<br />
	Para cada grupo de tipo &quot;registro&quot; que tenga permiso de b&uacute;squeda hay una sola p&aacute;gina. Como resultado se obtiene un listado de registros con las columnas indicadas al definir los campos.';
$helptxt['cffp_counter'] = 'En la informaci&oacute;n sobre el usuario se puede mostrar el n&uacute;mero de cada tipo de registro creado por ese usuario.<br />
	Esto puede verse en varias zonas, como el perfil de usuario y la informaci&oacute;n del usuario que crea cada mensaje.<br />
	&quot;Centro de Administraci&oacute;n SMF &gt; Mantenimiento del Foro &gt; ' . (!$smf_version_1 ? 'Rutina' : 'Mantenimiento General') . ' &gt; Volver a contar los totales y las estad&iacute;sticas de todos los foros&quot; tambi&eacute;n vuelve a contar el n&uacute;mero de cada tipo de registro creado por los usuarios.<br />
	Adem&aacute;s, en las estad&iacute;sticas puede mostrarse el n&uacute;mero total de registros creados de cada tipo.<br />
	Pueden crearse grupos de usuario basados en el n&uacute;mero de cada tipo de registro, en &quot;Centro de Administraci&oacute;n SMF &gt; Grupos de usuarios &gt; Basados en n&uacute;mero de registros&quot;.';
$helptxt['cffp_top_poster'] = 'En el Centro de Estad&iacute;sticas se pueden mostrar los 10 usuarios que m&aacute;s registros de cada tipo publican.';
$helptxt['cffp_profile_list'] = 'En el perfil del usuario, bajo la secci&oacute;n &quot;Informaci&oacute;n del Perfil &gt; Mostrar Mensajes&quot;, se puede mostrar un listado para cada grupo de tipo &quot;registro&quot;, con los mensajes publicados por el usuario que contengan ese tipo de grupo.';
if (!$smf_version_1)
{
	$helptxt['cffp_moderation_list'] = 'En el Centro de Moderaci&oacute;n es posible controlar el contenido publicado por los usuarios en los grupos de tipo &quot;campos con varios valores por usuario&quot;.<br />
	Para cada grupo en el que se haya elegido mostrar este listado aparecer&aacute; un acceso al listado bajo la secci&oacute;n &quot;Mensajes &gt; Grupos de campos en mensajes&quot; y, opcionalmente, un enlace bajo la opci&oacute;n &quot;Moderar&quot; del men&uacute; del foro.';
}
else
{
	$helptxt['cffp_moderation_list'] = 'Los moderadores globales pueden controlar el contenido publicado por los usuarios en los grupos de tipo &quot;campos con varios valores por usuario&quot;.<br />
	La opci&oacute;n &quot;Moderar los grupos de campos en mensajes&quot; del men&uacute; del foro da acceso a los listados con los datos publicados, uno por cada grupo en el que se haya elegido mostrar este listado.';
}
$helptxt['cffp_reattribute'] = 'Permite adjudicar a un usuario registrado grupos de campos publicados por un usuario an&oacute;nimo u otro usuario registrado.';
$helptxt['cffp'] = '<b>Campos y filtros personalizados de mensaje</b><br />
	Permite a&ntilde;adir diferentes grupos de campos personalizados a los mensajes del foro y filtros sobre campos de los mensajes.<br />
	' . $helptxt['cffp_grouptype'] . '
	Los filtros predefinidos disponibles son:<br />
	<ul class="normallist">
		<li>Foros.</li>
		<li>Tipos de registro.</li>
		<li>Asunto.</li>
		<li>Comienzo del asunto.</li>
		<li>Primer car&aacute;cter del asunto.</li>
		<li>Fecha del tema / Fecha de publicaci&oacute;n.</li>
		<li>Fecha de la &uacute;ltima respuesta / Fecha de publicaci&oacute;n.</li>
		<li>Publicado por.</li>
		<li>Tema con mensajes nuevos / Nuevo.</li>
		<li>Fijado.</li>
		<li>Bloqueado.</li>
		<li>Respuestas.</li>
		<li>Encuesta.</li>
	</ul>
	Las acciones a realizar sobre un grupo de campos personalizados son: ver, a&ntilde;adir, modificar, eliminar y mover.<br />
	Adem&aacute;s es posible realizar otras acciones utilizando los campos personalizados:<br />
	<ul class="normallist">
		<li>Filtrar el &iacute;ndice de mensajes.</li>
		<li>Ordenar el &iacute;ndice de mensajes.</li>
		<li>Mostrar estad&iacute;sticas.</li>
		<li>Buscar en campos de mensajes, obteniendo un listado de mensajes.</li>
		<li>Buscar en campos de registros, obteniendo un listado de registros.</li>
	</ul>
	<br />
	<b>Panel de administraci&oacute;n</b><br />
	El panel de administraci&oacute;n contiene el listado de grupos de campos personalizados, que permite a&ntilde;adir nuevos grupos, modificar o borrar los grupos existentes, agregar, modificar o borrar los campos de un grupo y definir las plantillas para visualizar esos campos en un mensaje y en el &iacute;ndice de mensajes.<br />
	<br />
	<b>Visualizaci&oacute;n de mensajes con campos personalizados</b><br />
	Al visualizar un mensaje completo (en un tema, en mensajes recientes o en el perfil del usuario) se muestran sus grupos (los que se han activado al crear o modificar el mensaje). Los grupos de tipo &quot;campos sueltos&quot; y &quot;registro&quot; se muestran encima del cuerpo del mensaje, mientras que los grupos de tipo &quot;campos con varios valores por usuario&quot; se muestran debajo, a no ser que haya seleccionado &quot;Mostrar como grupo de campos del tema&quot; y entonces se muestran al comienzo y/o final del tema. Si un grupo tiene plantilla para mensajes los campos se muestran seg&uacute;n la plantilla, si no se muestran con su nombre y contenido.<br />
	En los listados de mensajes (&iacute;ndice de mensajes, mensajes no le&iacute;dos y nuevas respuestas) se muestran los grupos con campos visibles en el &iacute;ndice de mensajes (seg&uacute;n permisos). Si un grupo tiene plantilla para el &iacute;ndice de mensajes los campos se muestran seg&uacute;n la plantilla, si no se muestran con su nombre y contenido.<br />
	<br />
	<b>Modificaci&oacute;n de valores en campos personalizados</b><br />
	En un tema, los mensajes con grupos de tipo &quot;campos con varios valores por usuario&quot; tienen botones para que el usuario publique nuevos valores, y modifique o elimine los existentes.<br />
	Para el resto de grupos (&quot;campos sueltos&quot; y &quot;registro&quot;), al crear o modificar el mensaje se muestran los grupos permitidos. Los grupos de tipo &quot;campos sueltos&quot; siempre tienen sus campos visibles, mientras que los grupos de tipo &quot;registro&quot; tienen una casilla de verificaci&oacute;n para mostrar u ocultar sus campos. Si en un registro se ha creado plantilla para la introducci&oacute;n r&aacute;pida se muestra el <strong>Campo de introducci&oacute;n r&aacute;pida</strong> despu&eacute;s de los campos del registro.<br />
	<br />
	<b>Mover un grupo de campos personalizados a otro mensaje</b><br />
	Un grupo de campos puede necesitar ser asignado a otro mensaje, por ejemplo antes de eliminar el mensaje donde est&eacute; el grupo.<br />
	Si el usuario posee permiso para mover un grupo, al visualizar un tema ese grupo tendr&aacute; botones para moverlo al primer mensaje del tema o a otro mensaje (o a otro tema si el grupo es de tipo &quot;campos con varios valores por usuario&quot; y tiene seleccionado &quot;Mostrar como grupo de campos del tema&quot;).<br />
	<br />
	<b>Filtrar el &iacute;ndice de mensajes</b><br />
	Si el usuario tiene permiso para filtrar por un campo, se muestra un bot&oacute;n en el &iacute;ndice de mensajes para filtrar los temas por ese campo.<br />
	' . $helptxt['cffp_type_filter'] . '<br />
	Adem&aacute;s, con un grupo de tipo &quot;filtros&quot; se pueden a&ntilde;adir filtros predefinidos.<br />
	Los filtros pueden ser del mismo grupo de campos o de diferentes grupos.<br />
	A continuaci&oacute;n de los filtros hay un bot&oacute;n para activar los filtros a los que se les haya dado alg&uacute;n valor. Como resultado se obtiene el &iacute;ndice de mensajes con los temas cuyo primer mensaje concuerda con todos los filtros activos.<br />
	<br />
	<b>Ordenar el &iacute;ndice de mensajes</b><br />
	Si el usuario tiene permiso para ordenar por uno o m&aacute;s campos, se muestra una lista desplegable en el &iacute;ndice de mensajes para ordenar los temas por uno de esos campos.<br />
	<br />
	<b>Mostrar estad&iacute;sticas</b><br />
	' . $helptxt['cffp_stats'] . '<br />
	<br />
	<b>Buscar en campos</b><br />
	' . $helptxt['cffp_search_page'] . '<br />
	En ambos casos los botones utilizados en cada campo de b&uacute;squeda siguen la misma regla que en los filtros.<br />
	<br />
	<b>Contador en la informaci&acute;n sobre el usuario</b><br />
	' . $helptxt['cffp_counter'] . '<br />
	<br />
	<b>Usuarios que m&aacute;s publican en las estad&iacute;sticas</b><br />
	' . $helptxt['cffp_top_poster'] . '<br />' . (!$smf_version_1 ? '
	<br />
	<b>Listado en el perfil del usuario</b><br />
	' . $helptxt['cffp_profile_list'] . '<br />' : '') . '
	<br />
	<b>' . (!$smf_version_1 ? 'Listado en el Centro de Moderaci&oacute;n' : 'Listado de moderaci&oacute;n') . '</b><br />
	' . $helptxt['cffp_moderation_list'] . (!$smf_version_1 ? '<br />
	<br />
	<b>Volver a adjudicar grupos de usuario</b><br />
	' . $helptxt['cffp_reattribute'] . '<br />
	Esto se encuentra en &quot;Centro de Administraci&oacute;n SMF &gt; Mantenimiento del Foro &gt; Miembros &gt; Volver a adjudicar grupos de usuario&quot;.' : '');
$helptxt['cffp_enclose'] = 'Encierra la entrada de usuario dentro de cierto texto (creado con HTML, BBC o PHP). Esto te permitir&aacute; a&ntilde;adir m&aacute;s proveedores de mensajer&iacute;a instant&aacute;nea, im&aacute;genes, etc. Por ejemplo:<br />
	<br />
	&lt;a href=&quot;http://website.com/{INPUT}&quot;&gt;&lt;img src=&quot;{DEFAULT_IMAGES_URL}/icon.gif&quot; alt=&quot;{INPUT}&quot; /&gt;&lt;/a&gt;<br />
	<br />
	Ten en cuenta que puedes usar las siguientes variables:<br />
	<ul class="normallist">
		<li><tt>{INPUT}</tt> - Entrada especificada por el usuario.</li>
		<li><tt>{TEXT_PREVIOUS}</tt> - HTML para poner antes del texto de salida.</li>
		<li><tt>{TEXT_NEXT}</tt> - HTML para poner tras el texto de salida.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Nombre que tiene el campo ID <i>n</i> en la base de datos. El campo puede ser de cualquier grupo.</li>
		<li><tt>{ID_MSG}</tt> - Identificador del mensaje actual.</li>
		<li><tt>{BOARDURL}</tt> - URL al directorio del foro.</li>
		<li><tt>{SCRIPTURL}</tt> - Sitio web del foro.</li>
		<li><tt>{IMAGES_URL}</tt> - URL al directorio de im&aacute;genes en el tema del usuario actual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL al directorio de im&aacute;genes del tema por defecto.</li>
	</ul>
	En PHP puedes adem&aacute;s usar las siguientes funciones:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en un mensaje.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en el &iacute;ndice de mensajes.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>, &apos;</tt><i>tipo</i><tt>&apos;, &apos;</tt><i>params</i><tt>&apos;)</tt> - Muestra las estad&iacute;sticas del grupo de un mensaje (si est&aacute;n activadas). El par&aacute;metro <i>tipo</i> puede ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Muestra el gr&aacute;fico con valor medio. El par&aacute;metro <i>params</i> indica caracter&iacute;sticas del gr&aacute;fico. Valores permitidos: <tt>average</tt> (muestra el valor medio), <tt>minmax</tt> (muestra el menor y mayor valor permitido), <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>chart_hbars</tt> - Muestra el gr&aacute;fico con barras horizontales. El par&aacute;metro <i>params</i> no se utiliza.</li>
				<li><tt>chart_vbars</tt> - Muestra el gr&aacute;fico con barras verticales. El par&aacute;metro <i>params</i> indica caracter&iacute;sticas del gr&aacute;fico. Valores permitidos: <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>summary</tt> - Muestra el resumen. El par&aacute;metro <i>params</i> indica los valores a mostrar, separados por comas. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor m&aacute;s frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (n&uacute;mero de valores).</li>
				<li><tt>value</tt> - Muestra un valor del resumen. El par&aacute;metro <i>params</i> indica el valor a mostrar. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor m&aacute;s frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (n&uacute;mero de valores).</li>
			</ul></li>
	</ul>';
$helptxt['cffp_mask'] = 'La m&aacute;scara de entrada es importante para la seguridad de su foro. Validar la entrada de un usuario puede ayudar a asegurar que los datos no se utilizan de una manera que no esperamos. Hemos proporcionado algunas expresiones regulares simples como sugerencias.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		&quot;[A-Za-z]+&quot; - Emparejar todas las letras may&uacute;sculas y min&uacute;sculas.<br />
		&quot;[0-9]+&quot; - Emparejar todos los car&aacute;cteres num&eacute;ricos.<br />
		&quot;[A-Za-z0-9]{7}&quot; - Emparejar las letras may&uacute;sculas y min&uacute;sculas y car&aacute;cteres num&eacute;ricos siete veces.<br />
		&quot;[^0-9]?&quot; - Prohibir cualquier n&uacute;mero.<br />
		&quot;^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$&quot; - Solo permitir 3 o 6 car&aacute;cteres haxadecimales.<br />
	</div><br /><br />
	Adem&aacute;s, se pueden utilizar metacar&aacute;cteres especiales ?+*^$ y {xx}.
	<div class="smalltext" style="margin: 0 2em">
		? - Ninguna o una ocurrencia de la expresi&oacute;n anterior.<br />
		+ - Una o m&aacute;s ocurrencias de la expresi&oacute;n anterior.<br />
		* - Ninguna o m&aacute;s ocurrencias de la expresi&oacute;n anterior.<br />
		{xx} - Un n&uacute;mero exacto de ocurrencias de la expresi&oacute;n anterior.<br />
		{xx,} - Un n&uacute;mero exacto de ocurrencias o m&aacute;s de la expresi&oacute;n anterior.<br />
		{,xx} - Un n&uacute;mero exacto de ocurrencias o menos de la expresi&oacute;n anterior.<br />
		{xx,yy} - Un n&uacute;mero de ocurrencias entre los dos n&uacute;meros de la expresi&oacute;n anterior.<br />
		^ - Inicio de la cadena.<br />
		$ - Fin de la cadena.<br />
		\\ - Escapa el siguiente car&aacute;cter.<br />
	</div><br /><br />
	Se pueden encontrar m&aacute;s informaci&oacute;n y t&eacute;cnicas avanzadas en Internet.';
$helptxt['cffp_fieldtype'] = 'Los tipos de campos que se pueden crear son:<br />
	<ul class="normallist">
		<li>Texto: Campo en el que se puede escribir texto de una l&iacute;nea.</li>
		<li>Texto largo: Campo que permite escribir texto multil&iacute;nea.</li>
		<li>Lista desplegable: Campo que muestra un men&uacute; de opciones a seleccionar. El campo puede ser de selecci&oacute;n simple (solo se puede seleccionar una opci&oacute;n) o m&uacute;ltiple (permite seleccionar varias opciones a la vez).</li>
		<li>Cuadro combinado: Combinaci&oacute;n de una lista desplegable (de selecci&oacute;n simple o m&uacute;ltiple) y un campo de texto, lo que permite escribir un valor (o valores separados por coma) o elegir de una lista de opciones.</li>
		<li>Botones de selecci&oacute;n: Conjunto de opciones de entre las que solo se puede elegir una.</li>
		<li>Casillas de verificaci&oacute;n: Conjunto de opciones de entre las que se pueden elegir varias a la vez.</li>
		<li>L&oacute;gico: Una sola casilla de verificaci&oacute;n que puede seleccionarse (valor &quot;cierto&quot;) o no (valor &quot;falso&quot;).</li>
	</ul>';
$helptxt['cffp_options'] = 'Esta secci&oacute;n define las opciones que un usuario puede elegir de una lista desplegable, cuadro combinado, botones de selecci&oacute;n o casillas de verificaci&oacute;n. Hay varios puntos claves a tener en cuenta en esta secci&oacute;n:<br />
	<ul class="normallist">
		<li>Opciones por defecto: Aquellas opciones que tengan un &quot;bot&oacute;n de selecci&oacute;n&quot; (solo puede ser una) o &quot;casilla de verificaci&oacute;n&quot; (pueden ser varias) seleccionada ser&aacute;n las selecciones por defecto para el usuario cuando &eacute;ste introduzca datos.</li>
		<li>Eliminar opciones: Para eliminar una opci&oacute;n simplemente vac&iacute;a el cuadro de texto de esa opci&oacute;n -todos los mensajes que la tengan seleccionada tendr&aacute;n su opci&oacute;n eliminada.</li>
		<li>Reordenar opciones: Puedes reordenar opciones moviendo texto entre los cuadros de texto. Sin embargo -una nota importante- debes asegurarte de <strong>no</strong> cambiar el texto al reordenar las opciones o bien los datos del mensaje se perder&aacute;n.</li>
		<li>Texto (disponible si el bot&oacute;n no es un cuadro combinado): Una opci&oacute;n puede mostrarse con valor real o con un texto que tenga m&aacute;s significado para el usuario.</li>
		<li>A&ntilde;adir varias opciones: Permite a&ntilde;adir varias opciones de una sola vez, escribiendo cada opci&oacute;n en una l&iacute;nea del campo de texto largo. Cada opci&oacute;n tiene valor y, si el bot&oacute;n no es un cuadro combinado, texto, separados por coma. El texto es opcional.</li>
	</ul>';
$helptxt['cffp_javascript'] = 'C&oacute;digo JavaScript a ejecutar cuando se crea o modifica un grupo de campos.<br />
	Permite ejecutar c&oacute;digo cuando se produce un evento sobre un bot&oacute;n de formulario u otro elemento HTML.<br />
	Esto puede ser escrito as&iacute;:<br />
	<br />
	<tt>document.getElementsByName(</tt><i>nombre_elemento_html</i><tt>)[0].</tt><i>nombre_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}<br />
	document.getElementById(</tt><i>id_elemento_html</i><tt>).</tt><i>nombre_evento</i><tt> = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;// ...<br />
	}</tt><br />
	<br />
	Por ejemplo, este c&oacute;digo muestra un mensaje cuando el usuario hace clic en el bot&oacute;n <tt>id1</tt> y copia el valor del bot&oacute;n <tt>id2</tt> en el asunto cuando el usuario cambia este valor:<br />
	<br />
	<tt>document.getElementById(&apos;id1&apos;).onclick = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;alert(&apos;Un mensaje&apos;);<br />
	}<br />
	document.getElementById(&apos;id2&apos;).onchange = function (event)<br />
	{<br />
	&nbsp;&nbsp;&nbsp;&nbsp;document.getElementsByName(&apos;subject&apos;)[0].value = this.value;<br />
	}</tt>';
$helptxt['cffp_template_text'] = 'Texto utilizado al visualizar el contenido de los campos del grupo.<br />
	Puedes usar las siguientes variables:<br />
	<ul class="normallist">
		<li><tt>{FIELD_</tt><i>n</i><tt>_NAME}</tt> - Nombre del campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_VALUE}</tt> - Valor del campo ID <i>n</i>.</li>
		<li><tt>{FIELD_</tt><i>n</i><tt>_DATABASE}</tt> - Nombre que tiene el campo ID <i>n</i> en la base de datos. El campo puede ser de cualquier grupo.</li>
		<li><tt>{ID_MSG}</tt> - Identificador del mensaje actual.</li>
		<li><tt>{BOARDURL}</tt> - URL al directorio del foro.</li>
		<li><tt>{SCRIPTURL}</tt> - Sitio web del foro.</li>
		<li><tt>{IMAGES_URL}</tt> - URL al directorio de im&aacute;genes en el tema del usuario actual.</li>
		<li><tt>{DEFAULT_IMAGES_URL}</tt> - URL al directorio de im&aacute;genes del tema por defecto.</li>
	</ul>
	En PHP puedes adem&aacute;s usar las siguientes funciones:<br />
	<ul class="normallist">
		<li><tt>{SHOW_GROUP_MSG}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en un mensaje.</li>
		<li><tt>{SHOW_GROUP_MSGINDEX}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>)</tt> - Muestra el grupo de un mensaje como en el &iacute;ndice de mensajes.</li>
		<li><tt>{SHOW_GROUP_MSG_STATS}(</tt><i>ID_mensaje</i><tt>, </tt><i>ID_grupo</i><tt>, &apos;</tt><i>tipo</i><tt>&apos;, &apos;</tt><i>params</i><tt>&apos;)</tt> - Muestra las estad&iacute;sticas del grupo de un mensaje (si est&aacute;n activadas). El par&aacute;metro <i>tipo</i> puede ser:
			<ul class="normallist">
				<li><tt>chart_average</tt> - Muestra el gr&aacute;fico con valor medio. El par&aacute;metro <i>params</i> indica caracter&iacute;sticas del gr&aacute;fico. Valores permitidos: <tt>average</tt> (muestra el valor medio), <tt>minmax</tt> (muestra el menor y mayor valor permitido), <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>chart_hbars</tt> - Muestra el gr&aacute;fico con barras horizontales. El par&aacute;metro <i>params</i> no se utiliza.</li>
				<li><tt>chart_vbars</tt> - Muestra el gr&aacute;fico con barras verticales. El par&aacute;metro <i>params</i> indica caracter&iacute;sticas del gr&aacute;fico. Valores permitidos: <tt>options_text</tt> (muestra el texto de las opciones).</li>
				<li><tt>summary</tt> - Muestra el resumen. El par&aacute;metro <i>params</i> indica los valores a mostrar, separados por comas. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor m&aacute;s frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (n&uacute;mero de valores).</li>
				<li><tt>value</tt> - Muestra un valor del resumen. El par&aacute;metro <i>params</i> indica el valor a mostrar. Valores permitidos: <tt>average</tt> (valor medio), <tt>sum</tt> (suma), <tt>max</tt> (mayor valor permitido), <tt>min</tt> (menor valor permitido), <tt>highest</tt> (mayor valor utilizado), <tt>lowest</tt> (menor valor utilizado), <tt>most_frequent</tt> (valor m&aacute;s frecuente), <tt>least_frequent</tt> (valor menos frecuente), <tt>total</tt> (n&uacute;mero de valores).</li>
			</ul></li>
	</ul>
	Vac&iacute;a el campo de texto para borrar la plantilla. Si no se define plantilla los campos se visualizar&aacute;n con su nombre y contenido.';
$helptxt['cffp_template_message_index_text'] = $helptxt['cffp_template_text'];
$helptxt['cffp_template_quick_input'] = 'Texto utilizado al crear un registro.<br />
	Permite rellenar todos los campos de una sola vez, escribiendo todos los valores en un solo campo, denominado <strong>Campo de introducci&oacute;n r&aacute;pida</strong>, siguiendo una plantilla o expresi&oacute;n regular.<br />
	La expresi&oacute;n regular debe ser compatible con JavaScript. Se utiliza en el m&eacute;todo <tt>String.match(regex)</tt> y debe obtenerse un array con los valores de los campos a partir del &iacute;ndice 1.<br />
	Los par&aacute;metros de la plantilla consisten en l&iacute;neas de texto:<br />
	<ul class="normallist">
		<li>Para cada elemento del array obtenido con la expresi&oacute;n regular se a&ntilde;ade una l&iacute;nea con el ID del campo correspondiente.</li>
		<li>Las l&iacute;neas siguen el orden del array.</li>
		<li>Si un elemento del array no se corresponde con ning&uacute;n campo, contiene texto que no se utiliza y en la l&iacute;nea se escribe un 0.</li>
		<li>Si es necesario dar formato a un valor antes de copiarlo en su campo, debajo de la l&iacute;nea que contiene el ID del campo se a&ntilde;ade otra l&iacute;nea con el c&oacute;digo JavaScript que transforma el valor. La variable <tt>value</tt> contiene el valor original y debe contener el valor transformado. Con el array <tt>field_obj</tt>, indexado por ID de campo, se tiene acceso a todos los campos de formulario del registro.</li>
	</ul>
	Por ejemplo, si el registro tiene estos campos<br />
	<br />
	<table>
		<thead>
			<tr>
				<th>Nombre</th>
				<th>ID</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>ID DocBook</td>
				<td>3</td>
			</tr>
			<tr>
				<td>Nombre del autor</td>
				<td>1</td>
			</tr>
			<tr>
				<td>Apellido del autor</td>
				<td>2</td>
			</tr>
		</tbody>
	</table>
	<br />
	se define<br />
	<br />
	Expresi&oacute;n regular: <tt>/^(.+)\s+(.+)\s+(.+)\s*/</tt><br />
	Par&aacute;metros:<br />
	<tt>3<br />
	1<br />
	var x = value.split(/\s+/g); for (var i = 0; i &lt; x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(&quot; &apos;);<br />
	2<br />
	var x = value.split(/\s+/g); for (var i = 0; i &lt; x.length; i++) { var parts = x[i].match(/(\w)(\w*)/); x[i] = parts[1].toUpperCase() + parts[2].toLowerCase(); } value = x.join(&quot; &quot;);</tt><br />
	<br />
	y el usuario escribe<br />
	<br />
	<tt>24<br />
	LEWIS CARROLL</tt><br />
	<br />
	los campos se rellenar&aacute;n as&iacute;:<br />
	<br />
	ID DocBook: 24<br />
	Nombre del autor: Lewis<br />
	Apellido del autor: Carroll';

?>