<?php

/**
 * Custom fields and filters of post
 *
 * @package CustomFieldFilterPost
 * @version 2.0.3
 * @author davidhs
 * @copyright 2014-2020 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

global $forum_version;
$smf_version_1 = 0 === strpos($forum_version, 'SMF 1');
$txt['cffp'] = 'Custom fields and filters of post';
$txt['cffp_desc'] = 'Administration panel for the "Custom fields and filters of post" MOD';
$txt['cffp_settings_display'] = 'Display settings';
$txt['cffp_settings_input'] = 'Input settings';
$txt['cffp_settings_search'] = 'Filters and search settings';
$txt['cffp_settings_advanced'] = 'Advanced settings';
$txt['cffp_settings_grouptype'] = 'Settings for type "%s"'; // %s = group type.
$txt['cffp_field'] = 'Field';
$txt['cffp_fields'] = 'Fields';
$txt['cffp_group'] = 'Group';
$txt['cffp_group_of_fields'] = 'Group of fields';
$txt['cffp_none_field'] = 'You have not added any fields to the group!';
$txt['cffp_none_group'] = 'You have not created any groups of custom fields yet!';
$txt['cffp_order'] = 'Order';
$txt['cffp_order_desc'] = 'Display order.';
$txt['cffp_text'] = 'Text';
$txt['cffp_name'] = 'Name';
$txt['cffp_field_description'] = 'Field description';
$txt['cffp_field_description_desc'] = 'It is shown next to the name.';
$txt['cffp_field_long_description'] = 'Long description of field';
$txt['cffp_field_long_description_desc'] = 'It is shown above the button. Admits BBC.';
$txt['cffp_field_search_description'] = 'Field description on search page';
$txt['cffp_field_search_description_desc'] = 'It is shown next to the name.';
$txt['cffp_field_search_long_description'] = 'Long description of field on search page';
$txt['cffp_field_search_long_description_desc'] = 'It is shown above the button. Admits BBC.';
$txt['cffp_description'] = 'Description';
$txt['cffp_text_previous'] = 'Previous text';
$txt['cffp_text_previous_desc'] = 'HTML to put prior to the input button and the output text. If the field "Show enclosed within text" is used for output text must be written <tt>{TEXT_PREVIOUS}</tt> variable on it.';
$txt['cffp_text_next'] = 'Next text';
$txt['cffp_text_next_desc'] = 'HTML to put following the input button and the output text. If the field "Show enclosed within text" is used for output text must be written <tt>{TEXT_NEXT}</tt> variable on it.';
$txt['cffp_enclose'] = 'Show enclosed within text';
$txt['cffp_enclose_desc'] = 'We <strong>strongly</strong> recommend to use an input mask to validate the input supplied by the user.';
$txt['cffp_text_input_before'] = 'Text to be displayed before the group when entering data';
$txt['cffp_text_input_before_desc'] = 'Admits BBC.';
$txt['cffp_text_input'] = 'Text to be displayed when entering data';
$txt['cffp_text_input_desc'] = 'Admits BBC.';
$txt['cffp_text_output'] = 'Text to be displayed when viewing data';
$txt['cffp_text_output_desc'] = 'Admits BBC.';
$txt['cffp_type'] = 'Type';
$txt['cffp_type_filter'] = 'Type of filter';
$txt['cffp_type_filter_desc'] = 'Type of button used in the filter of message index and search pages.';
$txt['cffp_fieldtype'] = 'Type of field';
$txt['cffp_fieldtype_text'] = 'Text';
$txt['cffp_fieldtype_textarea'] = 'Large text';
$txt['cffp_fieldtype_select'] = 'Select box';
$txt['cffp_fieldtype_combobox'] = 'Combo box';
$txt['cffp_fieldtype_radio'] = 'Radio buttons';
$txt['cffp_fieldtype_check'] = 'Checkboxes';
$txt['cffp_fieldtype_boolean'] = 'Boolean';
$txt['cffp_grouptype'] = 'Type of group of fields';
$txt['cffp_grouptype_fields'] = 'Fields loose';
$txt['cffp_grouptype_record'] = 'Record';
$txt['cffp_grouptype_member'] = 'Fields with several values per member';
$txt['cffp_grouptype_filters'] = 'Filters';
$txt['cffp_length'] = 'Maximum length of data';
$txt['cffp_length_desc'] = '0 for no limit.';
$txt['cffp_length_text_desc'] = 'The button width is proportional to this value. If 0 or greater than or equal to 100 the button fills the width available.';
$txt['cffp_dimension'] = 'Dimensions';
$txt['cffp_dimension_row'] = 'Rows';
$txt['cffp_dimension_col'] = 'Columns';
$txt['cffp_dimension_col_desc'] = 'If "Columns" is 0 or greater than or equal to 100 the button fills the width available.';
$txt['cffp_mask'] = 'Input mask';
$txt['cffp_mask_desc'] = 'For text fields an input mask can be selected to validate the data.';
$txt['cffp_mask_email'] = 'Email';
$txt['cffp_mask_number'] = 'Numeric';
$txt['cffp_mask_nohtml'] = 'No HTML';
$txt['cffp_mask_regex'] = 'Regular expression (Advanced)';
$txt['cffp_select_multiple'] = 'Multiple selections';
$txt['cffp_select_size'] = 'Number of visible options';
$txt['cffp_allow_bbc'] = 'Allow BBC';
$txt['cffp_options'] = 'Options';
$txt['cffp_options_desc'] = 'Leave option box blank to remove. Radio button or checkbox selects default options.';
$txt['cffp_options_more'] = 'More';
$txt['cffp_options_add_multi'] = 'Add multiple options';
$txt['cffp_options_add_multi_desc'] = 'Write one option on each line. Each option has value and text, comma separated. Text is optional.';
$txt['cffp_options_add_multi_combo_desc'] = 'Write one option on each line';
$txt['cffp_default_value'] = 'Default value';
$txt['cffp_boards'] = 'Boards';
$txt['cffp_child_boards'] = 'Include child boards';
$txt['cffp_child_boards_until'] = 'Until %d level';
$txt['cffp_show_group_name_message_index'] = 'Show the name of the group on message index';
$txt['cffp_show_group_name_message_index_desc'] = 'If not selected the name of the group is not displayed on message index.';
$txt['cffp_show_group_name_filter'] = 'Show the name of the group in filters';
$txt['cffp_show_group_name_filter_desc'] = 'If not selected the name of the group of filters is not displayed on message index.';
$txt['cffp_show_group_name_search'] = 'Show the name of the group in search';
$txt['cffp_show_group_name_search_desc'] = 'If not selected the name of the group is not displayed in search.';
$txt['cffp_show_fields_name'] = 'Show the name of the fields';
$txt['cffp_show_fields_name_desc'] = 'If not selected the name is not displayed beside the fields of the group.';
$txt['cffp_show_fields_set'] = 'Show fields as a set';
$txt['cffp_show_fields_set_desc'] = 'If selected the fields are grouped under the group name.';
$txt['cffp_show_empty_fields_post'] = 'Show empty fields in post';
$txt['cffp_show_empty_fields_message_index'] = 'Show empty fields on message index';
$txt['cffp_show_poster_data'] = 'Show creation date on posted data';
$txt['cffp_show_modified_data'] = 'Show last modification date on modified data';
$txt['cffp_show_actions_as'] = 'Show actions as';
$txt['cffp_show_actions_as_button'] = 'Buttons';
$txt['cffp_show_actions_as_icon_text'] = 'Icons and text';
$txt['cffp_show_actions_as_icon'] = 'Icons';
$txt['cffp_show_actions_as_text'] = 'Text';
$txt['cffp_show_member_expanded'] = 'Show expanded';
$txt['cffp_show_member_expanded_data'] = 'Show expanded the posted data';
$txt['cffp_show_member_expanded_data_recent'] = 'Show expanded the most recent posted data';
$txt['cffp_show_member_expanded_data_recent_desc'] = '0 for all.';
$txt['cffp_show_member_expanded_new'] = 'Show expanded the new reply';
$txt['cffp_show_member_recent_at_top'] = 'Show most recent posted data at the top';
$txt['cffp_member_max_height'] = 'Maximum height of the area with posted data';
$txt['cffp_member_max_height_px'] = 'px';
$txt['cffp_member_max_height_desc'] = '0 for unlimited.';
$txt['cffp_member_one_value'] = 'Only one value per member';
$txt['cffp_member_one_value_desc'] = 'Each member can post data only once.';
$txt['cffp_show_stats'] = 'Show statistics';
$txt['cffp_stats'] = $txt['cffp_show_stats'];
$txt['cffp_show_stats_desc'] = 'The group must have only one field, type select box, radio buttons or checkboxes.';
$txt['cffp_show_stats_post'] = 'Show statistics in post';
$txt['cffp_show_stats_message_index'] = 'Show statistics on message index';
$txt['cffp_show_stats_text'] = 'Text to be displayed before';
$txt['cffp_show_stats_text_desc'] = 'Admits BBC.';
$txt['cffp_show_stats_chart_average'] = 'Show chart with average';
$txt['cffp_show_stats_chart_hbars'] = 'Show chart with horizontal bars';
$txt['cffp_show_stats_chart_vbars'] = 'Show chart with vertical bars';
$txt['cffp_show_stats_summary'] = 'Show summary';
$txt['cffp_show_stats_summary_average'] = 'Average value';
$txt['cffp_show_stats_summary_sum'] = 'Sum';
$txt['cffp_show_stats_summary_max'] = 'Highest allowed value';
$txt['cffp_show_stats_summary_min'] = 'Lowest allowed value';
$txt['cffp_show_stats_summary_highest'] = 'Highest used value';
$txt['cffp_show_stats_summary_lowest'] = 'Lowest used value';
$txt['cffp_show_stats_summary_most_frequent'] = 'Most frequent value';
$txt['cffp_show_stats_summary_least_frequent'] = 'Least frequent value';
$txt['cffp_show_stats_summary_total'] = 'Number of values';
$txt['cffp_show_stats_only_numeric'] = 'Only if the data are numeric';
$txt['cffp_show_stats_average'] = 'Show average value';
$txt['cffp_show_stats_minmax'] = 'Show lowest and highest allowed value';
$txt['cffp_show_stats_options_text'] = 'Show the text of options';
$txt['cffp_show_stats_order_by'] = 'Use statistics to order the message index';
$txt['cffp_show_sticky'] = 'Show in sticky topics';
$txt['cffp_show_locked'] = 'Show in locked topics';
$txt['cffp_show_first_post_topic'] = 'Show on the first post of topic';
$txt['cffp_show_replies_topic'] = 'Show on the replies of topic';
$txt['cffp_no_show_with_subject_prefix'] = 'No show on posts with subject prefix';
$txt['cffp_no_show_with_subject_prefix_desc'] = 'Separate prefixes by commas. Example: "Re:,RE:".';
$txt['cffp_show_in_topic'] = 'Show as group of fields of the topic';
$txt['cffp_show_in_topic_desc'] = 'If the group is displayed in just the first post from the topic may be seen as belonging to the topic rather than the post, and displayed on another area of the topic, different to post.';
$txt['cffp_show_in_topic_no'] = 'No (the group is displayed in the first post)';
$txt['cffp_show_in_topic_begin_all'] = 'Yes, at the beginning of all pages of the topic';
$txt['cffp_show_in_topic_end_all'] = 'Yes, at the end of all pages of the topic';
$txt['cffp_show_in_topic_begin_first'] = 'Yes, at the beginning of the first page of the topic';
$txt['cffp_show_in_topic_end_first'] = 'Yes, at the end of the first page of the topic';
$txt['cffp_show_filters'] = 'Filters';
$txt['cffp_show_filters_desc'] = 'Select the filter to be used. If "Show with operator" is selected allows selecting the operator with which should apply to the filter. Default operator is "=" or "Contains", according to the type of filter.';
$txt['cffp_show_filters_boards'] = 'Boards';
$txt['cffp_show_filters_subject_start'] = 'Start of the subject';
$txt['cffp_show_filters_subject_first_char'] = 'First character of the subject';
$txt['cffp_show_filters_date_topic'] = 'Date of topic';
$txt['cffp_show_filters_date_replies'] = 'Date of last reply';
$txt['cffp_show_filters_date_lastdays'] = 'Last %s days';
$txt['cffp_show_filters_topic_new_posts'] = 'Topic with new posts';
$txt['cffp_show_filters_sticky'] = 'Sticky';
$txt['cffp_show_filters_sticky_disabled'] = 'Sticky topics are disabled. The filter will not be displayed.';
$txt['cffp_show_filters_locked'] = 'Locked';
$txt['cffp_show_filters_sticky_locked'] = 'Sticky and locked';
$txt['cffp_show_filters_operator'] = 'Show with operator';
$txt['cffp_javascript'] = 'JavaScript code';
$txt['cffp_javascript_desc'] = 'Code executed when a group of fields is created or modified.';
$txt['cffp_search_page'] = 'Search page';
$txt['cffp_search_page_post_desc'] = 'Write name of pages and selects order of the results of each. To remove a page simply empty the text box for that page. To add an existing page select it from the list.';
$txt['cffp_search_page_post_default'] = 'Default page';
$txt['cffp_search_page_post_more'] = 'More';
$txt['cffp_search_page_post_add'] = 'Add an existing page';
$txt['cffp_search_page_record_desc'] = 'Default: "Search records of type ...".';
$txt['cffp_search_page_order_by'] = 'Sort search results by';
$txt['cffp_search_page_order_by2'] = 'Sort by';
$txt['cffp_search_page_order_by_desc'] = 'In order for a field be displayed here should be displayed in a column with only that field or be the first field in the column.';
$txt['cffp_counter'] = 'Counter on the information about the member';
$txt['cffp_counter_name'] = 'Name';
$txt['cffp_counter_number_title'] = 'Label of "number"';
$txt['cffp_counter_total_title'] = 'Label of "total"';
$txt['cffp_counter_total_label'] = 'Total %s';
$txt['cffp_counter_average_title'] = 'Label of "average"';
$txt['cffp_counter_average_label'] = 'Average %s per day';
$txt['cffp_counter_desc'] = 'Default name: Group name.<br />Default label of "number": <i>N</i> "Group name".<br />Default label of "total": ' . sprintf($txt['cffp_counter_total_label'], '"Group name"') . '.<br />Default label of "average": ' . sprintf($txt['cffp_counter_average_label'], '"Group name"') . '.';
$txt['cffp_counter_show'] = 'Show counter';
$txt['cffp_counter_show_forever'] = 'Yes, forever';
$txt['cffp_counter_show_ifnot0'] = 'Yes, if it is not 0';
$txt['cffp_top_poster'] = 'Top posters on statistics';
$txt['cffp_top_poster_title'] = 'Title';
$txt['cffp_top_poster_label'] = 'Top 10 posters of %s';
$txt['cffp_top_poster_desc'] = 'Default title: ' . sprintf($txt['cffp_top_poster_label'], '"Group name"') . '.';
$txt['cffp_top_poster_show'] = 'Show top posters';
$txt['cffp_profile_list'] = 'List on member\'s profile';
$txt['cffp_profile_list_desc'] = 'Default name: Group name.';
$txt['cffp_profile_list_show'] = 'Show list';
$txt['cffp_profile_list_name'] = 'Name';
if (!$smf_version_1)
	$txt['cffp_moderation_list'] = 'List on Moderation Center';
else
	$txt['cffp_moderation_list'] = 'List of moderation';
$txt['cffp_moderation_list_desc'] = 'Default name: Group name. In order for a field be displayed here should be displayed in a column with only that field or be the first field in the column.';
$txt['cffp_moderation_list_show'] = 'Show list';
$txt['cffp_moderation_list_menu'] = 'Show link in the forum menu';
$txt['cffp_moderation_list_name'] = 'Name';
$txt['cffp_moderation_list_order_by'] = 'Sort by';
$txt['cffp_show_message_index'] = 'Show on message index';
$txt['cffp_show_message_index_desc'] = 'Applies if it is on the first post of topic.';
$txt['cffp_show_filter_operator'] = 'Show filter with operator';
$txt['cffp_show_filter_operator_desc'] = 'If selected allows selecting the operator with which should apply to the filter. Default operator is "=" or "Contains", according to the type of filter.';
$txt['cffp_show_filter_operator_like'] = 'Contains';
$txt['cffp_show_filter_operator_not_like'] = 'Not contains';
$txt['cffp_hide_filter'] = 'Hide the filter under a tag';
$txt['cffp_hide_filter_desc'] = 'The filter is hidden and is shown by clicking on the tag. The same tag can hide multiple filters.';
$txt['cffp_show_filter_used_options'] = 'Show only used options';
$txt['cffp_show_filter_used_options_desc'] = 'Show in filter only those items that used in the current board.';
$txt['cffp_show_record_list_type'] = 'Show on records lists';
$txt['cffp_show_record_list_type_desc'] = 'Shows this field in a column of the lists of records (for example, in the search for records).';
if (!$smf_version_1)
{
	$txt['cffp_show_moderation_list_type'] = 'Show on lists of Moderation Center';
	$txt['cffp_show_moderation_list_type_desc'] = 'Shows this field in a column of the lists of Moderation Center.';
}
else
{
	$txt['cffp_show_moderation_list_type'] = 'Show on lists of moderation';
	$txt['cffp_show_moderation_list_type_desc'] = 'Shows this field in a column of the lists of moderation.';
}
$txt['cffp_show_list_type_no'] = 'No';
$txt['cffp_show_list_type_one'] = 'Yes, in a column with only this field';
$txt['cffp_show_list_type_multi'] = 'Yes, in a column together with other fields';
$txt['cffp_show_list_width'] = 'Column width';
$txt['cffp_show_list_width_desc'] = '0 for automatic.';
$txt['cffp_show_list_width_unit_auto'] = 'Automatic';
$txt['cffp_show_list_width_unit_%'] = 'Variable';
$txt['cffp_show_list_width_unit_px'] = 'Fixed';
$txt['cffp_show_list_column'] = 'Column with multiple fields';
$txt['cffp_show_list_column_other'] = 'Other...';
$txt['cffp_show_list_name'] = 'Column name';
$txt['cffp_show_list_name_desc'] = 'If not specified the column will only contain this field.';
$txt['cffp_not_empty_value'] = 'Not empty value';
$txt['cffp_not_empty_value_desc'] = 'If selected this field cannot be left blank.';
$txt['cffp_unique_value'] = 'Unique value';
$txt['cffp_unique_value_desc'] = 'If selected can not have two equal values in this field.';
$txt['cffp_subset'] = 'Subset';
$txt['cffp_subset_desc'] = 'The field is displayed within a subset. The fields of a subset must be adjacent.';
$txt['cffp_permissions'] = 'Permissions';
$txt['cffp_permissions_field_desc'] = 'Actions that a user can perform over this field, subject to the permissions of the forum.';
$txt['cffp_permissions_group_desc'] = 'Actions that a user can perform over this group, subject to the permissions of the forum.';
$txt['cffp_owner_post'] = 'Owner of post';
$txt['cffp_owner_group'] = 'Owner of group';
$txt['cffp_local_moderator'] = 'Local moderator';
$txt['cffp_global_moderator'] = 'Global moderator';
$txt['cffp_administrator'] = 'Administrator';
$txt['cffp_view_message_index'] = 'View on message index';
$txt['cffp_view_stats'] = 'View statistics';
$txt['cffp_filter'] = 'Filter';
$txt['cffp_sort'] = 'Sort';
$txt['cffp_add'] = 'Add';
$txt['cffp_move'] = 'Move';
$txt['cffp_active'] = 'Active';
$txt['cffp_inactive'] = 'Inactive';
$txt['cffp_active_field_desc'] = 'If not selected this field will not be shown to anyone.';
$txt['cffp_active_group_desc'] = 'If not selected this group will not be shown to anyone.';
$txt['cffp_more_info'] = 'More information';
$txt['cffp_id'] = 'ID';
$txt['cffp_add_field'] = 'Add field';
$txt['cffp_add_group'] = 'Add group';
$txt['cffp_add_field_title'] = 'Add field';
$txt['cffp_add_group_title'] = 'Add group of fields';
$txt['cffp_edit_field_title'] = 'Modify field';
$txt['cffp_edit_group_title'] = 'Modify group of fields';
// Don't use entities in the below string.
$txt['cffp_edit_delete_field_sure'] = 'Are you sure you wish to delete this field? All related post data will be lost!';
// Don't use entities in the below string.
$txt['cffp_edit_delete_group_sure'] = 'Are you sure you wish to delete this group? All related post data will be lost!';
$txt['cffp_template'] = 'Template for posts';
$txt['cffp_template_message_index'] = 'Template for message index';
$txt['cffp_template_quick_input'] = 'Template for quick input';
$txt['cffp_template_quick_input_regex'] = 'Regular expression';
$txt['cffp_template_quick_input_regex_desc'] = 'Compatible with JavaScript. Used in <tt>String.match(regex)</tt> method and must be obtained an array of field values starting with the key 1.';
$txt['cffp_template_quick_input_params'] = 'Parameters';
$txt['cffp_template_quick_input_params_desc'] = 'For each element of the array obtained from the regular expression adds a line with the field ID, or 0 if it does not correspond to any field. For formatting a value before copying it in their field, below the field ID to add another line with the JavaScript code. <tt>value</tt> variable contains the original value and should contain the transformed value. With <tt>field_obj[</tt>field_ID<tt>]</tt> can access a form field.';
$txt['cffp_template_quick_input_help'] = 'Help';
$txt['cffp_template_quick_input_help_desc'] = 'Text the user will see instead of the regular expression. Allow BBC.';
$txt['cffp_template_quick_input_show_modify'] = 'Show when data are modified';
$txt['cffp_template_quick_input_show_modify_desc'] = 'If not selected will be shown only when data are created.';
$txt['cffp_template_type_html'] = 'HTML';
$txt['cffp_template_type_bbc'] = 'BBC';
$txt['cffp_template_type_php'] = 'PHP';
$txt['cffp_template_text'] = 'Template text';
$txt['cffp_add_templates'] = 'Add templates';
$txt['cffp_edit_templates'] = 'Modify templates';
$txt['cffp_quick_input_field'] = 'Quick input field';
$txt['cffp_quick_input_field_desc'] = 'Write values to enter in different fields according to this regular expression:';
// Don't use entities in the below string.
$txt['cffp_quick_input_match'] = 'The fields are filled.';
// Don't use entities in the below string.
$txt['cffp_quick_input_no_match'] = 'Content of "Quick input field" is not properly formatted. Fields can not be filled.';
$txt['cffp_quick_input_apply'] = 'Fill in fields';
$txt['cffp_created'] = 'Created';
$txt['cffp_edit_group'] = 'Modify %s';
$txt['cffp_show'] = 'Show';
$txt['cffp_show_previous'] = 'Show previous';
$txt['cffp_move_to_first_post'] = 'Move to the first post in this topic';
$txt['cffp_move_to_other_post'] = 'Move to another post';
$txt['cffp_move_to_other_topic'] = 'Move to another topic';
$txt['cffp_move_group_to_other_post'] = 'Move %s to another post';
$txt['cffp_move_group_to_other_topic'] = 'Move %s to another topic';
$txt['cffp_move_to_post'] = 'Move to the post';
$txt['cffp_move_to_post_desc'] = 'Post ID. Example: index.php?topic=4043.msg23892, use 23892.';
$txt['cffp_move_to_topic'] = 'Move to the topic';
$txt['cffp_move_to_topic_desc'] = 'Topic ID. Example: index.php?topic=4043.0, use 4043.';
$txt['cffp_search_posts_records'] = 'Search posts and records';
$txt['cffp_search_posts'] = 'Search posts';
$txt['cffp_search_posts_desc'] = 'Write text and/or select options in the fields in which to search. You will get a list of posts containing those values in their fields.';
$txt['cffp_search_records_type'] = 'Search records of type %s';
$txt['cffp_search_records_desc'] = 'Write text and/or select options in the fields in which to search. You will get a list of records containing those values in their fields.';
$txt['cffp_show_fields'] = 'Show fields';
$txt['cffp_hide_fields'] = 'Hide fields';
$txt['cffp_record_type'] = 'Records of type %s';
$txt['cffp_records'] = 'Records';
if (!$smf_version_1)
	$txt['cffp_moderation_area'] = 'Groups of fields on posts';
else
	$txt['cffp_moderation_area'] = 'Moderate groups of fields on posts';
$txt['cffp_moderation_area_desc'] = 'Here you can review all the posted data by members on groups of custom fields.';
// Don't use entities in the below string.
$txt['cffp_moderation_area_delete_sure'] = 'Are you sure you wish to delete this data?';
$txt['cffp_moderation_area_none'] = 'There are no posted data';
$txt['cffp_poster_time'] = 'Date posted';
$txt['cffp_topic_without_replies'] = 'Topic without replies';
$txt['cffp_symbol'] = 'Symbol';
$txt['cffp_number'] = 'Number';
// Alphabet of this language (capital letters comma separated).
$txt['cffp_alphabet_letters'] = 'A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z';
$txt['cffp_field_empty_value'] = 'There is no data';
$txt['cffp_field_non_empty_value'] = 'There is data';
$txt['cffp_filtertype_empty_non_empty'] = $txt['cffp_field_empty_value'] . ' / ' . $txt['cffp_field_non_empty_value'];
$txt['cffp_order_by_asc'] = 'Ascending order';
$txt['cffp_order_by_desc'] = 'Descending order';
$txt['cffp_wireless_end_group'] = 'End %s';
$txt['cffp_warning_cannot_see_group_fields'] = 'You cannot see the fields of this group.';
$txt['cffp_warning_group_subject'] = 'These fields will be removed if the post subject begins with: %s.';
// Don't use entities in the below string.
$txt['cffp_warning_grouptype_no_member'] = 'This group was of type "fields with several values per member". If it is changed, data published by the members will be deleted.';
$txt['cffp_warning_grouptype_no_member2'] = 'This has been changed. Data published by the members will be deleted.';
// Don't use entities in the below string.
$txt['cffp_warning_grouptype_member'] = 'This group was not of type "fields with several values per member". If it is changed, data published by the members will be deleted.';
$txt['cffp_warning_grouptype_member2'] = $txt['cffp_warning_grouptype_no_member2'];
// Don't use entities in the below string.
$txt['cffp_warning_grouptype_filters'] = 'This group was not of type "filters". If it is changed, data published by the members and fields of the group will be deleted.';
$txt['cffp_warning_grouptype_filters2'] = 'This has been changed. Data published by the members and fields of the group will be deleted.';
// Don't use entities in the below string.
$txt['cffp_warning_member_one_value'] = 'Members could post data more than once. If it is changed, the multiple publications will be deleted.';
$txt['cffp_warning_member_one_value2'] = 'This has been changed. The multiple publications will be deleted.';
$txt['cffp_membergroups'] = 'Based on number of records';
$txt['cffp_membergroups_desc'] = 'Membergroups based on count of each group of custom fields of type "record".';
$txt['cffp_min_groups'] = 'Required records';
$txt['cffp_none_record'] = 'You have not created any type of record!';
$txt['cffp_none_membergroups'] = 'You have not created any membergroups for records of type "%s"!';
$txt['cffp_add_membergroup'] = 'Add group';
$txt['cffp_add_membergroup_title'] = 'Add membergroup';
$txt['cffp_edit_membergroup_title'] = 'Modify membergroup';
// Don't use entities in the below string.
$txt['cffp_edit_delete_membergroup_sure'] = 'Are you sure you wish to delete this membergroup?';
if ($smf_version_1)
	$txt['cffp_membergroups_members_group'] = 'Group Members';
$txt['cffp_reattribute'] = 'Reattribute User Groups';
$txt['cffp_reattribute_guest_groups'] = 'Attribute guest groups made with:';
$txt['cffp_reattribute_any'] = 'Any email address or username';
$txt['cffp_reattribute_post_number'] = 'Attribute specific posts';
$txt['cffp_reattribute_post_number_desc'] = '<span class="smalltext">Use comma to separate each post ID. Example: index.php?topic=4043.msg23892, use 23892. Leave empty to use all posts.</span>';
$txt['cffp_reattribute_group_type_id'] = 'Attribute groups of type';
$txt['cffp_reattribute_group_age'] = 'Attribute groups based on time';
$txt['cffp_reattribute_group_age_desc'] = '<span class="smalltext">Leave empty to use all groups.</span>';
$txt['cffp_reattribute_group_date_desc'] = '<span class="smalltext">(YYYY-MM-DD)</span>';
$txt['cffp_reattribute_group_no_guest'] = 'Attribute registered member groups';
$txt['cffp_reattribute_group_no_guest_desc'] = '<span class="smalltext">Reassign groups made by registered member/s to another member.</span>';
$txt['cffp_reattribute_group_no_guest_desc2'] = '<span class="smalltext">(If member account is registered, type in the post ID above or enter how old the groups should be.)</span>';
$txt['cffp_reattribute_to_member'] = 'Attribute groups to member';
$txt['cffp_reattribute_count'] = 'Recount the number of each type of record';
$txt['cffp_reattribute_cannot_find_member'] = 'Unable to find member to whom to attribute groups.';
$txt['cffp_reattribute_cannot_find_member_no_guest'] = 'Unable to find member with groups to attribute.';
// Don't use entities in the below string.
$txt['cffp_reattribute_confirm'] = 'Are you sure you want to attribute all guest groups with %type% of "%find%" to member "%member_to%"?';
// Don't use entities in the below string.
$txt['cffp_reattribute_confirm_group'] = 'Are you sure you want to attribute guest groups specified with %type% of "%find%" to member "%member_to%"?';
// Don't use entities in the below string.
$txt['cffp_reattribute_confirm_group_any_guest'] = 'Are you sure you want to attribute guest groups specified to member "%member_to%"?';
// Don't use entities in the below string.
$txt['cffp_reattribute_confirm_group_no_guest'] = 'Are you sure you want to attribute registered member groups specified with %type% of "%find%" to member "%member_to%"?';
// Don't use entities in the below string.
$txt['cffp_reattribute_enter_guest_group_email'] = 'Please enter email of guest groups to reassign.';
// Don't use entities in the below string.
$txt['cffp_reattribute_enter_guest_group_username'] = 'Please enter username of guest groups to reassign.';
// Don't use entities in the below string.
$txt['cffp_reattribute_enter_member'] = 'Please enter member to attribute groups.';
$txt['modlog_ac_cffp_add_field'] = 'Added the "{field_name}" field of the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_edit_field'] = 'Edited the "{field_name}" field of the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_delete_field'] = 'Deleted the "{field_name}" field of the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_add_group'] = 'Added the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_edit_group'] = 'Edited the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_delete_group'] = 'Deleted the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_edit_group_template'] = 'Edited the templates of the "{group_name}" group of custom fields';
$txt['modlog_ac_cffp_add_membergroup'] = 'Added the "{membergroup_name}" membergroup based on number of records "{group_name}"';
$txt['modlog_ac_cffp_edit_membergroup'] = 'Edited the "{membergroup_name}" membergroup based on number of records "{group_name}"';
$txt['modlog_ac_cffp_delete_membergroup'] = 'Deleted the "{membergroup_name}" membergroup based on number of records "{group_name}"';
if (!$smf_version_1)
{
	$txt['modlog_ac_cffp_edit_data'] = 'Edited the "{group_name}" group of custom fields by "{member}" in "{topic}"';
	$txt['modlog_ac_cffp_delete_data'] = 'Deleted the "{group_name}" group of custom fields by "{member}" from "{topic}"';
	$txt['modlog_ac_cffp_move_data'] = 'Moved the "{group_name}" group of custom fields by "{member}" from "{topic}" to "{topic2}"';
}
else
{
	$txt['modlog_ac_cffp_edit_data'] = 'Edited group of custom fields';
	$txt['modlog_ac_cffp_delete_data'] = 'Deleted group of custom fields';
	$txt['modlog_ac_cffp_move_data'] = 'Moved group of custom fields';
}

?>